#
# spec file for package evolution-data-server
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global with_docs 0

# Shared Library soNUMs, to make it easier for updates
# When updating the sonums, do not forget to also update baselibs.conf
%define so_camel 62
%define so_ebackend 10
%define so_edataserver 24
%define so_edataserverui 2
%define so_ebook 20
%define so_ebook_contacts 3
%define so_edata_book 26
%define so_ecal 1
%define so_edata_cal 1
%bcond_without introspection

Name:           evolution-data-server
Version:        3.34.4
Release:        lp152.1.4
Summary:        Evolution Data Server
License:        LGPL-2.0-only
Group:          Development/Libraries/GNOME
URL:            https://wiki.gnome.org/Apps/Evolution
Source0:        https://download.gnome.org/sources/evolution-data-server/3.34/%{name}-%{version}.tar.xz
Source99:       baselibs.conf

BuildRequires:  cmake
BuildRequires:  db-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  gobject-introspection-devel
BuildRequires:  gperf
BuildRequires:  gtk-doc >= 1.9
BuildRequires:  intltool
BuildRequires:  krb5-devel
BuildRequires:  libgdata-devel
BuildRequires:  libgweather-devel >= 3.10
BuildRequires:  libsoup-devel >= 2.42
BuildRequires:  mozilla-nss-devel
BuildRequires:  nss-shared-helper-devel
BuildRequires:  openldap2-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libical) >= 3.0.5
BuildRequires:  pkgconfig(libical-glib) >= 3.0.5
# For adressbook data generating
BuildRequires:  python3-base
BuildRequires:  sqlite3-devel >= 3.7.17
BuildRequires:  translation-update-upstream
BuildRequires:  vala >= 0.22.0
BuildRequires:  pkgconfig(gcr-base-3) >= 3.4
BuildRequires:  pkgconfig(goa-1.0) >= 3.8
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(json-glib-1.0) >= 1.0.4
BuildRequires:  pkgconfig(libcanberra-gtk3) >= 0.25
BuildRequires:  pkgconfig(libnotify) >= 0.7
BuildRequires:  pkgconfig(libsecret-unstable) >= 0.5
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0) >= 2.11.91
Requires:       mozilla-nss
# typelib-1_0-ECalendar-1_2 was dropped with e-d-s 3.7.3 due to libical not being introspecatble.
Obsoletes:      typelib-1_0-ECalendar-1_2 <= %{version}

%description
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

%package -n libcamel-1_2-%{so_camel}
Summary:        Evolution Data Server's Messaging Library
Group:          System/Libraries

%description -n libcamel-1_2-%{so_camel}
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package contains a shared system library for messaging.

%package -n libebackend-1_2-%{so_ebackend}
Summary:        Evolution Data Server's Backend Utilities Library
Group:          System/Libraries

%description -n libebackend-1_2-%{so_ebackend}
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package contains a shared system library for backends.

%package -n libebook-1_2-%{so_ebook}
Summary:        Evolution Data Server's Address Book Client Library
Group:          System/Libraries

%description -n libebook-1_2-%{so_ebook}
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package contains a shared system library to access address books.

%package -n libebook-contacts-1_2-%{so_ebook_contacts}
Summary:        Evolution Data Server's Address Book Client Library
Group:          System/Libraries

%description -n libebook-contacts-1_2-%{so_ebook_contacts}
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package contains a shared system library to access address books.

%package -n libecal-2_0-%{so_ecal}
Summary:        Evolution Data Server's Calendar Client Library
Group:          System/Libraries

%description -n libecal-2_0-%{so_ecal}
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package contains a shared system library to access calendars.

%package -n libedata-book-1_2-%{so_edata_book}
Summary:        Evolution Data Server's Address Book Backend Library
Group:          System/Libraries

%description -n libedata-book-1_2-%{so_edata_book}
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package contains a shared system library for address book backends.

%package -n typelib-1_0-Camel-1_2
Summary:        Introspection bindings for Evolution Data Server's Messaging Library
Group:          System/Libraries

%description -n typelib-1_0-Camel-1_2
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package provides the GObject Introspection bindings for library for messaging.

%package -n typelib-1_0-EBook-1_2
Summary:        Introspection bindings for Evolution Data Server's Address Book Backend Library
Group:          System/Libraries

%description -n typelib-1_0-EBook-1_2
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package provides the GObject Introspection bindings for the library
for address book backends.

%package -n typelib-1_0-EBookContacts-1_2
Summary:        Introspection bindings for Evolution Data Server's Address Book Backend Library
Group:          System/Libraries

%description -n typelib-1_0-EBookContacts-1_2
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package provides the GObject Introspection bindings for the library
for address book backends.

%package -n libedata-cal-2_0-%{so_edata_cal}
Summary:        Evolution Data Server's Calendar Backend Library
Group:          System/Libraries

%description -n libedata-cal-2_0-%{so_edata_cal}
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package contains a shared system library for calendar backends.

%package -n libedataserver-1_2-%{so_edataserver}
Summary:        Evolution Data Server's Utilities Library
# libedataserver references the gsettings schemas, which live in e-d-s package
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n libedataserver-1_2-%{so_edataserver}
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package contains a shared system library.

%package -n libedataserverui-1_2-%{so_edataserverui}
Summary:        Evolution Data Server's Utilities Library
Group:          System/Libraries

%description -n libedataserverui-1_2-%{so_edataserverui}
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package contains a shared system library.

%package -n typelib-1_0-EBackend-1_2
Summary:        Introspection bindings for Evolution Data Server's Utilities Library
Group:          System/Libraries

%description -n typelib-1_0-EBackend-1_2
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

%package -n typelib-1_0-ECal-2_0
Summary:        Introspection bindings for Evolution Data Server's Utilities Library
Group:          System/Libraries

%description -n typelib-1_0-ECal-2_0
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

%package -n typelib-1_0-EDataBook-1_2
Summary:        Introspection bindings for Evolution Data Server's Utilities Library
Group:          System/Libraries

%description -n typelib-1_0-EDataBook-1_2
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

%package -n typelib-1_0-EDataCal-2_0
Summary:        Introspection bindings for Evolution Data Server's Utilities Library
Group:          System/Libraries

%description -n typelib-1_0-EDataCal-2_0
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

%package -n typelib-1_0-EDataServer-1_2
Summary:        Introspection bindings for Evolution Data Server's Utilities Library
Group:          System/Libraries

%description -n typelib-1_0-EDataServer-1_2
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package provides the GObject Introspection bindings for the
libedataserver library.

%package -n typelib-1_0-EDataServerUI-1_2
Summary:        Introspection bindings for Evolution Data Server's Utilities Library
Group:          System/Libraries

%description -n typelib-1_0-EDataServerUI-1_2
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package provides the GObject Introspection bindings for the
libedataserver library.

%package devel
Summary:        Development files for Evolution Data Server
Group:          Development/Libraries/GNOME
Requires:       evolution-data-server = %{?epoch:}%{version}
Requires:       libcamel-1_2-%{so_camel} = %{version}
Requires:       libebackend-1_2-%{so_ebackend} = %{version}
Requires:       libebook-1_2-%{so_ebook} = %{version}
Requires:       libebook-contacts-1_2-%{so_ebook_contacts} = %{version}
Requires:       libecal-2_0-%{so_ecal} = %{version}
Requires:       libedata-book-1_2-%{so_edata_book} = %{version}
Requires:       libedata-cal-2_0-%{so_edata_cal} = %{version}
Requires:       libedataserver-1_2-%{so_edataserver} = %{version}
Requires:       libedataserverui-1_2-%{so_edataserverui} = %{version}
Requires:       openldap2-devel
%if %{?with_introspection}
Requires:       typelib-1_0-Camel-1_2 = %{version}
Requires:       typelib-1_0-EBook-1_2 = %{version}
Requires:       typelib-1_0-EBookContacts-1_2 = %{version}
Requires:       typelib-1_0-EDataServer-1_2 = %{version}
Requires:       typelib-1_0-EDataServerUI-1_2 = %{version}
%endif

%description devel
The Evolution Data Server development files provide the necessary
libraries, headers, and other files for developing applications which
use the Evolution Data Server for storing contact and calendar
information.

%if %{with_docs}
%package doc
Summary:        Developer documentation for Evolution Data Server
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
Evolution Data Server provides a central location for your address book
and calendar in the GNOME Desktop.

This package contains developer documentation.
%endif

%lang_package

%prep
%autosetup -p1
translation-update-upstream

%build
%if %{with_docs}
%define gtkdoc_flags -DENABLE_GTK_DOC=ON
%else
%define gtkdoc_flags -DENABLE_GTK_DOC=OFF
%endif

%cmake -G "Unix Makefiles" \
    -DLIBEXEC_INSTALL_DIR=%{_libexecdir}/evolution-data-server \
    -DENABLE_MAINTAINER_MODE=OFF \
    -DENABLE_GTK_DOC=ON \
    -DENABLE_IPV6=ON \
    -DENABLE_SMIME=ON \
    -DENABLE_UOA=OFF \
    -DCMAKE_SKIP_RPATH=OFF \
    %{?with_introspection:\
    -DENABLE_VALA_BINDINGS=ON \
    -DENABLE_INTROSPECTION=ON} \
    -DENABLE_DBUS_SESSION_TOOL=OFF \
    %gtkdoc_flags \
    %{nil}
%cmake_build

%install
%cmake_install
%find_lang evolution-data-server
%fdupes %{buildroot}/%{_prefix}

%post -n libcamel-1_2-%{so_camel} -p /sbin/ldconfig
%postun -n libcamel-1_2-%{so_camel} -p /sbin/ldconfig

%post -n libebackend-1_2-%{so_ebackend} -p /sbin/ldconfig
%postun -n libebackend-1_2-%{so_ebackend} -p /sbin/ldconfig

%post -n libebook-1_2-%{so_ebook} -p /sbin/ldconfig
%postun -n libebook-1_2-%{so_ebook} -p /sbin/ldconfig

%post -n libebook-contacts-1_2-%{so_ebook_contacts} -p /sbin/ldconfig
%postun -n libebook-contacts-1_2-%{so_ebook_contacts} -p /sbin/ldconfig

%post -n libecal-2_0-%{so_ecal} -p /sbin/ldconfig
%postun -n libecal-2_0-%{so_ecal} -p /sbin/ldconfig

%post -n libedata-book-1_2-%{so_edata_book} -p /sbin/ldconfig
%postun -n libedata-book-1_2-%{so_edata_book} -p /sbin/ldconfig

%post -n libedata-cal-2_0-%{so_edata_cal} -p /sbin/ldconfig
%postun -n libedata-cal-2_0-%{so_edata_cal} -p /sbin/ldconfig

%post -n libedataserver-1_2-%{so_edataserver} -p /sbin/ldconfig
%postun -n libedataserver-1_2-%{so_edataserver} -p /sbin/ldconfig

%post -n libedataserverui-1_2-%{so_edataserverui} -p /sbin/ldconfig
%postun -n libedataserverui-1_2-%{so_edataserverui} -p /sbin/ldconfig

%files
%license COPYING
%doc NEWS README
%{_datadir}/evolution-data-server/
%{_datadir}/GConf/gsettings/evolution-data-server.convert
%{_datadir}/glib-2.0/schemas/org.gnome.Evolution.DefaultSources.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.eds-shell.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.shell.network-config.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution-data-server.addressbook.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution-data-server.calendar.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution-data-server.gschema.xml
# Category icons that are used by libedataserver
%{_datadir}/pixmaps/evolution-data-server/
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.*.service
%{_libdir}/evolution-data-server/
%if "%{_libdir}" != "%{_libexecdir}"
%{_libexecdir}/evolution-data-server/
%endif
%{_userunitdir}/evolution-addressbook-factory.service
%{_userunitdir}/evolution-calendar-factory.service
%{_userunitdir}/evolution-source-registry.service
%{_userunitdir}/evolution-user-prompter.service
%{_sysconfdir}/xdg/autostart/org.gnome.Evolution-alarm-notify.desktop
%{_datadir}/applications/org.gnome.Evolution-alarm-notify.desktop

%files -n libcamel-1_2-%{so_camel}
%{_libdir}/libcamel-1.2.so.%{so_camel}*

%files -n libebackend-1_2-%{so_ebackend}
%{_libdir}/libebackend-1.2.so.%{so_ebackend}*

%files -n libebook-1_2-%{so_ebook}
%{_libdir}/libebook-1.2.so.%{so_ebook}*

%files -n libebook-contacts-1_2-%{so_ebook_contacts}
%{_libdir}/libebook-contacts-1.2.so.%{so_ebook_contacts}*

%files -n libecal-2_0-%{so_ecal}
%{_libdir}/libecal-2.0.so.%{so_ecal}*

%files -n libedata-book-1_2-%{so_edata_book}
%{_libdir}/libedata-book-1.2.so.%{so_edata_book}*

%if %{with introspection}
%files -n typelib-1_0-Camel-1_2
%{_libdir}/girepository-1.0/Camel-1.2.typelib

%files -n typelib-1_0-EBackend-1_2
%{_libdir}/girepository-1.0/EBackend-1.2.typelib

%files -n typelib-1_0-EBook-1_2
%{_libdir}/girepository-1.0/EBook-1.2.typelib

%files -n typelib-1_0-EBookContacts-1_2
%{_libdir}/girepository-1.0/EBookContacts-1.2.typelib

%files -n typelib-1_0-ECal-2_0
%{_libdir}/girepository-1.0/ECal-2.0.typelib

%files -n typelib-1_0-EDataBook-1_2
%{_libdir}/girepository-1.0/EDataBook-1.2.typelib

%files -n typelib-1_0-EDataCal-2_0
%{_libdir}/girepository-1.0/EDataCal-2.0.typelib

%files -n typelib-1_0-EDataServer-1_2
%{_libdir}/girepository-1.0/EDataServer-1.2.typelib

%files -n typelib-1_0-EDataServerUI-1_2
%{_libdir}/girepository-1.0/EDataServerUI-1.2.typelib
%endif

%files -n libedata-cal-2_0-%{so_edata_cal}
%{_libdir}/libedata-cal-2.0.so.%{so_edata_cal}*

%files -n libedataserver-1_2-%{so_edataserver}
%{_libdir}/libedataserver-1.2.so.%{so_edataserver}*

%files -n libedataserverui-1_2-%{so_edataserverui}
%{_libdir}/libedataserverui-1.2.so.%{so_edataserverui}*

%files devel
%doc ChangeLog MAINTAINERS
%{_includedir}/evolution-data-server/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%if %{with introspection}
%{_datadir}/gir-1.0/*.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*.deps
%{_datadir}/vala/vapi/*.vapi
%endif

%if %{with_docs}
%files doc
%{_datadir}/gtk-doc/html/*
%endif

%files lang -f evolution-data-server.lang

%changelog
* Fri Feb 14 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.4:
  + EDBusServer: Delay new module load.
  + alarm-notify: Double-free with certain types of the reminder.
  + Bugs fixed:
  - Calendar: Handle errors in file backend's refresh thread
    gracefully.
  - WebDAV: Privilege with multiple child elements not handled
    properly.
  - Broken search folder that includes all mails from other
    search folders.
  + Updated translations.
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Mon Jan 20 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Drop libidl-devel BuildRequires: Unused since version 2.29.2.
* Fri Jan  3 2020 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.3:
  + Bugs fixed: glgo#GNOME/evolution-data-server#177: DAV: Ignore
    404 responses on content refresh.
  + Updated translations.
* Fri Nov 22 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.2:
  + EWeatherSource: Use g_signal_connect_object() in
    e_weather_source_parse().
  + Correct runtime warning from camel_network_service_can_reach().
  + ESoupSession: Do not presend credentials on insecure
    connections.
  + EBackend: Slightly enhance g_warning() messages with an ESource
    identification.
  + ESource: Required signals not connected after EDBusObject is
    replaced.
  + LDAP: Change how LDAP query is constructed.
  + Bugs fixed: glgo#GNOME/evolution-data-server#156,
    glgo#GNOME/evolution-data-server#159,
    glgo#GNOME/evolution-data-server#162,
    glgo#GNOME/evolution-data-server#164,
    glgo#GNOME/evolution-data-server#169,
    glgo#GNOME/evolution-data-server#173.
* Mon Oct  7 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.34.1:
  + Miscellaneous: Correct a developer comment for
    SECTION:e-cancellable-locks.
  + Bugs fixed: glgo#GNOME/evolution-data-server#145,
    glgo#GNOME/evolution-data-server#151,
    glgo#GNOME/evolution-data-server#156, glgo#GNOME/evolution#635.
  + Updated translations.
* Thu Oct  3 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Add explict pkgconfig(libical) BuildRequires: Needed after the
  multibuild split of libical and libical-glib.
* Thu Sep 19 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Disable docs, fails to build with gtk-doc-1.32. Issue to be filed
  upstream.
* Mon Sep  9 2019 mgorse@suse.com
- Update to version 3.34.0:
  + Updated translations.
* Wed Sep  4 2019 luke@ljones.dev
- Update to version 3.33.92:
  + Avoid possible use after free caused in
    vee_folder_set_expression()
  + Bug Fixes: glgo#GNOME/evolution-data-server#136,
    glgo#GNOME/evolution-data-server#141,
    glgo#GNOME/evolution-data-server#147
    glgo#GNOME/evolution-data-server#148
    evo-glgo#GNOME/evolution-data-server#551
* Thu Aug 29 2019 Luke Jones <luke@ljones.dev>
- Update to version 3.33.91:
  + Bugs fixed: glgo#GNOME/evolution-data-server#68,
    glgo#GNOME/evolution-data-server#138,
    glgo#GNOME/evolution-data-server#142,
    glgo#GNOME/evolution#559, glgo#GNOME/evolution#568.
  + Include also CFLAGS in gtkdoc-scangobj command line
  + EDataFactory: Free backend when no client connects to it
  + Correct typo in a developer comment
  + GOA module: Run EWS autodiscovery asynchronously
  + Fix two memory leaks
  + Updated translations.
- Changes from version 3.33.90:
  + Bugs fixed: glgo#GNOME/evolution-data-server#112,
    glgo#GNOME/evolution-data-server#137.
  + EWebDAVDiscover can report failure on success and hide
    collections
  + e_webdav_discover_dialog_new: Set default response button for
    the dialog
  + Let the message-location check also real message location in
    the search folders
  + Updated translations.
- Changes from version 3.33.4
  + Bugs fixed: glgo#GNOME/evolution-data-server#128,
    glgo#GNOME/evolution-data-server#130, glgo#GNOME/evolution#479.
  + [LDAP] Fix several memory leaks
  + Prefer built-in timezone component in
    e_cal_util_copy_timezone()
  + Fix a memory leak in e_cal_recur_generate_instances_sync()
  + Miscellaneous changes in ecmb_modify_object_sync()
  + Updated translations.
- Changes from version 3.33.3:
  + Bugs fixed: glgo#GNOME/evolution-data-server#108,
    glgo#GNOME/evolution-data-server#117,
    glgo#GNOME/evolution-data-server#120,
    glgo#GNOME/evolution-data-server#121,
    glgo#GNOME/evolution-data-server#123.
  + EDataBook/EDataCal: Flush GDBus connection on backend property
    change
  + Add workaround for D-Bus property change into get-revision
    tests
  + Expose E-Book/Cal-BackendSExp lock
  + Update overdue time immediately after the reminders' window is
    mapped
  + Add ESourceLocal::writable extension property
  + CamelOperation can be used by other thread while in its
    finalize()
  + Memos cannot have set reminders according to RFC 5545
  + Change how CamelOfflineStore goes online
  + [IMAPx] Prefer local search in folders fully synchronized for
    offline
  + Correct e_cal_component_get_start_plus_duration()
  + Updated translations.
- Changes from version 3.33.2:
  + The calendar part begun to use libical-glib, instead of
    libical, which includes change from API version 1.2 to 2.0.
  + The addressbook part and the calendar part changed client APIs,
    which modified also D-Bus API, thus D-Bus services' versions
    had been bumped as well.
  + All the C libraries generate GObject introspection and Vala
    bindings.
  + Bugs fixed:
    glgo#GNOME/evolution-data-server#33,
    glgo#GNOME/evolution-data-server#89,
    glgo#GNOME/evolution-data-server#105,
    glgo#GNOME/evolution-data-server#106,
    glgo#GNOME/evolution-data-server#112,
    glgo#GNOME/evolution-data-server#114,
    glgo#GNOME/evolution-data-server#116,
    glgo#GNOME/evolution-data-server#190.
  + [EWebDAVDiscover] Prevent crash on GError use in gio functions
  + [SMTP] Log also DATA itself when SMTP logging is enabled
  + [IMAPx] Fix a leak of CamelMessageInfo when downloading message
    from a server
  + Change libebook and libedata-book APIs
  + Revert "Rename AddressBookView/CalendarView D-Bus members for
    backward compatibility"
  + Rename ECalBackendClass methods to address some gir warnings
  + Enable vala bindings for libebackend, libedata-book and
    libedata-cal
  + Correct get_/set_property() for EReminderWatcher::default-zone
  + Miscellaneous changes for issues overlooked during port to
    libical-glib
  + Updated translations.
- Changes from version 3.33.1:
  + Bugs fixed: glgo#GNOME/evolution-data-server#91,
    glgo#GNOME/evolution-data-server#92,
    glgo#GNOME/evolution-data-server#94,
    glgo#GNOME/evolution-data-server#95,
    glgo#GNOME/evolution-data-server#96,
    glgo#GNOME/evolution-data-server#98,
    glgo#GNOME/evolution-data-server#99,
    glgo#GNOME/evolution-data-server#102,
    glgo#GNOME/evolution#326, glgo#GNOME/evolution-data-server#39.
  + Make sure libdb addressbooks are available before
    book-migration test
  + Fix typo: reach-ability 🡒 reachability
  + [Flatpak] Use a persistent location for an NSS certificate
    database
  + Rename AddressBookView/CalendarView D-Bus members for backward
    compatibility
  + Address several issues reported by Coverity Scan
  + Updated translations.
* Mon Jul 15 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.4:
  + Miscellaneous changes in ecmb_modify_object_sync().
  + Bugs fixed: glgo#GNOME/evolution-data-server#130,
    glgo#GNOME/evolution-data-server#479.
* Mon Jun 17 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.3:
  + [IMAPx]
  - Fix a leak of CamelMessageInfo when downloading message from
    a server.
  - Prefer local search in folders fully synchronized for
    offline.
  + EDataBook/EDataCal: Flush GDBus connection on backend property
    change.
  + Add workaround for D-Bus property change into get-revision
    tests.
  + Expose E-Book/Cal-BackendSExp lock.
  + Change buffer size argument value in call of
    icalvalue_decode_ical_string().
  + Update overdue time immediately after the reminders' window is
    mapped.
  + Correct test for file writable test in On This Computer
    backend.
  + CamelOperation can be used by other thread while in its
    finalize().
  + Change how CamelOfflineStore goes online.
  + Bugs fixed: glgo#GNOME/evolution-data-server#108,
    glgo#GNOME/evolution-data-server#112,
    glgo#GNOME/evolution-data-server#114,
    glgo#GNOME/evolution-data-server#116,
    glgo#GNOME/evolution-data-server#123,
    glgo#GNOME/evolution-data-server#190,
    glgo#GNOME/evolution-data-server#479.
- Drop eds-issue-108.patch: Fixed upstream.
- Use modern cmake_build macro.
* Tue Jun  4 2019 Matej Cepl <mcepl@suse.com>
- Add eds-issue-108.patch: Folder changes could be claimed in a
  wrong folder after APPEND, fixes glgo#GNOME/evolution#296,
  glgo#GNOME/evolution-data-server#108.
* Mon May  6 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.2:
  + Address several issues reported by Coverity Scan.
  + [EWebDAVDiscover] Prevent crash on GError use in gio functions.
  + Bugs fixed: glgo#GNOME/evolution-data-server#89,
    glgo#GNOME/evolution-data-server#99,
    glgo#GNOME/evolution-data-server#102,
    glgo#GNOME/evolution-data-server#105.
  + Updated translations.
* Tue Apr  9 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.1:
  + [Flatpak] Use a persistent location for an NSS certificate
    database.
  + Rename AddressBookView/CalendarView D-Bus members for backward
    compatibility.
  + Bugs fixed: glgo#GNOME/evolution-data-server#91,
    glgo#GNOME/evolution-data-server#92,
    glgo#GNOME/evolution-data-server#95,
    glgo#GNOME/evolution-data-server!12,
    glgo#GNOME/evolution-ews#91.
  + Updated translations.
* Mon Mar 11 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.32.0:
  + Updated translations.
* Mon Mar  4 2019 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.31.92:
  + [CalDAV] POST data to scheduling outbox with correct
    Content-Type.
  + Change order of CFLAGS/LDFLAGS passed to gtk-doc.
  + [OAuth2 Prompter] Show also current URL in the credentials
    prompt dialog.
  + Make the OAuth2 credentials prompt window default size a bit
    larger.
  + Bugs fixed: glgo#GNOME/evolution-data-server#68,
    glgo#GNOME/evolution-data-server#86,
    glgo#GNOME/evolution-data-server#87,
    glgo#GNOME/evolution-data-server#88.
  + Updated translations.
* Tue Feb 19 2019 bjorn.lie@gmail.com
- Update to version 3.31.91:
  + [EDataBook] Enforce EBookBackend type.
  + [CamelStreamMem] Fix transfer annotations and array element
    type.
  + [OAuth2] Add GSettings keys to override client ID and secret.
  + [Camel] Fix several annotations for message creation.
  + Hide sendmail in Flatpak.
  + Bugs fixed: glgo#GNOME/evolution-data-server!9,
    glgo#GNOME/evolution-data-server!10,
    glgo#GNOME/evolution-data-server!11.
  + Updated translations.
- Changes from version 3.31.90:
  + Remove some duplicated #define-s with developer documentation
    comments.
  + De-deprecate camel_folder_info_build().
  + [libebackend] Do not define autoptr for deprecated
    EOfflineListener.
  + [EBookBackendSExp] Skip PHOTO attribute in "Any field contains"
    search.
  + Add also $PREFIX/share/gir-1.0 into g-ir-scanner arguments.
  + Bugs fixed: #glgo#GNOME/evolution-data-server#70,
    glgo#GNOME/evolution-data-server#71,
    glgo#GNOME/evolution-data-server#73,
    glgo#GNOME/evolution-data-server#75,
    glgo#GNOME/evolution-data-server#79,
    glgo#GNOME/evolution-data-server#81,
    glgo#GNOME/evolution-data-server#82.
  + Updated translations.
* Sat Feb  9 2019 bjorn.lie@gmail.com
- Update to version 3.31.4:
  + Correct developer documentation of some EBook asynchronous API.
  + Crash on meeting cancellation receive in local calendar.
  + Fix few memory leaks in calendar backends.
  + Bugs fixed: bgo#312581, bgo#576071, bgo#651234,
    glgo#GNOME/evolution-data-server#68,
    glgo#GNOME/evolution-data-server#72,
    glgo#GNOME/evolution-data-server#7,
    glgo#GNOME/evolution-data-server#8.
  + Updated translations.
* Sat Feb  9 2019 bjorn.lie@gmail.com
- Update to version 3.31.3:
  + Include also environment LD_LIBRARY_PATH in gtk-doc-scangobj
    call.
  + test-cal-client-get-revision could fail due to delayed D-Bus
    property change notification.
  + Correct how extra compiler warnings are used in the maintainer
    mode.
  + [evolution-dbus-session] Handle method calls with GUnixFDList.
  + Deadlock when marking as read message in a search folder.
  + [CalDAV/CardDAV] Can add component to local cache with
    incomplete info.
  + Copy messages within mail filters immediately.
  + [test-cal-client-get-free-busy] Correct error messages.
  + Correct use-after-free in
    e_vcard_attribute_remove_param_value().
  + Replace evolution-dbus-session tool with DBUS_SERVICES_PREFIX
    option.
  + [Camel] Address compiler warning in
    header_address_list_encode_append().
  + Relax runtime check in e_cal_util_get_system_timezone().
  + [Flatpak] Save passwords in libsecret with the same prefix as
    used by D-Bus services.
  + [test-server-utils] Correct when open of deprecated
    book/calendar is retried.
  + [test-cal-client-get-free-busy] Enhance the test execution.
  + Let child source with 'none' authentication method use
    collection source authentication.
  + [EDBus Private] Add new symbols into the developer
    documentation.
  + [Flatpak] Make alarm-notify use the D-Bus services prefix, if
    specified.
  + Bugs fixed: bgo#651197, bgo#719328,
    glgo#GNOME/evolution-data-server#5
    glgo#GNOME/evolution-data-server#54,
    glgo#GNOME/evolution-data-server#55,
    glgo#GNOME/evolution-data-server#56,
    glgo#GNOME/evolution-data-server#61,
    glgo#GNOME/evolution-data-server#62,
    glgo#GNOME/evolution-data-server#63,
    glgo#GNOME/evolution-data-server#64,
    glgo#GNOME/evolution-data-server#65.
  + Updated translations.
- Changes from version 3.31.2:
  + Use G_PARAM_EXPLICIT_NOTIFY flag to avoid false property change
    notifications.
  + Correct e-source-camel.c to unset G_PARAM_EXPLICIT_NOTIFY.
  + [CamelProvider] Do not localize empty strings in provider
    configuration.
  + Make tests retry when factory doesn't know about added ESource
    yet.
  + [On The Web calendar] Log also response body when requested.
  + [IMAPx] Fix a concurrent message download issue.
  + Suppress libxml2 warnings when parsing data with
    e_xml_parse_data().
  + Add translator comments into camel-sasl-anonymous.c.
  + Make sure intltool-merge cache is created only once.
  + Remove e-gdbus-templates from libedataserver.
  + Bugs fixed: bgo#228772, bgo#606071,
    glgo#GNOME/evolution-data-server#41,
    glgo#GNOME/evolution-data-server#42,
    glgo#GNOME/evolution-data-server#43,
    glgo#GNOME/evolution-data-server#44,
    glgo#GNOME/evolution-data-server#48,
    glgo#GNOME/evolution-data-server#49,
    glgo#GNOME/evolution-data-server#50,
    glgo#GNOME/evolution-data-server#51,
    glgo#GNOME/evolution-data-server#52.
  + Updated translations.
- Changes from version 3.31.1:
  + Add an optionally built evolution-dbus-session tool.
  + [NNTP] Address REVERSE_INULL Coverity scan issue.
  + Address two Clang warnings.
  + Mark string for a translation.
  + Fix a memory leak in ebmb_start_view_thread_func().
  + [evolution-dbus-session] Proxy also D-Bus subtrees.
  + Bugs fixed: glgo#GNOME/evolution-data-server#86,
    glgo#GNOME/evolution-data-server#3,
    glgo#GNOME/evolution-data-server#24,
    glgo#GNOME/evolution-data-server#29,
    glgo#GNOME/evolution-data-server#30,
    glgo#GNOME/evolution-data-server#31,
    glgo#GNOME/evolution-data-server#32,
    glgo#GNOME/evolution-data-server#34,
    glgo#GNOME/evolution-data-server#35,
    glgo#GNOME/evolution-data-server#36,
    glgo#GNOME/evolution-data-server#37,
    glgo#GNOME/evolution-data-server#38,
    glgo#GNOME/evolution-data-server#40.
  + Updated translations.
- Bump so_edataserver to 24 in spec and baselibs.conf following
  upstreams changes.
* Fri Feb  8 2019 bjorn.lie@gmail.com
- Update to version 3.30.5:
  + Bugs fixed: glgo#GNOME/evolution-data-server#75,
    glgo#GNOME/evolution-data-server#81,
    glgo#GNOME/evolution-data-server#82.
  + Updated translations.
* Mon Jan  7 2019 bjorn.lie@gmail.com
- Update to version 3.30.4:
  + Correct developer documentation of some EBook asynchronous API.
  + Crash on meeting cancellation receive in local calendar.
  + Fix few memory leaks in calendar backends.
  + Bugs fixed: glgo#GNOME/evolution-data-server#68,
    glgo#GNOME/evolution-data-server#7,
    glgo#GNOME/evolution-data-server#8.
* Mon Dec 10 2018 bjorn.lie@gmail.com
- Update to version 3.30.3:
  + [IMAPx] Fix a concurrent message download issue.
  + Make sure intltool-merge cache is created only once.
  + test-cal-client-get-revision could fail due to delayed D-Bus
    property change notification.
  + [evolution-dbus-session] Handle method calls with GUnixFDList.
  + Deadlock when marking as read message in a search folder.
  + [CalDAV/CardDAV] Can add component to local cache with
    incomplete info.
  + Copy messages within mail filters immediately.
  + Correct use-after-free in
    e_vcard_attribute_remove_param_value().
  + Replace evolution-dbus-session tool with DBUS_SERVICES_PREFIX
    option.
  + [Camel] Address compiler warning in
    header_address_list_encode_append().
  + Relax runtime check in e_cal_util_get_system_timezone().
  + [Flatpak] Save passwords in libsecret with the same prefix as
    used by D-Bus services.
  + [test-server-utils] Correct when open of deprecated
    book/calendar is retried.
  + [test-cal-client-get-free-busy] Enhance the test execution.
  + [Flatpak] Make alarm-notify use the D-Bus services prefix,if
    specified.
  + Bugs fixed: bgo#719328, glgo#GNOME/evolution-data-server#196,
    glgo#GNOME/evolution-data-server#5,
    glgo#GNOME/evolution-data-server#49,
    glgo#GNOME/evolution-data-server#51,
    glgo#GNOME/evolution-data-server#55,
    glgo#GNOME/evolution-data-server#56,
    glgo#GNOME/evolution-data-server#62,
    glgo#GNOME/evolution-data-server#63,
    glgo#GNOME/evolution-data-server#64.
  + Updated translations.
* Wed Oct 24 2018 bjorn.lie@gmail.com
- Update to version 3.30.2:
  + Fix a memory leak in ebmb_start_view_thread_func().
  + [evolution-dbus-session] Proxy also D-Bus subtrees.
  + [CamelProvider] Do not localize empty strings in provider
    configuration.
  + Make tests retry when factory doesn't know about added ESource
    yet.
  + [On The Web calendar] Log also response body when requested.
  + Bugs fixed: glgo#GNOME/evolution-data-server#35,
    glgo#GNOME/evolution-data-server#36,
    glgo#GNOME/evolution-data-server#37,
    glgo#GNOME/evolution-data-server#38,
    glgo#GNOME/evolution-data-server#40,
    glgo#GNOME/evolution-data-server#44,
    glgo#GNOME/evolution-data-server#50.
  + Updated translations.
* Wed Sep 26 2018 bjorn.lie@gmail.com
- Update to version 3.30.1:
  + Add an optionally built evolution-dbus-session tool.
  + Bugs fixed: glgo#GNOME/evolution-data-server!3,
    glgo#GNOME/evolution-data-server!24,
    glgo#GNOME/evolution-data-server!29,
    glgo#GNOME/evolution-data-server!30,
    glgo#GNOME/evolution-data-server!32, glgo#GNOME/evolution!86.
  + Updated translations.
- Pass ENABLE_DBUS_SESSION_TOOL=OFF to cmake, not building the new
  optional dbus tool for now.
* Wed Sep 19 2018 luc14n0@linuxmail.org
- Update to version 3.30.0:
  + Updated translations.
* Wed Aug 29 2018 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 3.29.92:
  + Correct build when nss/nspr do not provide pkg-config files.
  + Use 48 pixel icon in reminder notification.
  + evolution-alarm-notify: Do not show a window with a list of
    pending reminders by default.
  + GNOME Shell doesn't show evolution-alarm-notification
    reminders.
  + Correct few annotations in developer comments.
  + Issues fixed: glgo#GNOME/evolution-data-server!23,
    glgo#GNOME/evolution-data-server!#27,
    glgo#GNOME/evolution-data-server!26,
    glgo#GNOME/evolution-data-server!25 and
    glgo#GNOME/evolution!83.
  + Updated translations.
* Mon Aug 13 2018 bjorn.lie@gmail.com
- Update to version 3.29.91:
  + Updated translations.
* Wed Aug  1 2018 bjorn.lie@gmail.com
- Update to version 3.29.90:
  + ESourceRegistry's thread main_context can leak.
  + Correct format specifier arguments to work on both 32-bit and
    64-bit arches.
  + [EClient] Really default readonly property to FALSE.
  + [CamelDebug] Change when backtraces are demangled in pointer
    tracker.
  + [CamelOfflineFolder] Fix a runtime warning on application exit.
  + Enhance attachment detection in a MIME message.
  + Bugs fixed: bgo#788370, glgo#GNOME/evolution-data-server#19,
    glgo#GNOME/evolution-data-server#22.
  + Updated translations.
* Wed Aug  1 2018 luc14n0@linuxmail.org
- Update to version 3.29.4:
  + Miscellaneous:
  - [Camel] Bulk message copy/move during folder filtering;
  - [CamelSMIMEContext] Fix a memory leak;
  - [IMAPx] Search for whole word "Cyrus" when parsing version
    from the server response;
  - [ECalCache] Alter timezones table only if the 'refs' column
    doesn't exist.
  + Bugs fixed: bgo#702127, bgo#704246, glgo#GNOME/evolution#37,
    glgo#GNOME/evolution-data-server#9,
    glgo#GNOME/evolution-data-server#10,
    glgo#GNOME/evolution-data-server#11,
    glgo#GNOME/evolution-data-server#12,
    glgo#GNOME/evolution-data-server#13,
    glgo#GNOME/evolution-data-server#3,
    glgo#GNOME/evolution-data-server#14,
    glgo#GNOME/evolution-data-server#16,
    glgo#GNOME/evolution-data-server#17.
  + Updated translations.
* Wed Aug  1 2018 bjorn.lie@gmail.com
- Update to version 3.29.3:
  + Check for ICAL_STATUS_DELETED status enum value.
  + Correct prototypes of some virtual functions of
    EReminderWatcher.
  + Fix a memory leak.
  + Use Unicode in translatable strings.
  + Silently skip empty lines when reading autoconfig-variables.
  + Update bug URL and switch to https:// in the DOAP file.
  + Google's "Daily Limit Exceeded" error not always propagated
    into UI.
  + [IMAPx] Prefer existing allocate/deallocate structure
    functions.
  + [CalDAV] Race condition on connection object.
  + Correct false runtime warning from camel_folder_info_build().
  + Bugs fixed: bgo#796115, bgo#796116, bgo#793927, bgo#796281,
    bgo#763029, bgo#792610, bgo#796136, bgo#794108, bgo#795197,
    bgo#795869, bgo#796174, glgo#GNOME/evolution-data-server#2,
    glgo#GNOME/evolution-data-server#4,
    glgo#GNOME/evolution-data-server#7,
    glgo#GNOME/evolution-data-server#5,
    glgo#GNOME/evolution-data-server#6.
  + Updated translations.
- Bump so_camel soversion to 62 and so_edata_cal to 29 aswell as in
  baselibs.conf, following upstream changes.
* Wed Aug  1 2018 luc14n0@linuxmail.org
- Update to version 3.29.2:
  + Miscellaneous:
  - Introduce EReminderWatcher to listen for scheduled reminders;
  - Stale connection used after resume.
  + Bugs fixed: bgo#795295, bgo#794874, bgo#795414, bgo#794727,
    bgo#795997, bgo#585146, bgo#796206.
  + Updated translations.
- Changes from version 3.29.1:
  + Miscellaneous:
  - Make it possible to disable Reminders for Tasks;
  - Change how next occurrence of a recurring task is found.
  + Bugs fixed: bgo#793031, bgo#793488, bgo#88193, bgo#793963,
    bgo#200907, bgo#794417, bgo#795108, bgo#791475.
  + Updated translations.
- Replace 'LGPL-2.1-or-later' License tag with 'LGPL-2.0-only':
  the source files do not specify any LGPL version but COPYING file
  is clear about being version 2.
- Add libcanberra-gtk3 and libnotify packages as pkgconfig modules
  BuildRequires: new dependencies.
- Drop fixed upstream patches:
  eds-fix-fails-to-parse-Google-OAuth2.patch and
  eds-correct-some-public-headers.patch.
* Tue Jul 31 2018 bjorn.lie@gmail.com
- Update to version 3.28.5:
  + ESourceRegistry's thread main_context can leak.
  + [EClient] Really default readonly property to FALSE.
  + Bugs fixed: glgo#GNOME/evolution-data-server#19,
    glgo#GNOME/evolution-data-server#22.
  + Updated translations.
* Mon Jul 16 2018 bjorn.lie@gmail.com
- Update to version 3.28.4:
  + Make sure errors reported from backends are valid UTF-8
    strings.
  + [CamelSMIMEContext] Fix a memory leak.
  + [IMAPx] Search for whole word "Cyrus" when parsing version from
    the server response.
  + Bugs fixed: bgo#796174, bgo#702127,
    glgo#GNOME/evolution-data-server#12,
    glgo#GNOME/evolution-data-server#13,
    glgo#GNOME/evolution-data-server#14.
* Mon Jun 18 2018 bjorn.lie@gmail.com
- Update to version 3.28.3:
  + Address some of the clang warnings.
  + Correct some public headers in libedataserverui.
  + Address some of the compiler and static analyzers warnings.
  + [module-secret-monitor] Correct runtime warning from
    secret_service_search_sync().
  + Check for ICAL_STATUS_DELETED status enum value.
  + Correct find_program() for python with multiple names.
  + Silently skip empty lines when reading autoconfig-variables.
  + Update bug URL and switch to https:// in the DOAP file.
  + Google's "Daily Limit Exceeded" error not always propagated
    into UI.
  + [CalDAV] Race condition on connection object.
  + Correct false runtime warning from camel_folder_info_build().
  + Bugs fixed: bgo#795997, bgo#796206, bgo#796115, bgo#796116,
    bgo#796281, bgo#763029, bgo#792610,
    glgo#GNOME/evolution-data-server#2,
    glgo#GNOME/evolution-data-server#4.
  + Updated translations.
- Drop upstream fixed/applied patches:
  + eds-fix-fails-to-parse-Google-OAuth2.patch.
  + eds-correct-some-public-headers.patch.
* Wed May 16 2018 bjorn.lie@gmail.com
- Add eds-fix-fails-to-parse-Google-OAuth2.patch: Fix fails to
  parse Google OAuth2 authorization code (bgo#795997, boo#1102595).
- Add eds-correct-some-public-headers.patch -- Correct some public
  headers in libedataserverui.
* Mon May  7 2018 bjorn.lie@gmail.com
- Update to version 3.28.2:
  + Link WebKitGTK+ only with libedataserverui when OAuth2 is
    enabled.
  + Stale connection used after resume.
  + Bugs fixed: bgo#795108, bgo#791475, bgo#795295, bgo#795414,
    bgo#794727.
  + Updated translations.
- Drop evolution-data-server-icu61.1.patch: Fixed upstream.
* Mon Apr 16 2018 dimstar@opensuse.org
- Add evolution-data-server-icu61.1.patch: Fix build with icu 61.1
  (bgo#795295).
* Mon Apr  9 2018 bjorn.lie@gmail.com
- Update to version 3.28.1:
  + [ECalMetaBackend]: Doesn't store custom time zones permanently.
  + Correct typo in config.h.in.
  + Update POTFILES.in.
  + Bugs fixed: bgo#767683, bgo#725295, bgo#794434, bgo#794534,
    bgo#794628, bgo#793601, bgo#794639, bgo#794879.
  + Updated translations.
* Tue Mar 20 2018 dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
  Tumbleweed, this results in a NOP and for Leap in SLE paid
  translations being used (boo#1086036).
* Mon Mar 12 2018 bjorn.lie@gmail.com
- Update to version 3.28.0:
  + Updated translations.
* Tue Mar  6 2018 dimstar@opensuse.org
- Update to version 3.27.92:
  + Miscellaneous:
  - [IMAPx] Enhance processing of server IDLE notifications.
  - No more '.libs' directory in the build directory.
  - Meta backend tests required system-running
    evolution-source-registry.
  - Google calendar stopped reporting user email.
  + Bugs fixed: bgo#791475, bgo#793031, bgo#793466, bgo#793476,
    bgo#793491, bgo#793504, bgo#793673, bgo#793728, bgo#793759,
    bgo#793779.
  + Updated translations.
* Tue Mar  6 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Tue Mar  6 2018 dimstar@opensuse.org
- Update to version 3.27.91:
  + Miscellaneous:
  - Fix return value of e_oauth2_service_get_access_token_sync().
  - Write also message UID in Junk filter debug logs.
  - build: favor python3 as interpreter.
  + Bugs fixed: bgo#792746, bgo#793104,bgo#793368, bgo#793465,
    bgo#793466.
  + Updated translations.
- Drop eds-python3.patch: fixed upstream.
* Tue Mar  6 2018 dimstar@opensuse.org
- Update to version 3.27.90:
  + Add a debug print for OAUTH2_DEBUG=1 when obtaining
    authentication token.
  + Add book/calendar-factory argument to override
    backend-per-process compile-time option.
  + Add missed default implementation for
    EOAuth2Service::get_authentication_policy().
  + Add OAuth2 authentication for Outlook.com IMAP and SMTP.
  + Address some issues reported by Undefined Behavior Sanitizer.
  + Change how built-in OAuth2 authentication works.
  + Correct developer documentation in e-oauth2-service/s.
  + Correct "may be used uninitialized" warning in
    imapx_query_auth_types_sync().
  + Correct OAuth2 mail accounts configured in GNOME Online
    Accounts.
  + Correct return value of
    e_soup_session_get_authentication_requires_credentials().
  + [devel-doc] Rename api-index IDs, to not clash with gtk-doc
    generated IDs.
  + [IMAPx]:
  - Select destination mailbox only when permanentflags not known
    yet.
  - Sort array of UIDs before syncing changes to the server.
  + Introduce e_oauth2_service_get_redirect_uri().
  + Miscellaneous changes related to built-in OAuth2 services.
  + Prevent early free of an ESource when it has pending
    operations.
  + Prevent passing NULL ldap handle into LDAP functions ][.
  + Provide associated ESource to more EOAuth2Service virtual
    methods.
  + Replace e_cal_recur_nth array with
    e_cal_recur_get_localized_nth().
  + [SMTP] Change how the list of available authentication methods
    is constructed.
  + Bugs fixed: bgo#789522, bgo#792302, bgo#792513, bgo#792610.
  + Updated translations.
- Bump so_camel to 61, so_edataserver to 23 and so_edataserverui to
  2 (also in baselibs.conf), following upstream changes.
* Tue Mar  6 2018 dimstar@opensuse.org
- Update to version 3.27.4:
  + Miscellaneous:
  - Prevent passing NULL ldap handle into LDAP functions.
  - [Maildir] Correct double free when the source message file
    doesn't exist.
  + Bugs fixed: bgo#791282, bgo#791475.
  + Updated translations.
* Tue Mar  6 2018 luc14n0@linuxmail.org
- Update to version 3.27.3:
  + Miscellaneous:
  - Extend workaround for bgo#674885 (type initialisation
    deadlock in GObject).
  - [SMTP] Recognize rejected credentials during SASL
    authentication.
  - [OAuth2] Enhance how expired or invalid access tokens are
    handled.
  - [File Calendar] Include detailed information in Free/Busy
    response.
  - [CalDAV/CardDAV] Always set error on failed connection
    attempt.
  - Correct a failure condition in
    cal_client_init_in_dbus_thread().
  + Bug Fixes: bgo#790032, bgo#789549, bgo#790267, bgo#790759,
    bgo#790020, bgo#790887, bgo#790635, bgo#791016, bgo#790987,
    bgo#791327.
  + Updated translations.
- Update Url to https://wiki.gnome.org/Apps/Evolution: current
  Evolution's web page.
- Adopt the use of %%make_jobs macro rather than raw make command,
  following the best practices.
- Drop %%{?glib2_gsettings_schema_requires} macro as it's no longer
  needed since RPM file triggers.
* Tue Mar  6 2018 fezhang@suse.com
- Update to version 3.27.2:
  + Return hash-like IDs from camel_header_msgid_generate().
  + [CalDAV/CardDAV] Append ending slash to URL when missing.
  + [IMAPx]:
  - Show progress of message body download only.
  - Prevent deadlock under
    camel_imapx_server_copy_message_sync().
  + [google-backend] Limit for what sources authentication method
    is changed.
  + Add missed API indexes into developer documentation.
  + [CamelOfflineStore] Incorrect disconnect when going online.
  + Bugs fixed: bgo#696047, bgo#789169, bgo#742167, bgo#789132,
    bgo#789677, bgo#789555, bgo#789147.
  + Updated translations.
* Tue Mar  6 2018 dimstar@opensuse.org
- Update to version 3.27.1:
  + [CalDAV/CardDAV] Improve logic for object load from the server.
  + [CamelFolderSearch] The 'header-exists' misuses message info
    structure.
  + [Camel] Speed up message filtering on headers.
  + Crash under e-data-cal-view.c:pending_flush_timeout_cb().
  + e-cal-recur.c:ensure_timezone(): Unset icaltimetype::zone only
    if not UTC.
  + [ESoupSession] Special-case Daily Limit errors and propagate
    them to the caller.
  + Extend developer comment of camel_message_info_property_lock().
  + [GTasks] Remember when query resulted in '400 Bad Request'.
  + [IMAPx] Prevent crash in imapx_update_store_summary().
  + Initialize libxml2 global memory in the main().
  + Internal Google OAuth2 token not refreshed on calendar open.
  + Mute a compiler warning from e_collator_generate_key().
  + Prevent crash when "On The Web calendar' has set incorrect URI.
  + Use icaltime_is_utc() instead of icaltimetype::is_utc.
  + Bugs fixed: bgo#781645, bgo#786982, bgo#788371, bgo#788430,
    bgo#788686, bgo#788848.
  + Updated translations.
* Mon Mar  5 2018 bjorn.lie@gmail.com
- Update to version 3.26.6:
  + Google calendar stopped reporting user email.
  + Bugs fixed: bgo#793466, bgo#793852, bgo#791475, bgo#793779.
* Sun Feb 18 2018 jengelh@inai.de
- Update summaries
- Drop redundant %%if..%%endif guards
* Thu Feb 15 2018 tchvatal@suse.com
- Format with spec-cleaner.
- Move license to %%license tag.
- Allow building with python3 instead of python2:
  + Add eds-python3.patch: find python3 as valid interpreter.
  + Add python3-base BuildRequires: needed during build, and we
    don't want to rely any longer on an implicit python interpreter
    being pulled in.
- Drop obsolete obsoletes for 64bit and 32bit packages
* Mon Feb  5 2018 bjorn.lie@gmail.com
- Update to version 3.26.5:
  + Prevent early free of an ESource when it has pending
    operations.
  + IMAPx:
  - Select destination mailbox only when permanentflags not known
    yet.
  - Sort array of UIDs before syncing changes to the server.
  + Prevent passing NULL ldap handle into LDAP functions ][.
  + Bugs fixed: bgo#792513, bgo#789522.
* Mon Jan  8 2018 zaitor@opensuse.org
- Update to version 3.26.4:
  + Prevent passing NULL ldap handle into LDAP functions.
  + [Maildir]: Correct double free when the source message file
    doesn't exist.
  + Bugs fixed: bgo#791475, bgo#791282.
* Wed Dec 20 2017 zaitor@opensuse.org
- Update to version 3.26.3:
  + Extend workaround for bug 674885 (type initialisation deadlock
    in GObject).
  + [CamelOfflineStore] Incorrect disconnect when going online.
  + [SMTP] Recognize rejected credentials during SASL
    authentication.
  + [OAuth2] Enhance how expired or invalid access tokens are
    handled.
  + [CalDAV/CardDAV] Always set error on failed connection attempt.
  + Correct typo in libgweather include directory variable.
  + Correct a failure condition in
    cal_client_init_in_dbus_thread().
  + Bugs fixed: bgo#789147, bgo#790032, bgo#789549, bgo#790267,
    bgo#790759, bgo#790887, bgo#790987.
  + Updated translations.
* Wed Nov  1 2017 dimstar@opensuse.org
- Update to version 3.26.2.1:
  + Bugs fixed: bgo#789555, bgo#789677.
- Changes from version 3.26.2:
  + [CalDAV/CardDAV]:
  - Append ending slash to URL when missing.
  - Improve logic for object load from the server.
  + [CamelFolderSearch] The 'header-exists' misuses message info
    structure.
  + [Camel] Speed up message filtering on headers.
  + Crash under e-data-cal-view.c:pending_flush_timeout_cb().
  + e-cal-recur.c:ensure_timezone(): Unset icaltimetype::zone only
    if not UTC.
  + [ESoupSession] Special-case Daily Limit errors and propagate
    them to the caller.
  + Extend developer comment of camel_message_info_property_lock().
  + [GTasks] Remember timed query resulting in '400 Bad Request'.
  + [IMAPx]:
  - Prevent crash in imapx_update_store_summary().
  - Prevent deadlockick camel_imapx_server_copy_message_sync().
  - Show progress of message body download only.
  + Initialize libxml2 global memory in the main().
  + Internal Google OAuth2 token not refreshed on calendar open.
  + Mute a compiler warning from e_collator_generate_key().
  + Prevent crash when "On The Web" calendar has set incorrect URI.
  + Use icaltime_is_utc() instead of icaltimetype::is_utc.
  + Bugs fixed: bgo#696047, bgo#742167, bgo#781645, bgo#788371,
    bgo#788430, bgo#788686, bgo#788848, bgo#789132, bgo#789169.
  + Updated translations.
* Mon Oct  2 2017 zaitor@opensuse.org
- Update to version 3.26.1:
  + e_module_load_all_in_directory: Use g_debug() instead of
    g_warning().
  + Ignore "timed out" error from
    goa_account_call_ensure_credentials_sync().
  + [EGoaPasswordBased] Reuse GoaClient object between password
    lookup calls.
  + Misleading error for Google collection account without Calendar
    part.
  + [IMAPx] Wait for IDLE stop up to 10 seconds, then give up.
  + Fix some issues found by Coverity Scan.
  + Bugs fixed: bgo#787266, bgo#787341, bgo#769834, bgo#787445,
    bgo#787542, bgo#787713, bgo#787514, bgo#787935, bgo#788048,
    bgo#788051, bgo#787656, bgo#786208.
  + Updated translations.
* Mon Sep 11 2017 dimstar@opensuse.org
- Update to version 3.26.0:
  + Updated translations.
* Wed Sep  6 2017 dimstar@opensuse.org
- Update to version 3.25.92:
  + IMAPx:
  - Not all local changes saved to the server.
  - Handle gracefully when service is unavailable for
    get_folder_info().
  + camel_store_get_inbox_folder() can fail for IMAPx stores.
  + ESoupSession: Treat G_TLS_ERROR_BAD_CERTIFICATE as
    SOUP_STATUS_SSL_FAILED.
  + CalDAV/CardDAV: Check for TLS/authentication errors on refresh.
  + EWebDAVDiscoverWidget: Minor changes to error label.
  + ECalMetaBackend: Removing detached instance doesn't set EXDATE.
  + Merge a cmake/modules change from Evolution.
  + Bugs fixed: bgo#785952, bgo#786362, bgo#553770, bgo#548814,
    bgo#563602.
  + Updated translations.
* Mon Aug 21 2017 zaitor@opensuse.org
- Update to version 3.25.91:
  + Add new developer documentation file into
    evolution-data-server-docs.sgml.in.
  + Bugs fixed: bgo#781901, bgo#786366.
  + Updated translations.
* Tue Aug  8 2017 zaitor@opensuse.org
- Update to version 3.25.90:
  + Make EWebDAVSession soft-depend on ESourceWebdav extension.
  + Introduce EWebDAVCollectionBackend to be used for
    WebDAV-discovered collections.
  + Workaround issue with badRequest/invalid format for Google
    address book.
  + Deadlock on exit under e-categories.c:finalize_categories().
  + [EWebDAVDiscover] Correct href sets reading.
  + [Vala] Fix a warning with a virtual method being the same name
    as another method.
  + Rename owncloud-backend module to webdav-backend.
  + Add calendar and contacts URLs into ESourceCollection
    extension.
  + Bugs fixed: bgo#785136, bgo#785188, bgo#785212, bgo#785284,
    bgo#785340, bgo#785393, bgo#785629, bgo#785647, bgo#785718.
  + Updated translations.
- Changes from version 3.25.4:
  + Better react on connection lost in
    EBookMetaBackend/ECalMetaBackend.
  + Introduce 'list-sources' tool.
  + Use the fancy Unicode apostrophes in the “list-sources” tool.
  + Change --module-dir for gtkdoc-fixxref call.
  + Warn and set default when sendmail not found during the build.
  + Expose D-Bus service names in evolution-data-server pkg-config
    file.
  + Correct localization of external tools.
  + Bugs fixed: bgo#493801, bgo#343904, bgo#779753, bgo#338649,
    bgo#784116, bgo#784182, bgo#779156, bgo#784183, bgo#784218,
    bgo#772572, bgo#781744, bgo#782844, bgo#781790, bgo#784548,
    bgo#784746.
  + Updated translations.
- Add explicit gettext BuildRequires.
- Rename lang subpackage, remove trailing version no longer needed
  due to upstream changes.
- Stop handling glib2_gsettings_schema_post(un) in post(un), no
  longer needed as we have file-triggers taking care of this for us
  now.
* Tue Aug  8 2017 dimstar@opensuse.org
- Update to version 3.25.3:
  + Prevent busy-loop opening Google calendar configured in GOA.
  + Rename "WebDAV" books group to "CardDAV".
  + Make some EBookMetaBackend/ECalMetaBackend private functions
    public.
  + Deprecate e_uid_new() in favor of e_util_generate_uid().
  + [ESoupSession] Prefer request's URI when setting OAuth2
    authorizer.
  + [EBookCache/ECalCache] Understand '#t' search expression as
    'list all'.
  + Prevent GError override in e_cal_backend_sync_get_timezone().
  + Publicize immediate refresh function for
    EBookMetaBackend/ECalMetaBackend.
  + Fix few memory leaks.
  + Correct ECalMetaBackend::get_object_sync() implementation.
  + Be able to get all UID/id-s from book/cal cache with certain
    'extra' data.
  + Fix a crash under
    e_webdav_discover_traverse_propfind_response_cb().
  + Introduce ESourceRegistryWatcher.
  + Update ESource's connection-status in
    EBookMetaBackend/ECalMetaBackend.
  + Allow overwrite of CMAKE_SKIP_RPATH variable.
  + Bugs fixed: bgo#770476, bgo#782096, bgo#783385.
  + Updated translations.
* Tue Aug  8 2017 zaitor@opensuse.org
- Update to version 3.25.2:
  + Remove forgotten debug print.
  + Add CamelWeakRefGroup to camel-docs.sgml.
  + Merge offline-cache changes into master.
  + Unicode typography fixes.
  + Bump libical dependency to 2.0 for ICAL_FILENAME_PARAMETER.
  + Fix possible use of uninitialized variables in the new code.
  + Correct some developer code comments and annotations.
  + Introduce e_util_generate_uid().
  + Re-apply missed change for bug 781543 after the offline-cache
    code merge.
  + Mis-filters emails with Mailing List rule in certain
    situations.
  + On The Web calendars don't work when the server doesn't return
    ETag header.
  + Bugs fixed: bgo#781833, bgo#779749, bgo#782360, bgo#782362,
    bgo#782377, bgo#782745, bgo#782799, bgo#782847.
  + Updated translations.
* Tue Aug  8 2017 dimstar@opensuse.org
- Update to version 3.25.1:
  + Correct two libecal/client tests.
  + IMAPx:
  - Unsubscribed folders shown after refresh.
  - Fix a memory leak of CamelIMAPXServer.
  + Bugs fixed: bgo#656635, bgo#777042, bgo#781376, bgo#781465,
    bgo#781543,bgo#781549.
  + Updated translations.
- Bump _evo_version to 3.26, following upstream.
* Mon Aug  7 2017 zaitor@opensuse.org
- Update to version 3.24.5:
  + Workaround issue with badRequest/invalid format for Google
    address book.
  + Deadlock on exit under e-categories.c:finalize_categories().
  + [Vala] Fix a warning with a virtual method being the same name
    as another method.
  + Bugs fixed: bgo#785136, bgo#785188, bgo#785212, bgo#785393.
  + Updated translations.
* Mon Jul 17 2017 zaitor@opensuse.org
- Update to version 3.24.4:
  + Warn and set default when sendmail not found during the build.
  + Correct localization of external tool.
  + Bugs fixed: bgo#493801, bgo#779753, bgo#784116, bgo#779156,
    bgo#782844, bgo#784548.
  + Updated translations.
* Mon Jun 19 2017 zaitor@opensuse.org
- Update to version 3.24.3:
  + Remove forgotten debug print.
  + Add CamelWeakRefGroup to camel-docs.sgml.
  + Mis-filters emails with Mailing List rule in certain
    situations.
  + Prevent busy-loop opening Google calendar configured in GOA.
  + Prevent GError override in e_cal_backend_sync_get_timezone().
  + Allow overwrite of CMAKE_SKIP_RPATH variable.
  + Bugs fixed: bgo#782360, bgo#782362, bgo#782377, bgo#782096,
    bgo#770476, bgo#783385.
- Pass -DCMAKE_SKIP_RPATH=OFF to configure, needed after upstream
  changes.
* Wed May 10 2017 zaitor@opensuse.org
- Update to version 3.24.2:
  + Correct two libecal/client tests.
  + [IMAPx]:
  - Unsubscribed folders shown after refresh.
  - Fix a memory leak of CamelIMAPXServer.
  + Bugs fixed: bgo#777042, bgo#656635, bgo#781376, bgo#781465,
    bgo#781543, bgo#781549, bgo#781833, bgo#779749.
* Wed Apr 19 2017 zaitor@opensuse.org
- Update to version 3.24.1:
  + Revert "Disable support for all POP3 extensions by default".
  + Fix maybe-used-uninitialized compiler warning from
    camel-pop3-folder.c.
  + Fix few Coverity scan issues.
  + Bugs fixed: bgo#780617, bgo#777161.
  + Updated translations.
* Mon Mar 20 2017 dimstar@opensuse.org
- Update to version 3.24.0:
  + Updated translations.
* Mon Mar 13 2017 dimstar@opensuse.org
- Update to version 3.23.92:
  + Disable support for all POP3 extensions by default.
  + Skip outdated Camel tests in 'make check'.
  + [Camel] Extend filter debug logging.
  + Bugs fixed: bgo#779156, bgo#779161, bgo#779761, bgo#779886.
  + Updated translations.
* Mon Feb 27 2017 zaitor@opensuse.org
- Update to version 3.23.91:
  + Fix a performance issue caused by GWeakRef usage in
    CamelMessageInfo.
  + [IMAPx] Declare summary to use when cloning message info after
    message append.
  + Correct how data for installed tests are searched for.
  + Bugs fixed: bgo#778775, bgo#778768, bgo#778235, bgo#775699.
  + Updated translations.
* Wed Feb 15 2017 dimstar@opensuse.org
- Update to version 3.23.90:
  + Ignore errors when getting message for a body-contains search.
  + Correct config.h inclusion in some recent Camel source files.
  + Fix a CamelVeeMessageInfo memory leak.
  + Fix a ref/unref imbalance of CamelIMAPXStoreInfo.
  + Fix a memory leak in camel_imapx_server_append_message_sync().
  + Unable to add additional Google calendar.
  + Avoid local message cache expiry clean up when being offline.
  + [IMAPx] Avoid unneeded full flags folder update when no changes
    made.
  + Bugs fixed: bgo#771289, bgo#777207, bgo#777431, bgo#777660,
    bgo#777695, bgo#777781, bgo#778069, bgo#778222, bgo#778265.
  + Updated translations.
* Wed Feb 15 2017 dimstar@opensuse.org
- Update to version 3.23.4:
  + vala: libedataserver-1.2 depends on camel-1.2.
  + [Camel] Fix some introspection annotations.
  + [Camel] Fix CamelStore annotations.
  + [IMAPx] Fix a memory leak.
  + [Vala] Add Posix dependency to camel-1.2.
  + Use a Unicode apostrophe in a new translatable string.
  + Correct new module detection when installed by file rename.
  + Various clean-ups of evolution-source-registry-autoconfig.c.
  + Build vala bindings of libedataserverui only if it's built as
    well.
  + camel-stream-process: Avoid call of g_debug() in the fork
    process.
  + Replace deprecated icalproperty_remove_parameter() with
    icalproperty_remove_parameter_by_kind().
  + Replace deprecated icaltime_from_timet() with
    icaltime_from_timet_with_zone().
  + Fix a build with libphonenumber.
  + Bugs fixed: bgo#773419, bgo#774304, bgo#775640, bgo#775643,
    bgo#776127, bgo#776152, bgo#776194, bgo#776254, bgo#776258,
    bgo#776328, bgo#776365, bgo#777085.
  + Updated translations.
- Split out new packate typelib-1_0-EDataServerUI-1_2.
* Wed Feb 15 2017 dimstar@opensuse.org
- Update to version 3.23.3:
  + Set also HAVE_KRB5 when found Kerberos 5 with pkg-config.
  + Correct const/no-const argument of the
    camel_message_info_set_dirty().
  + Do not propagate only folder-flagged flag change in
    CamelVeeMessageInfo.
  + Fix a possible uninitialized variable use in a Camel test.
  + Fix some of the gtk-doc warnings in Camel.
  + Fix possible use-after-free in CamelVeeFolder with
    parent_vee_store.
  + Test for parent_store availability around
    camel_folder_changed().
  + Let Camel build its .typelib for the introspection.
  + Fix a vapigen warning from EDataServer-1.2.metadata.
  + Make glib_mkenums() files depend on the source enum file.
  + Camel:
  - Consider NULL and empty arrays/sets equal.
  - Introduce camel_operation_new_proxy().
  + IMAPx:
  - Save also server user flags and tags into the folder summary.
  - Unnecessary local summary rewrites after folder update.
  - Local flag changes could be missed and left unsaved on the
    server.
  - Notify about new messages early during folder update.
  + Bugs fixed: bgo#772292, bgo#773156, bgo#774331, bgo#774496,
    bgo#774666, bgo#774698, bgo#774841, bgo#775363, bgo#775395,
    bgo#775597, bgo#775618, bgo#775699.
  + Updated translations.
- Package new typelib subpackage typelib-1_0-Camel-1_2.
* Wed Feb 15 2017 dimstar@opensuse.org
- Update to version 3.23.2:
  + [IMAPx] Avoid crash when untagged response doesn't have a
    token.
  + Correct WITH_LIBDB configure option processing.
  + Correct typo in the output name of camel tests.
  + Mute/fix some of the libedataserver annotation warnings.
  + Correct ENABLE_BACKTRACES configure option handling.
  + Correct gtkdoc-scan --ignore-headers argument value.
  + Update gtk-doc sgml input files.
  + Fix some of the gtk-doc warnings.
  + Split e-source-calendar.h/.c into three separate files.
  + Correct how private enums (for gtk-doc) are defined.
  + SetupBuildFlags.cmake: Check C++ flags only if C++ is enabled.
  + Ensure CMAKE_SKIP_RPATH is OFF, the RPATH is used here.
  + Bugs fixed: bgo#764065, bgo#767821, bgo#769573, bgo#772947,
    bgo#773360, bgo#773363, bgo#773427, bgo#773656, bgo#773657,
    bgo#773659, bgo#773723, bgo#774103, bgo#774234, bgo#774522.
  + Updated translations.
- Drop e-d-s-cmake.patch: fixed upstream.
- Bump so_camel to 60, following upstream (also in baselibs.conf).
* Wed Feb 15 2017 dimstar@opensuse.org
- Update to version 3.23.1:
  + Convert from autotools to CMake.
  + Require as hard dependency some dependencies.
  + Extend error messages in FindLDAP.cmake.
  + Reorganize directory structure.
  + Add a helper script for a 'dist' target.
  + Correct typos/overlooks in a build script.
  + Rename SHARE_INSTALL_DIR to SHARE_INSTALL_PREFIX.
  + Do not quote compiler/linker flags and fix g-ir-scanner cflags.
  + ENABLE_DOT_LOCKING not properly propagated into config.h.
  + Hard-break `make dist` when there are uncommitted changes.
  + Bugs fixed: bgo#605416, bgo#773188, bgo#773309.
  + Updated translations.
- Follow upstreams switch to cmake:
  + Drop the entire %%%%configure line, replacing it with an
    equivalent %%%%cmake call.
  + Add cmake BuildRequires.
- Update _evo_version to 3.24, following upstream.
- Bump so_ebook to 19, following upstreams soname change.
- Add e-d-s-cmake.patch: Fix build by having proper settings for
  RPATH handling by cmake (boo#774234).
- Drop the USE_EVOLDAP condition and the related evoldap2-devel
  BuildRequires: this won't ever happen again.
* Mon Feb 13 2017 zaitor@opensuse.org
- Update to version 3.22.5:
  + Ignore errors when getting message for a body-contains search.
  + Fix a ref/unref imbalance of CamelIMAPXStoreInfo.
  + Fix a memory leak in camel_imapx_server_append_message_sync().
  + Unable to add additional Google calendar.
  + [IMAPx] Avoid unneeded full flags folder update when no changes
    made.
  + Bugs fixed: bgo#777431, bgo#777695, bgo#777781, bgo#778222,
    bgo#778069, bgo#778265.
* Tue Jan 17 2017 zaitor@opensuse.org
- Update to version 3.22.4:
  + Correct new module detection when installed by file rename.
  + camel-stream-process: Avoid call of g_debug() in the fork
    process.
  + Replace deprecated icalproperty_remove_parameter() with
    icalproperty_remove_parameter_by_kind().
  + Replace deprecated icaltime_from_timet() with
    icaltime_from_timet_with_zone().
  + [IMAPx] Fix a memory leak.
  + Bugs fixed: bgo#776152, bgo#774304, bgo#777085.
* Mon Dec 12 2016 zaitor@opensuse.org
- Update to version 3.22.3:
  + IMAPx:
  - Local flag changes could be missed and left unsaved on the
    server.
  - Notify about new messages early during folder update.
  + Fix possible use-after-free in CamelVeeFolder with
    parent_vee_store.
  + Test for parent_store availability around
    camel_folder_changed().
  + Bugs fixed: bgo#774180, bgo#774103, bgo#774698, bgo#772292,
    bgo#774496, bgo#774841, bgo#775618, bgo#775699.
* Mon Nov  7 2016 zaitor@opensuse.org
- Update to version 3.22.2:
  + [IMAPx] Avoid crash when untagged response doesn't have a
    token.
  + Bugs fixed: bgo#772095, bgo#772347, bgo#767807, bgo#773248,
    bgo#773363.
  + Updated translations.
* Mon Oct 10 2016 zaitor@opensuse.org
- Update to version 3.22.1:
  + Internal Google OAuth2 authentication fails with expired token
    (bgo#771547).
  + Fix console runtime warnings from vFolder/vStore code on
    application quit.
  + Fix build with --disable-google-auth.
  + Updated translations.
- Drop eds-Internal_Google_OAuth2_authentication.patch: Fixed
  upstream.
* Sat Sep 24 2016 zaitor@opensuse.org
- Add eds-Internal_Google_OAuth2_authentication.patch: Internal
  Google OAuth2 authentication fails with expired token
  (bgo#771547).
- Conditionally apply translations-update-upstream BuildRequires
  and macro for non-openSUSE only.
- Stop passing V=1 to make, we do debugging locally.
* Mon Sep 19 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + Updated translations.
* Mon Sep 12 2016 zaitor@opensuse.org
- Update to version 3.21.92:
  + Bugs fixed: bgo#770452, bgo#770570, bgo#770746, bgo#761450,
    bgo#770854.
  + Updated translations.
* Mon Aug 29 2016 dimstar@opensuse.org
- Update to version 3.21.91:
  + build: Rename webkitgtk_minimum_version to
    webkit2gtk_minimum_version.
  + Add translator comments above '%%s : %%s' explaining its purpose.
  + [Camel] Folder summary can be leaked after its folder is freed.
  + Bugs fixed: bgo#742117, bgo#761450, bgo#767786, bgo#768672,
    bgo#769620, bgo#770198.
  + Updated translations.
* Mon Aug 15 2016 zaitor@opensuse.org
- Update to version 3.21.90:
  + Drop unused 'Deletes' table from folders.db (bgo#768599).
  + Incorrect times provided in e_cal_recur_generate_instances()
    (bgo#766346).
  + Port to WebKit2 (bgo#751588).
  + Junk check fails due to empty cache file (bgo#767564).
  + Updated translations.
- Replace pkgconfig(webkitgtk-3.0) for pkgconfig(webkit2gtk-4.0)
  BuildRequires following upstreams port.
* Mon Aug  8 2016 zaitor@opensuse.org
- Update to version 3.21.4:
  + Move Camel dependency into Requires.private in
    libedataserver/ui.pc.
  + Always build ESExp structure as a GObject descendant.
  + Correct version number reference in a developer comment.
  + Build developer documentation sections and types on the fly.
  + [POP3] Default to "Leave messages on server" for new accounts.
  + [IMAPx] Possible deadlock in
    camel_imapx_server_stop_idle_sync().
  + Add Language headers to po files.
  + Bugs fixed: bgo#767786, bgo#767865, bgo#767780, bgo#764065,
    bgo#443716, bgo#768000, bgo#768258, bgo#768496.
  + Updated translations.
- Bump so_camel and so_edataserver (also in baselibs) following
  upstream changes.
* Mon Aug  8 2016 zaitor@opensuse.org
- Update to version 3.21.3:
  + e-webdav-discover-widget: Show all supported types for the
    source in the table.
  + Fix two memory leaks.
  + [CamelGpgContext] Provide signer photos when available.
  + Introduce an ENetworkMonitor.
  + Fix a GCC compiler warning.
  + Address some of the clang compiler warnings.
  + ENetworkMonitor: Implement also the async part of the
    GNetworkMonitor interface.
  + [Camel] Set default connection timeout to 90 seconds.
  + Bugs fixed: bgo#766747, bgo#766682, bgo#767056, bgo#767134,
    bgo#634294.
  + Updated translations.
- Bump so_camel (also in baselibs) following upstream changes.
* Mon Aug  8 2016 zaitor@opensuse.org
- Update to version 3.21.2:
  + Possible use-after-free on factory subprocess close.
  + Add error checks around factory subprocess backend loading.
  + [IMAPx] 'STARTTLS not supported' error ignored.
  + Fix some issues found by Coverity Scan, cppcheck and clang.
  + Bugs fixed: bgo#571723, bgo#687038, bgo#740627, bgo#765646,
    bgo#765857.
  + Updated translations.
* Mon Aug  8 2016 zaitor@opensuse.org
- Update to version 3.21.1:
  + [CalDAV]:
  - Instead of query for UID, try to get the object directly.
  - Backend not initialized when asked to authenticate.
  + [IMAPx]:
  - Add default folder names as iCloud provides them.
  - Release idle_lock before disconnecting the cancellable.
  - Crash under imapx_server_info_changed_cb().
  + Bugs fixed: bgo#728496, bgo#764977, bgo#235681.
  + Updated translations.
- Bump base version following upstream changes.
* Mon Aug  8 2016 zaitor@opensuse.org
- Update to version 3.20.5:
  + Incorrect times provided in e_cal_recur_generate_instances()
    (bgo#766346).
* Mon Jul 11 2016 zaitor@opensuse.org
- Update to version 3.20.4:
  + [Camel]: Set default connection timeout to 90 seconds.
  + [IMAPx]: Possible deadlock in
    camel_imapx_server_stop_idle_sync().
  + Bugs fixed: bgo#634294, bgo#767786, bgo#767865, bgo#767780,
    bgo#768000.
  + Updated translations.
* Tue Jun  7 2016 badshah400@gmail.com
- Update to version 3.20.3:
  + [IMAPx]: 'STARTTLS not supported' error ignored.
  + Fix some issues found by Coverity Scan, cppcheck and clang.
  + e-webdav-discover-widget: Show all supported types for the
    source in the table.
  + Fix two memory leaks.
  + Bugs fixed: bgo#740627, bgo#766747, bgo#767056, bgo#767134.
  + Updated translations.
* Mon May 16 2016 mgorse@suse.com
- Update to GNOME 3.20.2  Fate#318572
* Tue May 10 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + [IMAPx]:
  - Release idle_lock before disconnecting the cancellable.
  - Crash under imapx_server_info_changed_cb().
  - [CalDAV] Backend not initialized when asked to authenticate.
  + Possible use-after-free on factory subprocess close.
  + Bugs fixed: bgo#728496, bgo#235681.
  + Updated translations.
* Thu Apr 14 2016 mgorse@suse.com
- Update to GNOME 3.20  Fate#318572
- Drop evolution-data-server-3.10.4-poodle-enable-tls-for-ssl.patch
  and disable-sslv3.patch: not relevant for newer code base.
* Mon Apr 11 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Fix memory leak in error paths in
    EBookBackendSqliteDB::sexp_to_sql_query().
  + [IMAPx]:
  - Do not change Sent folder for GMail in initial setup.
  - Cleanup busy/idle hashes on connect/disconnect.
  - Report message flag change only if really changed.
  - Add thread-safety locking around server's private 'changes'
    property.
  - Retry the operation only if an old connection fails.
  + [CalDAV]: Instead of query for UID, try to get the object
    directly.
  + Bugs fixed: bgo#763951, bgo#764027, bgo#763670, bgo#764172,
    bgo#764434, bgo#764307.
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Mon Mar 14 2016 dimstar@opensuse.org
- Update to version 3.19.92:
  + Fix locking in an error path of camel_key_table_add() function.
  + [WebCal] Does not refresh when it's authenticated.
  + [CalDAV] Add Bearer auth to the SoupSession only when using
    OAuth2.
  + bgo#762759: Crash on start when ~/.cache is not accessible.
  + bgo#763139: libedata-book: Validate strings from the backend
    summary file as UTF-8.
  + bgo#761096: [IMAPx] Disable message multi-fetch by default.
  + Updated translations.
* Mon Feb 29 2016 dimstar@opensuse.org
- Update to version 3.19.91:
  + IMAPx:
  - Add "use-multi-fetch" boolean option.
  - Cannot mark-all-read in virtual Junk and Trash folders.
  + Camel: Run "headers-end-with" search rule in memory.
  + Address few issues found by Coverity Scan.
  + Bugs fixed: bgo#725320.
  + Updated translations.
* Tue Feb 16 2016 dimstar@opensuse.org
- Update to version 3.19.90:
  + camel-debug: Add thread-safety around dwarf address resolution
    code.
  + EDataCalView: Ensure GDBus string for view signals.
  + IMAPx:
  - Connection could be used multiple times at once in certain
    cases.
  - Stop IDLE gracefully.
  - Change how IDLE is handled.
  - Remove runtime check from
    imapx_conn_manager_dec_mailbox_hash().
  - Try to guess also Templates and Archive folders.
  - Crash in imapx_free_capability().
  - Prefer graceful IDLE stop than forced reconnect.
  + Use icaltzutil_set_exact_vtimezones_support(), if available.
  + Address/mute some Coverity Scan issues.
  + Do not require gnome-common to run autogen.sh.
  + Correct flags when checking for
    icaltzutil_set_exact_vtimezones_support().
  + Correct some possibly uninitialized variables usages.
  + Bugs fixed: bgo#725320, bgo#748996, bgo#759153, bgo#759392,
    bgo#760735, bgo#760780, bgo#760794, bgo#760951, bgo#761346,
    bgo#761506, bgo#761527.
  + Updated translations.
  + Bump so_camel defines to 57, following upstreams changes (also
  in baselibs.conf).
* Tue Feb 16 2016 dimstar@opensuse.org
- Update to version 3.19.4:
  + [IMAPx] Enhance IDLE run management on folders.
  + Bugs fixed: bgo#759214, bgo#759458, bgo#759714.
  + Updated translations.
- Bump so_camel defines to 55, following upstreams changes (also
  in baselibs.conf).
* Tue Feb 16 2016 damjanovic.ivo@gmail.com
- Update to version 3.19.3:
  + Make sure EDBusServer modules are loaded only once.
  + [POP3] Avoid deadlock around pop3_folder_get_message_sync().
  + [ECacheReaper] Recover data for private folders.
  + [EDBusServer] Reload the server only if a new module was added.
  + Bugs fixed: bgo#746675, bgo#758856.
  + Updated translations.
* Tue Feb 16 2016 zaitor@opensuse.org
- Update to version 3.19.2:
  + Correct gtk-doc build references to work in out-of-source
    builds too.
  + [Maildir] Change flag separator in file name for Win32.
  + [Camel]:
  - Check for session existence in store/folder maybe_connect.
  - Add some helper functions for ref count issues debugging.
  + camel_service_ref_session() can return a NULL pointer.
  + Correct test-vcard-parsing, use unique test names.
  + [IMAPx] Doesn't ask for password when a wrong is entered.
  + [EDBusServer] Load newly added modules on the fly
  + Bugs fixed: bgo#757169, bgo#757465, bgo#688921, bgo#700001,
    bgo#757789, bgo#702127.
  + Updated translations.
- Changes from version 3.19.1:
  + [Weather calendar] Location/Unit changes not propagate until
    re-open.
  + Correct runtime warnings from ubuntu-online-accounts module.
  + source_registry_server_process_file_monitor_event - Correct
    possible runtime warning.
  + Fix a reference leak from e-webdav-discover.
  + Avoid the compile warning when initializing SPNEGO'
    gss_OID_desc structure.
  + Bugs fixed: bgo#749974, bgo#754999, bgo#255032, bgo#755412,
    bgo#755410, bgo#513779, bgo#552425, bgo#755735, bgo#755735,
    bgo#732931, bgo#748636, bgo#756172, bgo#756530, bgo#756842.
  + Updated translations.
- Bump %%define _evo_version to version 3.20.
- Add pkgconfig(json-glib-1.0) and pkgconfig(webkitgtk-3.0)
  BuildRequires, needed for updated google account handling.
* Mon Feb 15 2016 zaitor@opensuse.org
- Update to version 3.18.5:
  + Use icaltzutil_set_exact_vtimezones_support(), if available.
  + [IMAPx]:
  - Connection could be used multiple times at once in certain
    cases.
  - Stop IDLE gracefully.
  - Change how IDLE is handled.
  - Remove runtime check from
    imapx_conn_manager_dec_mailbox_hash().
  - Crash in imapx_free_capability().
  - Prefer graceful IDLE stop than forced reconnect.
  + Bugs fixed: bgo#748996, bgo#759153, bgo#761527, bgo#760951.
* Mon Jan 18 2016 zaitor@opensuse.org
- Update to version 3.18.4:
  + [IMAPx] Enhance IDLE run management on folders.
  + Updated translations.
* Tue Dec 15 2015 zaitor@opensuse.org
- Update to version 3.18.3:
  + [Camel] Check for session existence in store/folder
    maybe_connect.
  + [IMAPx] Doesn't ask for password when a wrong is entered.
  + [POP3] Avoid deadlock around pop3_folder_get_message_sync().
  + [ECacheReaper] Recover data for private folders.
  + Correct test-vcard-parsing, use unique test names.
  + Bugs fixed: bgo#757789, bgo#702127, bgo#746675.
* Mon Nov  9 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Avoid the compile warning when initializing SPNEGO'
    gss_OID_desc structure.
  + [Maildir] Change flag separator in file name for Win32.
  + Bugs fixed: bgo#756530, bgo#756842, bgo#757169, bgo#757465,
    bgo#700001.
  + Updated translations.
* Mon Oct 12 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + [Weather calendar] Location/Unit changes not propagate until
    re-open.
  + Correct runtime warnings from ubuntu-online-accounts module.
  + source_registry_server_process_file_monitor_event: Correct
    possible runtime warning.
  + Fix a reference leak from e-webdav-discover.
  + Bugs fixed: bgo#754999, bgo#755412, bgo#755410, bgo#552425,
    bgo#732931, bgo#748636, bgo#756172.
  + Updated translations.
* Mon Sep 21 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Recent glib 2.45.8 change breaks account settings (bgo#755075).
  + Updated translations.
* Mon Sep 14 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + [POP3]: Message re-download shown as completely empty message.
  + [IMAPx]:
  - Junk/NotJunk message flags not stored server-side.
  - Remove redundant CAMEL_IMAPX_ERROR_TRY_RECONNECT error code.
  - Local changes not always properly saved to the server.
  - Better runtime warning when running command on top of
    another.
  - Move to real Trash keeps original message with UID COPY.
  - Empty trash doesn't empty virtual folder Trash.
  - Add few more debug prints around command processing.
  + [CamelVeeSummary] Do not freeze folder when setting info flags.
  + Always hold EDBusServer when opening factory subprocess.
  + Extract libsecret store/lookup/delete API into a public
    interface.
  + Bugs fixed: bgo#402843, bgo#677438, bgo#750964, bgo#752339,
    bgo#753432.
  + Updated translations.
* Mon Aug 31 2015 zaitor@opensuse.org
- Update to version 3.17.91:
  + [IMAPx]:
  - Correct expunge and real trash/junk handling.
  - Do not block GetMessage requests for different messages.
  - Do not inherit cancelled errors from previously running jobs.
  - Name CAMEL_IMAPX_ERROR codes.
  - Miscellaneous changes.
  + [CalDAV] Add workaround for FastMail servers.
  + [Google backend] Use imap/smtp.googlemail.com instead of
    .gmail.com.
  + [Google/ownCloud backend] Always update discovered ESource
    details.
  + [GOA/UOA] Remove duplicate ESource-s referencing the same
    GOA/UOA account.
  + Bugs fixed: bgo#699529, bgo#753764, bgo#749773.
  + Updated translations.
* Mon Aug 17 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Do not set write-to-all to installed tests executable.
  + Bump minimum SQLite version to 3.7.17.
  + Prefix password lookup errors, thus they make more sense in UI.
  + Introduce CAL_STATIC_CAPABILITY_ALL_DAY_EVENT_AS_TIME.
  + [camel-operation.c] Correct argument in g_signal_new().
  + [imapx_server_inactivity_thread] Do not claim 'cancelled' error
    on console.
  + [camel-imapx-conn-manager.c] Correct return values in some
    functions.
  + [e-cal-recur.c] Do not write out of bounds of the weekdays
    array.
  + [IMAPx]:
  - Correct IDLE detection to not overlap running commands.
  - Add an 'output_stream' argument to imapx_step().
  - Stop early in imapx_authenticate_sync() if cancelled.
  - imapx_server_inactivity_thread: Turn runtime warnings into
    debug messages.
  - Ignore broken (truncated) COPYUID server response.
  - Prefer Get/Copy/Move message and Expunge jobs over other.
  - Treat G_IO_ERROR_CLOSED as a reason to try to reconnect.
  - Connection could be used by two jobs at the same time.
  - More pending-IDLE-detection related changes.
  - Be able to search server with text with umlauts/UTF-8
    letters.
  + Add thread safety around istream/ostream.
  + Bugs fixed: bgo#722270, bgo#752233, bgo#745545, bgo#753276,
    bgo#752338, bgo#752114. bgo#233140, bgo#533478, bgo#752197,
    bgo#684456, bgo#686105.
  + Updated translations.
* Mon Aug 10 2015 zaitor@opensuse.org
- Update to version 3.17.4:
  + [CamelGpgContext] Handle decryption failures better.
  + [ENamedParameters] Be able to read/write values from/to a
    simple string.
  + [IMAPx] Set cache expiration for one week when not
    sync-for-offline.
  + Add E_CONTACT_PGP_CERT EContact field.
  + Enhance debugging output of
    source_registry_server_monitor_changed_cb().
  + [Google backend] Claim Contacts and Tasks in populate().
  + Not able to select time in appointment/meeting for some
    locales.
  + Doesn't honor Google settings as defined in
    gnome-online-accounts.
  + Add GCancellable parameter to camel_filter_search_match().
  + Remove obsolete code comment.
  + Bugs fixed: bgo#751462, bgo#751329, bgo#751701, bgo#751769,
    bgo#751657, bgo#750766, bgo#685035, bgo#752049, bgo#752197,
    bgo#752197, bgo#752304, bgo#692361, bgo#752370, bgo#752373.
  + Updated translations.
- Bump libcamel, libebook-contacts, libecal and libedata-cal soname
  (also in baselibs.conf) following upstream changes.
* Mon Aug 10 2015 zaitor@opensuse.org
- Update to version 3.17.3:
  + Google backend considers each discovered source as new.
  + [IMAPx]:
  - Message moved to real Trash/Junk multiple times.
  - Consider also G_IO_ERROR_BROKEN_PIPE as 'Connection reset by
    peer' error.
  + Truly disable gtk-doc build when asked to.
  + [Google book]: Remove unnecessary code path found by Coverity
    Scan.
  + Correct a white-space error.
  + Use e_source_remove_sync() instead of
    e_source_registry_server_remove_source ().
  + ownCloud/Google backends: make sure discovered sources are
    enabled.
  + Provide e_util_get_source_full_name() to describe source with
    parents.
  + Provide default implementation of
    EBackend::authenticate_sync().
  + Do not add Google Tasks source for non-GOA master source.
  + Make ESource::unset_last_credentials_required_arguments()
    virtual method.
  + source_registry_server_monitor_changed_cb: Reuse existing
    source.
  + addressbook: Treat an empty vCard attribute group name as NULL.
  + e-source-registry-server: Watch for changes to .source files
    and reload.
  + e_trust_prompt_run_for_source: Do not require Authentication
    extension.
  + [ETrustPrompt] Ensure needed extensions for GOA/UOA sources.
  + Add --factory parameter to factory subprocesses for easier
    debugging.
  + e-source-registry-server: Remove a spurious newline from a
    debug message.
  + Bugs fixed: bgo#747988, bgo#749292, bgo#749664, bgo#720197,
    bgo#750146, bgo#750416, bgo#750427, bgo#676155, bgo#678901,
    bgo#750148, bgo#247661, bgo#471791, bgo#751108, bgo#750889,
    bgo#751005.
  + Updated translations.
* Mon Aug 10 2015 zaitor@opensuse.org
- Update to version 3.17.2:
  + Add a workaround for bgo#674885 (Type initialisation deadlock
    in GObject).
  + [IMAPx] Do not free uninitialized memory in imapx_call_idle().
  + [POP3] Avoid crash on folder dispose, when iterating through
    pending commands.
  + [NNTP] Fix minor memory leaks.
  + GOA Google Calendar - Do not notify about past events.
  + GOA Google module - Update authentication method before WebDAV
    discovery.
  + Add thread-safety into CamelAsyncClosure.
  + Slow expunge of a maildir folder.
  + [http calendar] Add UID to the component, if missing.
  + [Win32] Use common Win32 init function in book/cal
    subprocesses.
  + Remove confusing runtime warning in e-source.c.
  + Correct 'since' tags in D-Bus .xml files.
  + Add ESource::UnsetLastCredentialsRequiredArguments method.
  + Fix a dead-code found by the Coverity Scan.
  + camel: Avoid an unlikely division by zero on a race condition.
  + calendar: Remove dead code in HTTP backend.
  + edataserverui: Remove redundant check for an error being set.
  + edataserver: Remove redundant code path from
    e_source_dup_secret_label().
  + [Camel] Freeze/thaw also subfolders of vFolders.
  + Correct typos and remove dropped functions from gtk-doc
    definitions.
  + Also remove references to dropped structures from gtk-doc in
    eds-docs.sgml.
  + Correct and enhance developer documentation a bit.
  + [Google/ownCloud backend] Discover WebDAV sources only if URL
    is set.
  + [ESourceWebdav] Use Unknown instead of Reject result on runtime
    errors.
  + [Weather calendar] Merge intra-day forecasts into one event.
  + Change Google/ownCloud calendar color only when the source is
    new.
  + Address some Coveriry Scan detected issues.
  + Prevent read after buffer bounds in
    ENamedParameters::get_parameter_index().
  + Close the connection in e-webdav-discover (set the soup header
    for it).
  + Bugs fixed: bgo#719476, bgo#705771, bgo#748636, bgo#748770,
    bgo#749190, bgo#749108, bgo#382684, bgo#728496, bgo#734300,
    bgo#749135, bgo#749385.
  + Updated translations.
* Mon Aug 10 2015 zaitor@opensuse.org
- Update to version 3.17.1:
  + Add a new WebDAV discover widget and dialog into
    libedataserverui.
  + [ESourceExtension] Provide common property lock.
  + Drop unnecessary ldap.h include from e-source-ldap.c.
  + Bump gtk+ version requirement to 3.10.
  + Replace deprecated g_io_scheduler_push_job() in HTTP calendar
    backend.
  + Do not use deprecated gtk_dialog_get_action_area().
  + [local book] Failure of contact remove not propagated to UI.
  + Correct developer documentation for camel_provider_list().
  + [CalDAV] Fix a little memory leak.
  + Fix various memory leaks.
  + CamelVeeSummary::message_info_from_uid: Return referenced info.
  + Incorrect message info unreferenced in
    camel_vee_folder_get_location().
  + [NNTP]:
  - Provide feedback when updating folder content.
  - Can fail to disconnect when the command was cancelled.
  + Bugs Fixed: bgo#663828, bgo#744718, bgo#746395, bgo#723928,
    bgo#723260, bgo#743996, bgo#746335, bgo#746276, bgo#747789,
    bgo#747822, bgo#691456, bgo#691493, bgo#747638, bgo#696552,
    bgo#696678, bgo#745050, bgo#701352, bgo#705268.
  + Updated translations.
- Bump baseversion, so_edataserver and so_camel following upstream
  changes. Also update baselibs.conf.
* Mon Aug 10 2015 zaitor@opensuse.org
- Update to version 3.16.5:
  + Doesn't honor Google settings as defined in
    gnome-online-accounts.
  + Stop processing when cancelled in
    camel_filter_driver_filter_message().
  + Do not set write-to-all to installed tests executable.
  + Bump minimum SQLite version to 3.7.17.
  + [e-cal-recur.c] Do not write out of bounds of the weekdays
    array.
  + [IMAPx] Ignore broken (truncated) COPYUID server response.
  + Bugs fixed: bgo#752197, bgo#752304, bgo#752370, bgo#752373,
    bgo#722270, bgo#752233, bgo#751657, bgo#752338, bgo#752114.
  + Updated translations.
* Wed Jul 29 2015 dimstar@opensuse.org
- Build evolution-data-server-32bit: there are a couple private
  librarires provided (inside %%{_libdir}/evolution-data-server)
  that are needed.
* Mon Jul 13 2015 zaitor@opensuse.org
- Update to version 3.16.4:
  + Use e_source_remove_sync() instead of
    e_source_registry_server_remove_source().
  + ownCloud/Google backends - make sure discovered sources are
    enabled.
  + Provide default implementation of
    EBackend::authenticate_sync().
  + Do not add Google Tasks source for non-GOA master sources.
  + source_registry_server_monitor_changed_cb: Reuse existing
    source.
  + addressbook: Treat an empty vCard attribute group name as NULL.
  + e_trust_prompt_run_for_source: Do not require Authentication
    extension.
  + [ETrustPrompt] Ensure needed extensions for GOA/UOA sources.
  + [IMAPx] Set cache expiration for one week when not
    sync-for-offline.
  + [Google backend] Claim Contacts and Tasks in populate().
  + Not able to select time in appointment/meeting for some
    locales.
  + Bugs fixed: bgo#750427, bgo#676155, bgo#678901, bgo#750148,
    bgo#247661, bgo#471791, bgo#751108, bgo#751005, bgo#751381,
    bgo#751462, bgo#751329, bgo#751701, bgo#751769, bgo#750766,
    bgo#685035, bgo#752049.
* Mon Jun  8 2015 zaitor@opensuse.org
- Update to version 3.16.3:
  + Fix a dead-code found by the Coverity Scan.
  + [Camel] Freeze/thaw also subfolders of vFolders.
  + [ESourceWebdav] Use Unknown instead of Reject result on runtime
    errors.
  + [Weather calendar] Merge intra-day forecasts into one event.
  + Change ownCloud calendar color only when the source is new.
  + Address some Coveriry Scan detected issues.
  + Prevent read after buffer bounds in
    ENamedParameters::get_parameter_index().
  + [IMAPx]
  - Message moved to real Trash/Junk multiple times.
  - Consider also G_IO_ERROR_BROKEN_PIPE as 'Connection reset by
    peer' error.
  + Truly disable gtk-doc build when asked to.
  + [Google book] Remove unnecessary code path found by Coverity
    Scan.
  + Add --factory parameter to factory subprocesses for easier
    debugging.
  + Bugs fixed: bgo#749190, bgo#719476, bgo#749108, bgo#382684,
    bgo#728496, bgo#734300, bgo#749135, bgo#749385, bgo#747988,
    bgo#749292, bgo#749664, bgo#720197, bgo#663828, bgo#750146,
    bgo#750416.
  + Updated translations.
* Mon May 11 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Add a workaround for bgo#674885 (Type initialisation deadlock
    in GObject).
  + [local book] Failure of contact remove not propagated to UI.
  + [CalDAV] Fix a little memory leak.
  + Fix various memory leaks.
  + Incorrect message info unreferenced in
    camel_vee_folder_get_location().
  + [NNTP]:
  - Provide feedback when updating folder content.
  - Can fail to disconnect when the command was cancelled.
  - Fix minor memory leaks.
  + [IMAPx] Do not free uninitialized memory in imapx_call_idle().
  + [POP3] Avoid crash on folder dispose, when iterating through
    pending commands.
  + Add thread-safety into CamelAsyncClosure.
  + Slow expunge of a maildir folder.
  + [http calendar] Add UID to the component, if missing.
  + Remove confusing runtime warning in e-source.c.
  + Correct 'since' tags in D-Bus .xml files.
  + Bugs fixed: bgo#743996, bgo#746335, bgo#746276, bgo#747789,
    bgo#691456, bgo#691493, bgo#747638, bgo#696552, bgo#745050,
    bgo#701352, bgo#719476, bgo#705771, bgo#748636.
* Mon Apr 13 2015 zaitor@opensuse.org
- Update to version 3.16.1:
  + EGoaPasswordBased: Avoid runtime warning when checking OAuth2
    based accounts.
  + [CalDAV]:
  - Claim error when user name is missing for authentication.
  - Stop re-trying authentication with bearer authenticator.
  + Avoid possible crash in source_parse_dbus_data().
  + e_collection_backend_authenticate_children: Fix a memory leak.
  + source_webdav_update_properties_from_soup_uri: Ignore empty
    user name.
  + Do not use GTask for CamelSession thread jobs.
  + Avoid use of uninitialized variables.
  + Bugs fixed: bgo#692555, bgo#746346, bgo#746732, bgo#746828,
    bgo#747500.
  + Updated translations.
* Mon Mar 23 2015 zaitor@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Mon Mar 16 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Correct Berkeley DB (libdb) CFLAGS/LIBS.
  + module-gnome-online-accounts: Mail part of the account can be
    disabled.
  + Revert part of commit 687d1b1bcb to avoid deadlock.
  + Should not ask for password of GOA IMAP account.
  + [IMAPx] IDLE call timeouts for STARTTLS connections.
  + Bugs fixed: bgo#624003, bgo#697053, bgo#700015, bgo#720197,
    bgo#723614, bgo#732573, bgo#736040, bgo#737468.
  + Updated translations.
* Wed Mar  4 2015 zaitor@opensuse.org
-  Update to version 3.15.91:
  + Avoid crash under e_source_set_connection_status().
  + Load ESourceCredentialsProvider modules only once.
  + Provide and use thread safe variants of
    g_object_bind_property*() functions.
  + e_source_dup_secret_label: Fix compiler warning about
    printf format.
  + Update devel-doc Since from 3.14 to 3.16.
  + Use recursive lock for camel_binding_* proxy functions.
  + [CalDAV] Be able to open in offline mode when VPN is down.
  + CamelNetworkService: Check for non-NULL session.
  + Fix a crash in server_side_source_credentials_lookup_cb().
  + Sync version with GNOME 3.15 series.
  + Bugs fixed: bgo#726036, bgo#732018, bgo#659522, bgo#744785,
    bgo#737974.
  + Updated translations.
* Mon Feb 16 2015 dimstar@opensuse.org
- Update to version 3.13.90:
  + Move authentication of backends back to the client.
  + Replace _BSD_SOURCE with _DEFAULT_SOURCE define.
  + Correct error in credentials_prompter_dispose().
  + Fix issues found by 'make check' in ESource.
  + Let the 'make check' pass again.
  + Correct user data for
    credentials_prompter_connection_status_changed_cb().
  + Set ESource's connection-status to disconnected on EBackend's
    dispose.
  + [WebDAV book backend] Return at least offline contacts when not
    connected.
  + [ECalClient] Do not replace cached timezones.
  + Identify job description for camel_session_submit_job().
  + Make camel_stream_write() try to write all bytes at once.
  + Google address book backend opened read-only.
  + [IMAPx] Do not update mailboxes on exit which were not entered
    yet.
  + Declare camel_application_is_exiting variable in camel.h.
  + CalDAV source (calendar/task list/memo list) could be left
    unauthorized.
  + [Win32] Try to find subprefix when replacing runtime prefix.
  + Bugs fixed: bgo#732145, bgo#743010, bgo#743015, bgo#743533,
    bgo#744092.
  + Updated translations.
- Bump so_camel to 52, so_ebackend to 10, so_ebook to 16,
  so_ebook_contacts to 1, so_ecal to 18, so_edata_book to 25,
  so_edata_cal to 27 and so_edataserver to 20, following upstream
  (also update baselibs.conf).
* Mon Feb  9 2015 zaitor@opensuse.org
- Update to version 3.13.10:
  + EDataBook/Cal: Complete Refresh operation in IDLE.
  + Bugs fixed: bgo#691465, bgo#741275, bgo#741276, bgo#741699,
    bgo#741786, bgo#741787, bgo#741557, bgo#736006.
  + Updated translations.
* Mon Feb  9 2015 badshah400@gmail.com
- Update to version 3.13.9:
  + Bugs fixed: bgo#740627, bgo#721712, bgo#701138, bgo#740585,
    bgo#740843, bgo#595389, bgo#550796, bgo#670114, bgo#695754,
    bgo#735807, bgo#741434.
  + IMAPx: Circle between tagprefix-es for connections.
  + IMAPx: Speed-up folder cache removal on folder sync.
  + IMAPx: Enhance and make work namespace override options.
  + IMAPx: Runtime warning on inactivity timeout with IDLE
    enabled.
  + SQLite VFS: Track pending sync requests.
  + e_cal_util_remove_instances_ex: Correct time check on an
    RDATE value.
  + Define EFreeFormExpSymbol::build_sexp as a full type, to
    make Vala happy.
  + Skip e-collator-test from 'make check'.
  + Drop evolution-data-server-fix-use-after-free.patch;
    incorporated upstream.
  + Bump so versions.
  + Updated translations.
- Updated baselibs.conf in keeping with so version upgrades.
- Changes from version 3.13.1 through 3.13.8:
  + See /usr/share/doc/packages/evolution-data-server/NEWS.
* Mon Feb  9 2015 zaitor@opensuse.org
- Update to version 3.12.11 (boo#916784):
  + [ECalClient] Do not replace cached timezones.
  + Bugs fixed: bgo#736006, bgo#732145.
  + Updated translations.
* Tue Jan 13 2015 dimstar@opensuse.org
- Update to version 3.12.10:
  + Fix "may be used uninitialized" warning.
  + EDataBook/Cal: Complete Refresh operation in IDLE.
  + Bugs fixed: bgo#695754, bgo#741434, bgo#741557, bgo#741699,
    bgo#741786, bgo#741787.
- Drop evolution-data-server-fix-use-after-free.patch: fixed
  upstream.
* Sun Dec 14 2014 badshah400@gmail.com
- Update to version 3.12.9:
  + ECalBackendFile: Stops refresh thread too late
  + ECalComponent: Recurrence ID not rescan properly
  + Limit SQLite busy-wait for a lock
  + IMAPx: Speed-up folder cache removal on folder sync
  + IMAPx: Enhance and make work namespace override options
  + IMAPx: Runtime warning on inactivity timeout with IDLE enabled
  + SQLite VFS: Track pending sync requests
  + Bugs fixed: bgo#739904, bgo#678398, bgo#739610, bgo#736011,
    bgo#736947, bgo#732717, bgo#733518, bgo#732018, bgo#740627,
    bgo#701138, bgo#740585, bgo#740843.
  + Updated translations.
- Add post-release fix from upstream:
  + evolution-data-server-fix-use-after-free.patch: Fix errors
    resulting from use-after-free (bgo#695754, bgo#741434).
* Tue Nov 11 2014 zaitor@opensuse.org
- Update to version 3.12.8:
  + CamelService: Connect/Disconnect rely on provided cancellable.
  + CamelFolder/Store: Check online state of the session too before
    connecting.
  + CamelIMAPXConnManager: Can starve in close connections.
  + CamelOfflineStore: Count with host reachability update delay.
  + IMAPx:
  - Do not connect to the server in offline mode.
  - Try to reconnect after socket I/O timeout.
  + CamelIMAPXServer: Assign tagprefix per account.
  + Use 90 seconds timeout for Camel connections.
  + Disabling/enabling Collection master source doesn't update
    children properly.
  + camel_folder_thaw: Save changes to local summary.
  + Bugs fixed: bgo#737733, bgo#738288, bgo#698964, bgo#708166,
    bgo#737930, bgo#738724, bgo#738965, bgo#738184, bgo#712392,
    bgo#739343, bgo#738724.
  + Updated translations.
* Mon Oct 20 2014 fcrozat@suse.com
- added patches:
  * evolution-data-server-3.10.4-poodle-enable-tls-for-ssl.patch:
    Enable all available SSL/TLS algorithms available (boo#901361,
    rh#1153052).
  * disable-sslv3.patch: disable SSLv3 unless CAMEL_SSL_V3_ENABLE
    environmnent variable is set to 1 (bsc#901553).
* Tue Oct 14 2014 dimstar@opensuse.org
- Update to version 3.12.7.1:
  + SMTP: Fails to send message after a change for bgo#737903.
  + bgo#737951: AMEL_DEBUG=smtp should provide information about
    SMTP server.
* Mon Oct 13 2014 dimstar@opensuse.org
- Update to versoin 3.12.7:
  + Miscellaneous:
  - camel-sasl-gssapi:
    . Generate correct error messages for non-krb5 mechanisms.
    . camel-sasl-gssapi: Use SPNEGO for HTTP auth not bare krb5.
    . Always use gss_display_status() for mechanism error code.
  - Improve error on failed conversion.
  - Fix UOA accounts accumulating on startup.
  - imapx_is_duplicate_fetch_or_refresh: Fix incorrect bit-flag
    test.
  - Do not define EBackend::online as G_PARAM_CONSTRUCT.
  - Fixed introspection annotations.
  + Bugs fixed: bgo#736116, bgo#737903.
  + Updated translations.
* Mon Sep  8 2014 dimstar@opensuse.org
- Update to version 3.12.6:
  + Miscellaneous:
  - Do not add GTasks source when the GTasks backend is not
    built.
  - [IMAPx] Deleted messages not always saved to the server
    properly.
  - [IMAPx] Incorrect mailbox used for untagged OK/NO/BAD with
    pending SELECT.
  + Bugs fixed: bgo#735311, bgo#486018, bgo#734853, bgo#694112,
    bgo#735523, bgo#735191, bgo#733733, bgo#735200, bgo#735523.
  + Upated translations.
- Drop 0001-Bug-735311-Adapt-to-new-Google-HTTP-restriction.patch:
  fixed upstream.
* Wed Aug 27 2014 fcrozat@suse.com
- Add 0001-Bug-735311-Adapt-to-new-Google-HTTP-restriction.patch:
  adapt to Google Calendar new HTTP restriction (bnc#893775,
  bgo#735311).
* Wed Aug 27 2014 fcrozat@suse.com
- Add 0001-Bug-735311-Adapt-to-new-Google-HTTP-restriction.patch:
  adapt to Google Calendar new HTTP restriction (bnc#893775,
  bgo#735311).
* Mon Aug 11 2014 zaitor@opensuse.org
- Update to version 3.12.5:
  + Correct the test for g_subprocess_launcher_set_child_setup()
    availability.
  + Add missing chain-up-s to parent's constructed() method.
  + Strip remote GDBus errors after talking to GOA.
  + [IMAPx] Add actual error message into 'Select failed' debug
    log.
  + Bugs fixed: bgo#733183, bgo#732983, bgo#733081, bgo#732627.
  + Updated translations.
* Wed Jul 16 2014 dimstar@opensuse.org
- Update to version 3.12.4:
  + Correct typo in a CAMEL_CHECK_LOCAL_GERROR() debugging macro.
  + [Maildir] g_mkdir() fails, if the folder already exists.
  + [IMAPx]:
  - Claim camel_store_folder_info_stale() when more settings
    changed.
  - Avoid useless console warnings after a call to g_rename().
  + Fix a memory leak in camel_imapx_server_copy_message().
  + Revert leak-fix part from commit 6cac5a9da.
  + Correct a typo in CalDAV's Makefile.am.
  + Correct return value at pop3_folder_get_message_sync().
  + Remove libdb related headers from libebackend.h.
  + Remove unused and obsolete evolution-data-server-zip.in.
  + Remove libdb related headers from libedata-book.h.
  + Do not delete passwords during authentication session.
  + g_subprocess_launcher_set_child_setup() is available only for
    Unixes.
  + Bugs fixed: bgo#731418, bgo#731356, bgo#729848, bgo#731585,
    bgo#731562, bgo#731560, bgo#731720, bgo#652132, bgo#731440,
    bgo#728653, bgo#732263, bgo#729172, bgo#732607, bgo#732366.
    bgo#732730.
  + Updated translations.
* Wed Jun 18 2014 zaitor@opensuse.org
- Update to version 3.12.3:
  + e-proxy: Eliminate use of undefined C behaviour.
  + secret-monitor: Remove duplicate assignment.
  + addressbook:
  - Fix some potential NULL pointer dereferences with SQL.
  - Add bounds checking to a summary file function.
  - Fix cancellable handling if not in a transaction.
  - Strengthen an assertion to avoid negative bit shifts.
  + camel:
  - Print a warning on failing to save migrated maildir version.
  - Avoid an unlikely division by zero on a race condition.
  - Avoid an unlikely division by zero failure.
  + IMAPx:
  - Add "Number of concurrent connections to use" UI option.
  - 'Error performing IDLE: Shutting down' is not an error.
  + EBookBackendGoogle:
  - Guard private 'groups' members with a lock.
  - Do not store active views in its own way.
  - Serialize group list update and cache update.
  + Make libdb optional dependency.
  + Use OpenLDAP in Win32 builds as well.
  + Misceallenous Win32 build related fixes.
  + Use g_weak_ref_init/_clear() on structure-allocated GWeakRef-s.
  + Bugs Fixed: bgo#729546, bgo#728976, bgo#730398, bgo#725045,
    bgo#730281, bgo#719475, bgo#730788, bgo#730645, bgo#729850,
    bgo#730979, bgo#721128, bgo#730827, bgo#591811.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + ownCloud backend: Check color format before using it.
  + IMAPx:
  - Set local cache to never expire.
  - Try to address "Empty cache file" error.
  + Bugs fixed: bgo#720154, bgo#727598, bgo#728087, bgo#728167,
    bgo#728414, bgo#728737, bgo#728973.
  + Updated translations.
* Sun Apr 13 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + CamelIMAPXServer not shut down properly on network outage.
  + Claim missing user name when authenticating.
  + [IMAPx] Enable concurrent connections.
  + [IMAPx] Do not open each folder on LIST/LSUB responses.
  + Always reject revoked certificates.
  + Bugs fixed: bgo#660535, bgo#722275, bgo#726060, bgo#726767,
    bgo#726788.
  + Updated translations.
* Sun Mar 23 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Check GConf XDG folder for migration too (bgo#726681).
  + Data loss on message copy to an IMAPx folder (bgo#726723).
  + Updated translations.
* Fri Mar 14 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + CamelStore: Handle CAMEL_STORE_FOLDER_CREATE flag directly.
  + CamelDataWrapper: Add construct_from_input_stream() method.
  + CamelIMAPXServer: Copy child setup gunk from
    CamelStreamProcess.
  + Addressbook: Flush DBus properties after setting new locale.
  + Don't close base stream when destroying a
    CamelFilterOutputStream.
  + e_cal_backend_get_timezone_finish: Do not panic when the
    timezone.
  + Bugs fixed: bgo#633177, bgo#710633, bgo#711053, bgo#711436,
    bgo#712564, bgo#726204.
  + Updated translations.
* Fri Mar 14 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Ported IMAPX backend to use GIO streams instead of CamelStream.
  + Weather Calendar: Weather info source never freed.
  + Fix a memory leak in imapx_untagged_lsub().
  + Bugs fixed: bgo#274316, bgo#623066, bgo#694084, bgo#705028,
    bgo#710997, bgo#724729.
  + Updated translations.
* Fri Mar 14 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + Add a 'secret-monitor' module to maintain keyring entries.
  + Begin phasing out CamelStream for GIO streams.
  + ESource:
  - Add functions for password management.
  - Changes not always written to a disk.
  + Bugs Fixed: bgo#655806, bgo#719806, bgo#720529, bgo#720751,
    bgo#720940, bgo#721030, bgo#723481, bgo#723539, bgo#724343.
  + Updated translations.
* Fri Mar 14 2014 dimstar@opensuse.org
- Update to version 3.11.5:
  + IMAP IDLE mode improvements.
  + CamelStore: Remove noop_sync() method.
  + CalDAV: Force password ask on soup authenticate failure.
  + Server-side memory leaks in calendar factory.
  + CamelGPGContext: Prefer gpg2 over gpg.
  + IMAPX: Remove some unused character macros.
  + ESource: Do not set properties on load which did not change.
  + Add CamelNullOutputStream.
  + maildir_store_get_folder_sync: Fix use-after-free issue.
  + Bugs fixed: bgo#687640, bgo#702709, bgo#719583, bgo#720676,
    bgo#720943, bgo#721286, bgo#721581, bgo#722275, bgo#722415.
  + Updated translations.
- Bump so_camel to 48, following upstream (also in baselibs.conf).
* Fri Mar 14 2014 dimstar@opensuse.org
- Update to version 3.11.4:
  + Update project homepage URL.
  + Bump SOURCES_DBUS_SERVICE_NAME version.
  + Remove #include <malloc.h> from a file.
  + tests: #include <sys/wait.h> for WIFEXITED.
  + CamelIMAPXNamespace: Allow NIL separator character.
  + IMAPX: Handle BODY[HEADER] in FETCH response.
  + Bugs fixed: bgo#721527, bgo#721733, bgo#720657.
  + Updated translations.
* Fri Mar 14 2014 dimstar@opensuse.org
- Update to version 3.11.3:
  + Evolution-Data-Server API documentation has been merged into
    one Gtk-Doc module (excluding Camel and private D-Bus APIs).
  + Bump minimum libgweather requirement.
  + Remove --enable-nntp configure option.
  + Remove --enable-strict configure option.
  + Ubuntu Online Accounts:
  - Update google-calendar service to use OAuth-based CalDAV.
  - Add support for IMAP access to Windows Live accounts.
  + ESourceRegistry: Ignore hidden files from .source folder
    monitoring.
  + Weather calendar: Be able to change temperature unit.
  + e-vcard:
  - Fix a minor memory leak for multi-valued parameters.
  - Fix case sensitivity of string comparisions.
  + EDataBook: Fixed memory leak of every EContact succesfully
    added to the addressbook.
  + ESExp: Fixed memory leak of ESExp->error string.
  + CamelSession:
  - Remove "check-junk" property.
  - Add a "user-alert" signal.
  + Added e_vcard_construct_full()
  + ECollator: Added e_collator_new_interpret_country().
  + EPhoneNumber: Fixed phone number matching semantics.
  + Added E_BOOK_INDEX_SORT_KEY to EBookIndexType.
  + Adding new EBookSqlite.
  + EDataBookCursor: Changed APIs to permit GCancellable for long
    running operations.
  + Camel:
  - Remove all asynchronous class methods.
  - Port from GSimpleAsyncResult to GTask.
  + CamelFolder: Remove unused fetch_messages_sync() method.
  + CamelPOP3Settings:
  - Remove unused "mobile-mode" property.
  - Remove unused "batch-fetch-count" property.
  - Remove unused "mobile-mode" property.
  + Add CamelAsyncClosure.
  + Added m4/eds-installed-tests.m4 with the EDS_INSTALLED_TESTS
    macro.
  + CamelPOP3Folder: Fix a potential g_object_unref(NULL) call.
  + libecal: Refactor system timezone key file parsing code.
  + Deprecate ECancellable[Rec]Mutex.
  + Add camel_service_queue_task().
  + CamelIMAPXServer: Fix handling of LSUB responses.
  + Bugs fixed: bgo#680961, bgo#709838, bgo#710361, bgo#712323,
    bgo#712578, bgo#712728, bgo#712829, bgo#715035, bgo#715057,
    bgo#719307, bgo#719382, bgo#719720, bgo#719774.
  + Updated translations.
- Bump so_camel to 48, following upstream (also in baselibs.conf).
- No longer pass --enable-nntp=yes to configure: no longer
  supported.
* Fri Mar 14 2014 dimstar@opensuse.org
- Update to version 3.11.2:
  + Highlights:
  - New cursor API for address book clients.
  - Partial support for the IMAP NOTIFY extension.
  - Add VPN awareness to email accounts and transports.
  + Other Changes:
  - Bump minimum libsoup requirement to 2.42.
  - Integrate network proxy support into the ESource framework,
    and deprecate the old EProxy API.
  - Convert the IMAP APIs back into a loadable library module so
    it's no longer part of libcamel's public API. It was
    originally made public to assist evolution-kolab, but that
    project is inactive.
  - Support migrating merged GConf trees.
  - Start converting libcamel's public API to favor GIO streams
    over CamelStream.  Still a work-in-progress.
  - Fix potential issues found by static analysis tools.
  - Convert the NNTP backend to CamelOfflineStore and finally
    remove the long-deprecated "disco" (disconnected) classes
    from libcamel.
  - Switch from g_timeout_add to g_timeout_add_seconds.
  + Bugs fixed: bgo#710668, bgo#710787, bgo#710808, bgo#710989.
  + Updated translations.
- Bump so_camel to 47, following upstream (also in baselibs.conf).
- Add pkgconfig(icu-i18n) BuildRequires: new dependency.
* Fri Mar 14 2014 dimstar@opensuse.org
- Update to version 3.11.1:
  + Rework CamelStream to a GIOStream, and remove CamelTcpStream.
  + Use GcrCertificateWidget in certificate prompts.
  + Bugs fixed: bgo#704869, bgo#709198.
  + Updated translations.
- Bump _evo_version to 3.12, following upstream.
* Wed Mar 12 2014 zaitor@opensuse.org
- Update to version 3.10.4 (bnc#871232):
  + IMAPX: Handle BODY[HEADER] in FETCH response.
  + Server-side memory leaks in calendar factory.
  + [CamelGPGContext] Prefer gpg2 over gpg.
  + imapx_write_flags: Fix a typo which flag to skip.
  + maildir_store_get_folder_sync: Fix a use-after-free issue.
  + Bugs fixed: bgo#687640, bgo#702709, bgo#720676, bgo#720751,
    bgo#720943, bgo#721030, bgo#721286, bgo#721581, bgo#722275.
  + Updated translations.
* Fri Jan 24 2014 zaitor@opensuse.org
- Update to version 3.10.3:
  + Ubuntu-Online-Accounts improvements:
  - Support Outlook.com IMAP accounts.
  - Use Google's OAuth-based CalDAV interface.
  + Bump minimum libgweather requirement.
  + e-vcard:
  - Fix a minor memory leak for multi-valued parameters.
  - Fix case sensitivity of string comparisions.
  + EDataBook: Fixed memory leak of every EContact succesfully
    added to the addressbook.
  + CamelPOP3Folder: Fix a potential g_object_unref(NULL) call.
  + EBookBackendCache: Remove an unnecessary NULL check.
  + libecal: Refactor system timezone key file parsing code.
  + libedata-cal: Fix a potential g_strstrip(NULL) call.
  + Remove --enable-strict configure option.
  + Bugs Fixed: bgo#680961, bgo#710361, bgo#712323, bgo#712578,
    bgo#719720.
  + Updated translations.
* Mon Nov 11 2013 dimstar@opensuse.org
- Update to version 3.10.2 (bnc#849913):
  + Support migrating merged GConf trees, mainly for Debian users.
  + Bugs fixed: bgo#710787, bgo#710989.
  + Updated translations.
* Mon Oct 14 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + bgo#695232: Finish EVCard quoted-printable handling.
  + bgo#708627: Use PLAIN instead of LOGIN for GOA SMTP accounts.
  + bgo#708730: CalDAV: Improve handling of invalid access tokens.
  + bgo#709550: CamelService: Do not call disconnect_sync from its
    finalize.
  + bgo#709561: Pick up Windows Live mail from GOA.
  + Updated translations.
* Sat Sep 21 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Sun Sep 15 2013 zaitor@opensuse.org
- Update to version 3.9.92:
  + More preliminary IMAPX refactoring.
  + Bugs Fixed: bgo#707034, bgo#707116, bgo#707520, bgo#707736,
    bgo#708016.
  + Updated translations.
* Mon Sep  2 2013 dimstar@opensuse.org
- Update to version 3.9.91:
  + Preliminary IMAPX refactoring for 3.12 features.
  + Fix a possible memory leak in
    sasl_ntlm_try_empty_password_sync().
  + Updated translations.
* Sun Aug 18 2013 zaitor@opensuse.org
- Update to version 3.9.90:
  + Google: Implement EBookBackend::refresh and advertise its
    support.
  + NNTP:
  - Fails to get list of folders, if not connected already.
  - Authentication requires nntp_stream set.
  + CamelDiscoStore: Fix CamelServiceConnectionStatus tracking.
  + Camel: Disable SSL v2 and weak ciphers by default.
  + IMAPX:
  - Add classes to model LIST and STATUS responses, with more to
    follow.
  - More refactoring of error handling, this time drastically
    simplifying it.
  - Obtain a fresh folder list on startup.
  + Remove unused CamelOfflineJournal.
  + Maildir: Create the 'tmp' directory, if missing.
  + GOA: Honor GoaMail's "smtp-use-auth" setting.
  + EDataBook/CalFactory: Work around a GDBus name watching bug.
  + EBook/CalBackend: Add a "shutdown" signal.
  + Tighten up the CamelStoreSummary API and keep mutexes internal.
  + Bugs fixed: bgo#672899, bgo#700895, bgo#703181, bgo#704688,
    bgo#704871, bgo#704885, bgo#704895, bgo#705206, bgo#705273,
    bgo#705288, bgo#705444, bgo#705446, bgo#705493, bgo#705617,
    bgo#705814.
  + Updated translations.
- Change so_camel defines to 45, so_ebackend to 7, so_edata_book to
  20, so_edata_cal to 23 and so_edataserver to 18 following
  upstreams soname changes (also in baselibs.conf).
* Mon Jul 29 2013 dimstar@opensuse.org
- Update to version 3.9.5:
  + E-D-S now uses Google's OAuth2-based CalDAV v2 interface for
    Google accounts added through GNOME Online Accounts or Ubuntu
    Online Accounts, which means no more password prompts.
  + IMAPX:
  - Improve error handling in parser.
  - Remove CamelIMAPXConnManager, just use a single connection.
  + CamelTcpStreamRaw: Don't timeout on reads.
  + CalDAV: Add support for OAuth 2.0 authentication.
  + google: Use CalDAV v2 if OAuth 2.0 support is available.
  + CamelGpgContext:
  - Be aware of gpg2.
  - Enclose email addresses in brackets.
  + Fix memory leak in camel_imapx_command_add_qresync_parameter().
  + Do not use generic error codes in camel_getaddrinfo() /
    camel_getnameinfo().
  + Bugs fixed: bgo#386113, bgo#691526, bgo#692904, bgo#704003,
    bgo#704181, bgo#704220, bgo#704618, bgo#704740.
  + Updated translations.
- Change so_ecal defines to 16 and so_edata_cal to 22, following
  upstreams soname changes (also in baselibs.conf).
* Mon Jul  8 2013 dimstar@opensuse.org
- Update to version 3.9.4:
  + CamelStore: Add a "folder-info-stale" signal.
  + CamelIMAPXStore: Try harder to track settings.
  + Add a desktop file for Ubuntu Online Accounts.
  + UOA: Add service-specific descriptions for E-D-S.
  + Allow automatic NTLM authentication unconditionally.
  + GError instance use-after-free in
    collection_backend_load_resources().
  + imapx: Server connection is not mandatory when searching folder
    content.
  + e_book_backend_sqlitedb_has_contact() used nonexistent column.
  + Bugs fixed: bgo#682322, bgo#697598, bgo#700894, bgo#703053,
    bgo#703194.
  + Updated translations.
- Bump so_camel defines to 44, following upstreams soname change
  (also in baselibs.conf).
* Sun Jun 16 2013 zaitor@opensuse.org
- Update to version 3.9.3:
  + EBookQuery: Added regex query API.
  + Be able to debug SMTP provider separately.
  + Make the statements explicit when using ternary if
  + Bugs fixed: bgo#649420, bgo#672837, bgo#699448, bgo#701797,
    bgo#701838.
  + Updated translations.
* Sun Jun 16 2013 dimstar@opensuse.org
- Update to version 3.9.2:
  + Make camel_mime_message_dump() dump message contents.
  + IMAPX: Recognize RFC 5530 response codes.
  + EBookClientView/ECalClientView: Make D-Bus signal handlers
    thread-safe.
  + ECalBackendWeather: e_weather_source_new() is failable.
  + google: Remove environment variable check for debugging.
  + IMAPX: Support IMAP MOVE extension.
  + IMAPX: Set real Trash/Junk folder type as expected.
  + Camel MH provider can deadlock on folder creation.
  + CamelGpgContext: Report decrypt error only if no data was
    decrypted.
  + Make CamelPOP3Store a bit more thread-safe.
  + Make CamelNNTPStore a bit more thread-safe.
  + Improve error handling in imapx_command_fetch_message_done().
  + Bugs fixed: bgo#697859, bgo#698725, bgo#699024, bgo#699160,
    bgo#699223, bgo#699461, bgo#699597, bgo#699811, bgo#699909.
  + Updated translations.
* Fri Jun 14 2013 vuntz@opensuse.org
- Remove explicit Requires for libical0 and libsoup: this should
  not be needed, and libical is now at libical1.
* Mon Apr 29 2013 dimstar@opensuse.org
- Update to version 3.9.1:
  + Start modernizing the EBookBackend and ECalBackend APIs.
  + Rewrite client connection tracking for factories.
  + libedata-*: Remove all deprecated backend APIs.
  + Simplify direct access to address books.
  + Fix implicit declaration of WIFEXITED.
  + E*Client: Use G_DBUS_MESSAGE_FLAGS_NO_REPLY_EXPECTED for
    close().
  + Remove EBookBackendSync.
  + sqlite addressbook: fix memory corruption in get_revision
  + Automatically strip D-Bus info from error messages.
  + EBookBackendSqliteDB: Avoid summary introspection on initial
    creation.
  + Switch NULL to empty string in e_util_utf8_{data_}make_valid().
  + LC_ADDRESS is a GNU extension. Treat it as such.
  + CamelStoreSettings::filter-inbox: Change default to TRUE.
  + Do not consider PGP and S/MIME subparts as attachments.
  + ECalClient test: test-client-get-revision not broken anymore.
  + Improve error handling in imapx_server_get_message().
  + Fix reference leak in book_client_view_emit_objects_modified().
  + Bugs fixed: bgo#271262, bgo#691939, bgo#695578, bgo#696637,
    bgo#698261, bgo#698726.
  + Updated translations.
- Bump soname defines: so_edata_book to 19 and so_edata_cal to 21.
- Updated baselibs.conf, to follow the soname changes.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Fix implicit declaration of WIFEXITED.
  + EBookClient/ECalClient: Use
    G_DBUS_MESSAGE_FLAGS_NO_REPLY_EXPECTED for close().
  + sqlite addressbook: fix memory corruption in get_revision.
  + CamelIMAPXServer: Rewrite duplicate message fetching.
  + Bugs fixed: bgo#656488, bgo#681837, bgo#693101, bgo#695915,
    bgo#696285, bgo#696757, bgo#697705, bgo#697734.
  + Updated translations.
* Sun Mar 24 2013 zaitor@opensuse.org
- Update to version 3.8.0:
  + Miscellaneous Changes: Clean testing work directory.
  + Updated translations.
* Sun Mar 17 2013 dimstar@opensuse.org
- Update to version 3.7.92:
  + Test suite improvements.
  + EBookBackendSqliteDB improvements.
  + EBookClient introspection fixes.
  + Fix a memory leak around imapx_untagged_vanished().
  + Correct names for im_jabber_work variables.
  + Bugs fixed: bgo#215428, bgo#350323, bgo#352266, bgo#690433,
    bgo#690552, bgo#695308, bgo#695539, bgo#695960.
  + Updated translations.
- Drop e-d-s-link-goa.patch: fixed upstream.
- Drop gnome-common BuildRequires and call to gnome-autogen.sh, as
  we no longer carry patches touching the build system.
* Sun Mar  3 2013 dimstar@opensuse.org
- Update to version 3.7.91:
  + Add VPN-awareness to calendar, contact, task and memo backends.
  + Support GOA's new IMAP/SMTP provider.
  + Added documentation for new Direct Read Access related apis.
  + Fixing pkg-config files for libebook & libedata-book.
  + source_write_sync: Fail gracefully when given a scratch source.
  + source_remove_sync: Fail gracefully when given a scratch
    source.
  + e-test-server-utils: Add support for testing Direct Read Access
    books.
  + Ported various EBookClient tests to additionally test Direct
    Read Access variants.
  + Do not use SSL_V2_COMPATIBLE_HELLO by default.
  + Local Delivery not updated on start and missing Receiving
    Options page.
  + EBookBackendSexp: Restore suffix search functionality.
  + e_source_registry_server_load_directory: Monitor failure is
    non-fatal.
  + e_cal_client_modify_objects_sync: Fix infinite loop.
  + EBookQuery/EPhoneNumber: Enhanced documentation.
  + CamelSMIMEContext: Support IANA registered hash function names.
  + evolution-user-prompter: Add a --keep-running option.
  + Make the ESourceRegistryServer modules relocatable like
    addressbook & calendar.
  + Make the Camel provider modules relocatable.
  + build: Support (and prefer) libboost_thread-mt.
  + CamelIMAPXServer: Improve thread-safety when selecting folders.
  + Bugs fixed: bgo#693101, bgo#693345, bgo#694152, bgo#694223,
    bgo#694734.
  + Updated translations.
- Add e-d-s-link-goa.patch: Fix linking stage.
- Add gnome-common BuildRequires and call to gnome-autgen.sh, as
  above patch touches the build system.
* Mon Feb 18 2013 dimstar@opensuse.org
- Update to version 3.7.90:
  + Improved phone number support.
  + Direct access to local address books.
  + Make e_book_client_is_self() more efficient.
  + Add e_data_factory_ref_initable_backend().
  + Remove --with-dbus-call-timeout configure option.
  + Add CAMEL_MIME_FILTER_TOHTML_QUOTE_CITATION flag.
  + EBookClient: Use g_bus_watch_name_on_connection().
  + ECalClient: Use g_bus_watch_name_on_connection().
  + Add camel_service_ref_session().
  + Fix few memory leaks in evolution-source-registry.
  + Introduce e_backend_is_destination_reachable().
  + CalDAV: Try to search for event when not in local cache.
  + e_extensible_load_extensions: Allow for retries.
  + Bugs fixed: bgo#675287, bgo#683867, bgo#686528, bgo#693841.
  + Updated translations.
- Split new libebook-contacts-1_2-0 and
  typelib-1_0-EBoobContacts-1_2 subpackages.
- Bump so_edata_book to 17, following upstream.
- Introduce new so_ebook_contacts defines for the new library.
- Update baselibs.conf.
* Sat Feb 16 2013 dimstar@opensuse.org
- Update to version 3.7.5:
  + This release adds support for Ubuntu's Single-SignOn framework.
  + Generate address book and calendar GDBus classes with
    gdbus-codegen and simplify the APIs to require only one round
    trip per method.
  + Introduce e_book_client_connect() and e_cal_client_connect() as
    one-step replacements for e_book/cal_client_new() +
    e_client_open().
  + Built-in data sources are now packaged as a GResource rather
    than installed data files for better reliability.
  + Add --disable-google configure option to make libgdata
    dependency optional.
  + Unit test suite improvements.
  + GOA: Support the upcoming "imap_smtp" provider type.
  + Optional libphonenumber support for local address books.
  + EBookBackendSqliteDB: Added e_book_backend_new_contact[s]() API
  + EBookBackendFile: Don't overwrite UIDs on incomming/new
    contacts.
  + CamelIMAPXStore: Configure folder flags on folder creation.
  + EBookBackendFile: Avoid lost data in contact modifications.
  + store_synchronize_sync(): Only synchronize subscribed folders.
  + Bugs fixed: bgo#651399, bgo#691126, bgo#692278.
  + Updated translations.
- Drop upstream fixed patches:
  + e-d-s-ldap-mutex-deadlock-fix.patch
  + e-d-s-address-crash-on-cancel.patch
  + e-d-s-store_synchronize_sync.patch
  + e-d-s-schedule-higher-idle-priority-actions.patch
  + e-d-s-use-G_PRIORITY_HIGH_IDLE.patch
* Sat Feb 16 2013 dimstar@opensuse.org
- Update to version 3.7.4:
  + The legacy IMAP backend has been retired.  Legacy IMAP accounts
    will be converted to the newer "IMAP+" backend and their data
    caches reset.
  + IMAPX:
  - Support non-virtual Junk/Trash folders.
  - Ask server to handle "body-contains" searches.
  - Add automatic IMAP to IMAPX account migration.
  + ESourceRegistryServer: Add a "tweak-key-file" signal.
  +  Add OAuth2Support D-Bus interface.
  + Merge ECalBackendFileStore into ECalBackendStore.
  + Add ETimezoneCache interface.
  + ECalBackend: Remove internal_get_timezone() method.
  + CamelMimeFilterPgp: Ignore right side white spaces.
  + Bugs fixed: bgo#665371, bgo#689124, bgo#690151, bgo#690158,
    bgo#690177, bgo#691033, bgo#691466, bgo#691477.
  + Updated translations.
* Sat Feb 16 2013 dimstar@opensuse.org
- Update to version 3.7.3:
  + libedataserverui has been removed from Evolution-Data-Server
    and merged back into Evolution, since Evolution is its only
    consumer nowadays.
  + The E-D-S unit test suite is functional again!
  + Added ESourceBackendSummarySetup extension
  + EBookBackendFile: Use the new ESourceBackendSummarySetup to
    configure the summary
  + Use version-based GLib/GDK/GTK+ warnings.
  + Coverity scan cleanups.
  + Do not generate a ChangeLog file from 'git log'
  + Introduce evolution-user-prompter service
  + IMAPX: Support the QUOTA extension (RFC 2087).
  + Remove introspection of libecal.
  + Workaround file description leak from
    e_source_registry_authenticate_sync()
  + Bugs fixed: bgo#202576, bgo#371469, bgo#512714, bgo#529743,
    bgo#579315, bgo#671620, bgo#677378, bgo#680201, bgo#684175,
    bgo#687670, bgo#688366, bgo#688479, bgo#688639, bgo#688660,
    bgo#688795, bgo#688926.
  + Updated translations.
- Drop libedataserverui* subpackages: the library is merged into
  evolution. As this is a shared library, we do not add Obsoletes.
- Drop typelib-1_0-ECalendar-1_2 subpackage: A great deal of the
  calendar API exposes data structures from libical. libical is not
  a GObject library, and is therefore not introspectable.
- Drop e-d-s-fix-slow-composer-open.patch: no longer applicable.
* Sat Feb 16 2013 dimstar@opensuse.org
- Update to version 3.7.2.1:
  + Make address books work again.
  + EAuthenticationSession: Close prompt before storing password.
  + IMAPX error handling improvements.
  + Remove version number from ${privdatadir}.
  + Remove erroneous version number from ${privlibdir}.
  + Remove version number from ${privincludedir}.
  + Add AllowAuthPromptAll() method to SourceManager interface.
  + Reimplement EBook, ECal, et. al. using their EClient
    counterparts.
  + Google: allow writing X-GOOGLE-SYSTEM-GROUP-IDS.
  + Local file backend modified to use sqlite db exclusively.
  + gnome-online-accounts: Add an EDataFactory extension.
  + Remove EBookBackendVCF.
  + Bugs fixed: bgo#640594, bgo#674454, bgo#686727, bgo#680497,
    bgo#686719, bgo#685986, bgo#686924, bgo#687100, bgo#685034,
    bgo#681962, bgo#685090, bgo#687776, bgo#669082, bgo#687642,
    bgo#687694, bgo#687865, bgo#687634, bgo#688146.
  + Updated translations.
- Bump so_camel to 42 and so_edataserverui to 5, following
  upstreams soname bumps (also in baselibs.conf).
* Sat Feb 16 2013 dimstar@opensuse.org
- Update to version 3.7.1:
  + Remove e_data_book_view_ref/unref().
  + EBook: Reimplement "remove" functions.
  + EGdbusBook: Remove the remove() method.
  + Rename e_book_backend_start_book_view().
  + Rename e_book_backend_stop_book_view().
  + Rename e_book_backend_add_book_view().
  + Rename e_book_backend_remove_book_view().
  + Add e_book_backend_list_views().
  + Deprecate e_book_backend_foreach_view().
  + Remove e_data_book_register_gdbus_object().
  + Remove e_data_book_view_register_gdbus_object().
  + libedata-cal: Purge deprecated APIs.
  + ECal: Reimplement "remove" functions.
  + EGdbusCal: Remove the remove() method.
  + ECalBackend: Prefer GList over GSList.
  + Add e_cal_backend_list_views().
  + Deprecate e_cal_backend_foreach_view().
  + Remove e_data_cal_register_gdbus_object().
  + Remove e_data_cal_view_register_gdbus_object().
  + Don't migrate sources with empty attributes (Dan Vrátil)
  + EGDataGoaAuthorizer: Use GHmac to sign the OAuth parameters.
  + Drop oauth package requirement for GOA support.
  + EGDataGoaAuthorizer: Prototype OAuth 2.0 support.
  + online-accounts: Refresh mail account settings on startup.
  + Add e_book_backend_sexp_text().
  + Deprecate e_source_extension_get_source().
  + Silence libsecret unstable API warnings.
  + Rename 'online-accounts' module to 'gnome-online-accounts'.
  + Change camel_junk_filter_classify() signature.
  + evolution-source-viewer: Select next source after deleting.
  + Bugs fixed: bgo#201807, bgo#268618, bgo#310978, bgo#549819,
    bgo#641825, bgo#679914, bgo#681314, bgo#684655, bgo#685713,
    bgo#686421
  + Updated translations.
- Replace libgnome-keyring-devel with pkgconfig(libsecret-unstable)
  following upstreams port to libsecret.
- Drop pkgconfig(oauth) BuildRequires: no longer needed.
- Bump so_camel to 41, so_edata_book to 16 and so_edata_cal to 19,
  following upstreams soname bumps (also in baselibs.conf).
* Fri Feb 15 2013 dimstar@opensuse.org
- Add evolution-data-server requires to libedataserver-1_2
  subpackage: the library references uses the glib schemas, which
  live in the main package. Fixes issues similar to bnc#803959.
* Sat Feb  9 2013 badshah400@gmail.com
- Add patches from upstream stable branch:
  + e-d-s-ldap-mutex-deadlock-fix.patch (bgo#692278)
  + e-d-s-address-crash-on-cancel.patch: fix invalid memory access
    during situations while cancelling some synchronous operations.
  + e-d-s-fix-slow-composer-open.patch: fix slowness of composer
    window when launched due to some leaks (bgo#689476).
  + e-d-s-store_synchronize_sync.patch: some cleanups in
    store_synchronize_sync().
  + e-d-s-schedule-higher-idle-priority-actions.patch: schedule
    actions with higher idle priority (bgo#683867).
  + e-d-s-use-G_PRIORITY_HIGH_IDLE.patch: make use of
    G_PRIORITY_HIGH_IDLE to beat gtk+ redraws.
* Tue Jan 22 2013 dimstar@opensuse.org
- Update to version 3.6.3:
  + Bugs fixed: bgo#202576, bgo#674454, bgo#677378, bgo#680201,
    bgo#684175, bgo#687634, bgo#687670, bgo#687865, bgo#688146,
    bgo#688366, bgo#688479, bgo#688639, bgo#688660, bgo#688795,
    bgo#688926, bgo#689124, bgo#690151, bgo#691124, bgo#691126,
    bgo#691298, bgo#691470, bgo#691477.
  + Updated translations.
* Sun Dec  9 2012 dimstar@opensuse.org
- Update baselibs.conf to match the latest soname defines (replace
  libebackend-1_2-4 with libebackend-1_2-5).
* Tue Nov 13 2012 dimstar@opensuse.org
- Update to version 3.6.2:
  + EAuthenticationSession: Close prompt before storing password.
  + IMAPX error handling improvements.
  + Bugs fixed: bgo#640594, bgo#641825, bgo#669082, bgo#678400,
    bgo#680497, bgo#681962, bgo#684655, bgo#685034, bgo#685090,
    bgo#686719, bgo#686727, bgo#686924, bgo#687100, bgo#687642,
    bgo#687694, bgo#687776.
  + Updated translations.
* Sun Oct 14 2012 dimstar@opensuse.org
- Update to version 3.6.1:
  + ESourceRegistryServer: File monitor should set flags on new
    sources.
  + Build fixes.
  + Bugs fixed: bgo#685588, bgo#685725, bgo#685713.
  + Updated translations.
* Sun Sep 23 2012 zaitor@opensuse.org
- Update to version 3.6.0:
  + Updated translations.
* Sun Sep 16 2012 dimstar@opensuse.org
- Update to version 3.5.92:
  + CamelIMAPXServer: Fix shell command connections
  + IMAPX: Copy also user flags/tags on message append, if server
    can save them
  + IMAP:
  - Be able to read messages from cache in offline mode
  - Do not update folder list when the operation was cancelled
  + Skip sources with disabled parents from completion lookup
  + ESourceRegistry: Work around GType deadlock.
  + CalDAV: Block EProxy::changed when changing priv::uri
  + Fix a memory leak from MH-format camel provider
  + Unwrap GDBus error in generic EClient operations
  + Bugs fixed: bgo#677393, bgo#677685, bgo#677871, bgo#679219,
    bgo#682398, bgo#683785.
  + Updated translations.
* Sun Sep  2 2012 dimstar@opensuse.org
- Update to version 3.5.91:
  + IMAPX thread-safety improvements
  + Start/stop book/cal views in a dedicated thread
  + Various other code changes.
  + Bugs fixed: bgo#660383, bgo#680467, bgo#680961, bgo#681930.
    bgo#681939, bgo#681995, bgo#682706
  + Updated translations.
- Drop evolution-data-server-EAuthSession.patch: fixed upstream.
* Mon Aug 27 2012 dimstar@opensuse.org
- Add evolution-data-server-EAuthSession.patch: Fix broken
  dispatching of EAuthenticationSession
* Sun Aug 19 2012 dimstar@opensuse.org
- Update to version 3.5.90:
  + Do not update unread count in source folder for junk/deleted
    messages.
  + cache-reaper: Clean up abandoned data directories.
  + Various other code changes.
  + Bugs fixed: bgo#678289, bgo#679488, bgo#680744, bgo#681046,
    bgo#681318, bgo#681321, bgo#681466, bgo#681640, bgo#681679,
    bgo#682038, bgo#682102, bgo#682103.
  + Updated translations.
- Bump so_camel defines to 40, following upstream.
* Tue Aug 14 2012 dimstar@opensuse.org
- Update to version 3.5.5:
  + Support creating/deleting remote resources
  + Fix removal of custom vCard attributes in Google address book
  + Make sure IMAP is connected before doing online operations
  + Conditionally enable bug-buddy/gtk+ also for
    evolution-source-registry
  + Various other code changes.
  + Bugs fixed: bgo#551788, bgo#674696, bgo#677530, bgo#678893,
    bgo#679017, bgo#679808, bgo#680013, bgo#680106, bgo#680211,
    bgo#680502, bgo#680687.
  + Updated translations.
- Bump so_ebackend defines to 35, following upstream.
- Drop bison BuildRequires, following upstream: this dependency
  was apparenly never really needed (but checked for by configure).
* Tue Aug 14 2012 dimstar@opensuse.org
- Update to version 3.5.4:
  + Rework CamelIMAPXServer to be subclassed and extended more
    easily.
  + Remove the option to not cache Google Contacts data locally
  + Update for newer GWeather
  + Camel: Use folder display name in status messages when
    possible
  + Preset timeout on SoupSession-s to 90 seconds
  + online-accounts: Mail sources need to be writable.
  + Various other code changes.
  + Bugs fixed: bgo#559391, bgo#578240, bgo#677697, bgo#677886,
    bgo#678602, bgo#678856, bgo#678903.
  + Updated translations.
- Bump so_camel to 39, following upstream.
* Tue Aug 14 2012 dimstar@opensuse.org
- Update to version 3.5.3:
  + Account data now resides in plain text files rather than GConf
    XML blobs.
  + Port remaining bits from GConf to GSettings.
  + Add 'evolution-source-viewer' test tool
  + imap[x]: Remove shell command option from user interfaces.
  + google:
  - Split conversion functions from Google backend into a util
    lib
  - Add some tests to Google address book backend
  - Add a new custom vCard property containing Google system
    groups
  - Make "rel" and "label" mutually exclusive for certain
    elements.
  + Various build fixes
  + Several API breaks (see docs)
  + Various other code changes.
  + Bugs fixed: bgo#668247, bgo#673817, bgo#676541, bgo#677183,
    bgo#677610, bgo#677642, bgo#677664, bgo#677687, bgo#677841,
    bgo#677933, bgo#678067, bgo#678069, bgo#678255, bgo#678378,
    bgo#678618.
  + Updated translations.
- Drop pkgconfig(dbus-glib-1) BuildRequires.
- Add pkgconfig(gcr-base-3) BuildRequires: new dependency.
- Bump so_* defines, following upstream:
  + so_camel 38, so_ebackend 4, so_ebook 14, so_ecal 15,
    so_edata_book 15, so_edata_cal 18, so_edataserver 17 and
    so_edataserverui 4.
- Update baselibs.conf according the soname bumps.
* Tue Aug 14 2012 dimstar@opensuse.org
- Update to version 3.5.2:
  + Remove extra test on Google server photo data validity.
  + Split camel-imapx library and merge into camel so that
    providers can be written on top of imapx.
  + Camel: Allow SSL certificate resave and use detailed errors
    from SSL stream.
  + Simplify vFolder's code and other bunch of related time
    optimizations.
  + Various other code changes.
  + Bugs fixed: bgo#606181, bgo#664639, bgo#666327, bgo#667725,
    bgo#669191, bgo#670279, bgo#671603, bgo#673946, bgo#675387,
    bgo#676108, bgo#676403, bgo#676506.
  + Updated translations.
- Update baselibs.conf.
- Drop xz BuildRequires as it now comes for free in the build
  system.
* Tue Aug 14 2012 dimstar@opensuse.org
- Update to version 3.5.1:
  + Add an --enable-code-coverage configure option to enable gcov
    support
  + Fix Google Talk vCard attribute name definition
  + Various other code changes.
  + Bugs fixed:
  - bgo#664639: IMAPx Doesn't quit gracefully on account disable
  - bgo#668989: Add a twitter username to IM in contacts
  - bgo#658742, bgo#665381, bgo#668549, bgo#668679, bgo#669034,
    bgo#669085, bgo#670435, bgo#670457, bgo#671537, bgo#672175.
  + Updated translations.
* Tue Aug 14 2012 dimstar@opensuse.org
- Update to version 3.4.4:
  + Fix hangs when network changes (bgo#551788)
  + Broken spool mbox file accounts (bgo#679017)
  + Unable to send mail using SMTP (bgo#679488)
  + Bugs fixed: bgo#559391, bgo#674696, bgo#677530, bgo#678856,
    bgo#679245, bgo#680211, bgo#680502, bgo#681318.
* Mon Jun 18 2012 dimstar@opensuse.org
- Update to version 3.4.3:
  + Cannot delete search folders (bgo#673946)
  + Birthday calendar broken since 3.3.4 (bgo#671603)
  + imapx: Syncing folder after server-side deletion of many
    messages is *very* slow (bgo#676403)
  + Bugs fixed: bgo#667725, bgo#668247, bgo#673817, bgo#674454,
    bgo#676108, bgo#676506, bgo#677183, bgo#677841, bgo#678069,
    bgo#678255
  + Updated translations.
* Mon May 14 2012 vuntz@opensuse.org
- Update to version 3.4.2:
  + Several code changes.
  + Bugs fixed: bgo#667891, bgo#669191, bgo#672398, bgo#674257,
    bgo#674309.
  + Updated translations.
* Tue Apr 17 2012 vuntz@opensuse.org
- Update to version 3.4.1:
  + CalDAV backend could starve on its dispose waiting for slave
    finish
  + Several fixes for Google address books and calendars.
  + Bugs fixed:
  - bgo#666438: Contact's Full name field not displayed in list
    view
  - bgo#666896: Workaround Improper GB-2312 Mail Encodings
  - bgo#667477: EXDATE containing time are not handled correctly
  - bgo#670470: Do not force password for IMAPx connection
  - bgo#671172: smtp: Make EHLO keywords check case insensitive
  - bgo#673563: Encoded filename for Outlook broken by spaces
  - bgo#663324, bgo#664793, bgo#672258, bgo#673527, bgo#673894.
  + Updated translations.
* Mon Mar 26 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + Various last-minute IMAPX crash fixes.
  + Updated translations.
* Tue Mar 20 2012 vuntz@opensuse.org
- Update to version 3.3.92:
  + Various code changes.
  + Update API documentation.
  + Bugs fixed: bgo#659756, bgo#664186, bgo#665025, bgo#671470,
    bnc#736655.
  + Updated translations.
- Add pkgconfig(dbus-glib-1) BuildRequires: new dependency
  upstream, needed to initialize thread for GConf.
* Tue Mar  6 2012 vuntz@opensuse.org
- Update to version 3.3.91:
  + Manual Refresh on a CalDAV calendar does not work
  + Provide at least some NSPR error text, rather than cryptic
    error code
  + Various other code changes.
  + Bugs fixed: bgo#610988, bgo#658742, bgo#663224, bgo#668639,
    bgo#670887, bgo#670938.
  + Updated translations.
* Mon Feb 20 2012 dimstar@opensuse.org
- Update to version 3.3.90:
  + Use GSettings for EProxy
  + Fix issues found by Coverity Scan
  + Crash on message send, under check_header_in_message_info()
  + Fix google contacts going online after being offline
  + Bugs fixed: bgo#309945, bgo#391472, bgo#485283, bgo#535978,
    bgo#553796, bgo#637200, bgo#658347, bgo#658348, bgo#662920,
    bgo#669341, bgo#669487, bgo#669545, bgo#669847.
  + Updated translations.
- Add %%glib2_gsettings_* schemas to handle the newly installed
  gsettings schemas.
* Mon Feb 20 2012 vuntz@opensuse.org
- Bump soversion of libcamel-1_2 in baselibs.conf too.
* Sun Feb  5 2012 dimstar@opensuse.org
- Update to version 3.3.5:
  + Improved deadlock and crash avoidance in IMAPX.
  + Some performance improvements.
  + Fix few memory leaks.
  + Add support for mobile mode for mails.
  + Various other code changes.
  + Bugs fixed: bgo#649141, bgo#666764, bgo#668811, bgo#669003,
    bgo#669005, bgo#669238.
  + Updated translations.
- Bump so_camel define to 33, following library soversion change.
* Mon Jan 16 2012 vuntz@opensuse.org
- Update to version 3.3.4:
  + Various code changes.
  + Bugs fixed: bgo#357175, bgo#482171, bgo#592906, bgo#638810,
    bgo#644817, bgo#661743, bgo#662888, bgo#665036, bgo#666327,
    bgo#666327, bgo#666757, bgo#666770, bgo#667388, bgo#667698.
  + Updated translations.
- Drop evolution-data-server-fix-introspection-build.patch: fixed
  upstream.
* Wed Dec 21 2011 vuntz@opensuse.org
- Add evolution-data-server-fix-introspection-build.patch: fix
  build of introspection support.
- Set %%with_introspection macro to 1 now that we can build
  introspection support again.
* Tue Dec 20 2011 vuntz@opensuse.org
- Update to version 3.3.3:
  + Be more responsive to cancellations.
  + Add --wait-for-client factory processes command line option
  + Fix leaks.
  + Various other code changes.
  + Bugs fixed: bgo#665253, bgo#662068, bgo#666106, bgo#652173,
    bgo#665337, bgo#664819, bgo#664572, bgo#652177.
  + Updated translations.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
- Bump so_camel define to 32 and so_edata_cal to 15, to follow
  library soversion changes.
- Update baselibs.conf for library soversion changes.
- Split typelib files into typelib-1_0-EBook-1_2,
  typelib-1_0-ECalendar-1_2, typelib-1_0-EDataServer-1_2
  subpackages.
- Add typelib-1_0-EBook-1_2, typelib-1_0-ECalendar-1_2,
  typelib-1_0-EDataServer-1_2 Requires to devel subpackage.
* Mon Nov 21 2011 dimstar@opensuse.org
- Update to version 3.3.2:
  + Various code changes.
  + Bugs fixed: bgo#440316, bgo#652171, bgo#652175, bgo#655167,
    bgo#659736, bgo#660182, bgo#660646, bgo#660972, bgo#660974,
    bgo#661033, bgo#662473, bgo#662524, bgo#662643, bgo#662929,
    bgo#663062, bgo#663219
  + Updated translations.
* Thu Oct 27 2011 dimstar@opensuse.org
- Update to version 3.3.1.1:
  + Work around libgthread shenanigans in GLib 2.31.
- Drop evolution-data-server-g_thread.patch: fixed upstream.
- Update the soname defines following library soversion changes.
- Change evo_version to 3.4, as this is the development tree
  leading to evolution-data-server 3.4.
- Add a with_introspection defines to easily enable/disable
  building of gobject-introspection and vala bindings. Currently,
  this is disabled due to bgo#662888. Based on with_introspection,
  pass either --disable-vala-bindings --disable-introspection (if
  with_introspection=0) or --enable-vala-bindings
  - -enable-introspection (with_introspection=1) to configure.
* Wed Oct 26 2011 dimstar@opensuse.org
- Update to version 3.3.1:
  + Fix crashes.
  + Various other code changes.
  + Bugs fixed:
  - bgo#601898: SOCKS proxy does not work with mailer
  - bgo#660870: Empty contacts list when pressing To: in composer
  - bgo#527614, bgo#620382, bgo#632619, bgo#642984, bgo#655252,
    bgo#656473, bgo#656603, bgo#659438, bgo#659553, bgo#659555,
    bgo#659568, bgo#659914, bgo#660246, bgo#660533, bgo#660615,
    bgo#660656, bgo#660829, bgo#660884, bgo#661432, bgo#661448,
    bgo#661549.
  + Updated translations.
- Add evolution-data-server-g_thread.patch: do not call
  g_thread_init; taken from upstream git.
* Sun Oct 16 2011 vuntz@opensuse.org
- Update to version 3.2.1:
  + Bugs fixed: bgo#620382, bgo#659438, bgo#659553, bgo#659568,
    bgo#659914, bgo#660246, bgo#660533, bgo#660615, bgo#660829,
    bgo#661432.
  + Updated translations.
* Sun Sep 25 2011 vuntz@opensuse.org
- Update to version 3.2.0:
  + google: Handle multivalue custom vcard attributes
  + Updated translations.
* Wed Sep 21 2011 vuntz@opensuse.org
- Update to version 3.1.92:
  + Handle changes in the goa accounts list at runtime
  + imapx: Fix read of uninitialized memory from g_str_has_prefix
  + Various other code changes.
  + Bugs fixed: bgo#659282, bgo#659184, bgo#659079, bgo#659165,
    bgo#655253, bgo#632153, bgo#658911, bgo#655728, bgo#655837,
    bgo#654818,
  + Updated translations.
- Drop e-d-s-deprecated.patch: fixed upstream.
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant/obsolete tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Sun Sep  4 2011 vuntz@opensuse.org
- Update to version 3.1.91:
  + Do not expose password in imapx log
  + Add a vapi for ecalendar
  + Bugs fixed:
  - bgo#566563: Make ESource password prompts clearer
  - bgo#655253: Delete of one occurrence of a repeatable event
    don't work
  - bgo#655433: Drag and Drop of messages out of Junk folder
    broken
  - bgo#657345: Remember password by default for book/calendar
  - bgo#655111, bgo#657836.
  + Updated translations.
* Thu Sep  1 2011 vuntz@opensuse.org
- Update to version 3.1.90:
  + Various fixes regarding Google integration, including data loss
    bugs.
  + Add Google Talk field to the list of IM information
  + Camel API changes (see NEWS).
  + Pretend successful read when skipping 3+ part of
    multipart/signed
  + Various other code changes.
  + Bugs fixed:
  - bgo#562912: Unread vfolder marks unread messages as read
  - bgo#576398: vfolder not showing new messages from nntp group
  - bgo#651469: Folders don't update after moving mails in
    maildir
  - bgo#652914: IMAP: moving mail puts a copy into real Trash too
  - bgo#656051: Preserve mbox file attributes after rewrite
  - bgo#651693, bgo#651849, bgo#652437, bgo#655121, bgo#655272,
    bgo#655833, bgo#655997, bgo#657181.
  + Updated translations.
- Bump so_camel define to 29 to follow library soversion change.
  This results in libcamel-1_2-28 being renamed to libcamel-1_2-29.
- Rewrite e-d-s-deprecated.patch to correctly use
  g_unichar_fully_decompose().
* Mon Aug 15 2011 dimstar@opensuse.org
- Update to version 3.1.5:
  + Various code changes.
  + Bugs fixed:
  - Several memory leaks fixed (bgo#656490, bgo#656487,
    bgo#656480)
  - bgo#619135: Add photo support to Google Contacts backend
  - bgo#656267, bgo#656058, bgo#652172, bgo#655748, bgo#655190,
    bgo#655499, bgo#654893, bgo#655414, bgo#655409, bgo#654472,
    bgo#655331, bgo#654480.
  + Updated translations.
- Update library sonum defines, following the code changes.
* Tue Aug  2 2011 dimstar@opensuse.org
- Add e-d-s-deprecated.patch: Use g_unichar_fully_decompose instead
  of deprecated g_unicode_canonical_decomposition.
* Sun Jul 24 2011 vuntz@opensuse.org
- Update to version 3.1.4:
  + Authorization domains are no longer used in password storage.
  + Camel API changes (see NEWS).
  + Rewrite Camel's junk plugin interface.
  + Fix wakeups in imapx parser thread.
  + Use GError in various places.
  + Various other code changes.
  + Updated translations.
- Bump so_camel define to 28 to follow library soversion change.
  This results in libcamel-1_2-27 being renamed to libcamel-1_2-28.
* Mon Jul  4 2011 vuntz@opensuse.org
- Update to version 3.1.3:
  + Add support for GNOME Online Accounts.
  + Add OAuth support to Google Contacts backend.
  + Fix LDAP authentication and process authentication requests on
    idle
  + SMTP: Handle 235 code after initial AUTH command.
  + Make Camel's SASL framework more extensible.
  + Fix few memory leaks
  + Various other code changes.
  + Code cleanups.
  + Build fixes.
  + Bugs fixed: bgo#650671, bgo#653476, bgo#650126, bgo#653385,
    bgo#224687, bgo#224687, bgo#652173, bgo#648468, bgo#269413,
    bgo#565961, bgo#652530.
  + Updated translations.
- Add pkgconfig(goa-1.0) and pkgconfig(oauth) for the new GNOME
  Online Accounts and OAuth support features.
- Drop evolution-data-server-fix-vala.patch: fixed upstream.
- Bump so_camel define to 27 to follow library soversion change.
  This results in libcamel-1_2-26 being renamed to libcamel-1_2-27.
- Bump so_edataserverui define to 1 to follow library soversion
  change. This results in libedataserverui-3_0-0 being renamed to
  libedataserverui-3_0-1.
- Re-enable translation-update-upstream support.
- Disable parallel build as it is broken in this release.
* Fri Jul  1 2011 vuntz@opensuse.org
- Drop dice-eds-changes.patch: the dice features are not getting
  maintained by anyone, and we do not want to support them in that
  case.
- Build vala bindings:
  + add evolution-data-server-fix-vala.patch to fix build; taken
    from git
  + add vala BuildRequires
  + pass --enable-vala-bindings to configure
* Tue Jun 14 2011 dimstar@opensuse.org
- Update to version 3.1.2:
  + New asynchronous APIs to replace EBook/ECal, and additional
    asynchronous work in Camel
  + Improved introspection annotations
  + Improved Vala bindings
  + Various calendar file backend improvements
  + IMAPX: optionally download the messages in descending order
  + Handle SIGTERM instead of SIGQUIT.
  + Add sqlitedb cache for addressbook
  + Fix some memory leaks.
  + Various other code changes.
  + Bugs fixed: bgo#550414, bgo#589495, bgo#633948, bgo#640054,
    bgo#640083, bgo#646898, bgo#648454, bgo#648736, bgo#649433,
    bgo#649757, bgo#649757, bgo#649761, bgo#649762, bgo#650105,
    bgo#650524, bgo#650950, bgo#650952, bgo#651054, bgo#651113,
    bgo#651147, bgo#651226, bgo#651446, bgo#651458.
  + Updated translations.
- Bump soversion according their changes (spec and baselibs.conf):
  + so_camel to 26
  + so_ebook to 11
  + so_ecal to 9
  + so_edata_book to 10
  + so_edata_cal to 12
* Sun May 29 2011 dimstar@opensuse.org
- Update baselibs.conf to follow the library bumps.
- Disable translation-update for now: it fails for the removed
  groupwise bits.
* Tue May 17 2011 dimstar@opensuse.org
- Update to version 3.1.1:
  + GroupWise backend is now split in new evolution-groupwise
    module (will be packaged soon).
  + NTLM improvements:
  - Support NTLMv2
  - Infer NTLM domain from username; don't assume it matches the
    server's domain
  - Add support for NTLM single-sign-on using /usr/bin/ntlm_auth
  - Fix read off end of string in NTLM SSO support
  + Fix few memory leaks
  + Various API changes in Camel library, including API breaks.
  + Misc small fixes.
  + Collect all test code into a top-level "tests" directory
  + Code cleanups.
  + Bugs fixed: bgo#332497, bgo#418954, bgo#628142, bgo#645239,
    bgo#645498, bgo#645783, bgo#646117, bgo#646200, bgo#646619,
    bgo#647429, bgo#647873, bgo#648844, bgo#649365, bgo#649684.
  + Updated translations.
- Drop libegroupwise-1_2-23 subpackage since the backend is gone.
* Wed Apr 27 2011 fcrozat@novell.com
- Update to version 3.0.1:
  + Fix few memory leaks.
  + Bug Fixes: bgo#645498, bgo#645783, bgo#645845, bgo#647873,
    bgo#647873, bgo#646117.
  + Updated translations.
* Fri Apr 22 2011 vuntz@opensuse.org
- Add gobject-introspection-devel BuildRequires to build
  introspection support.
- Do not package files twice between
  %%{_libdir}/evolution-data-server/ and
  %%{_libexecdir}/evolution-data-server/.
* Mon Apr  4 2011 fcrozat@novell.com
- Update to version 3.0.0:
  + Bug Fixes: bgo#646200.
  + Updated translations.
* Mon Mar 21 2011 fcrozat@novell.com
- Update to version 2.91.92:
  + Miscellaneous Fixes:
  - Improve camel_file_util_encode_fixed_string
  - Allow special CAMEL_DEBUG=pop3 to debug pop3 communication
    only.
  - Ensure backend life-time during inner calls
  - Coding style and whitespace cleanup.
  - Build fixes.
  - Documentation improvements.
  + Bug Fixes:
  - bgo#629032: GW count is not updated while downloading
    contacts.
  - bgo#643748: Slow message_location search rule with maildir
    accounts.
  - bgo#644367: Check NNTP server capabilities before using OVER
    command.
  - Other bugs fixed: bgo#634663, bgo#641838, bgo#642783,
    bgo#644532.
- Changes from version 2.91.91:
  + Various small changes.
  + Bug Fixes:
  - bgo#617763: Cannot create events on Yahoo through CalDAV
  - bgo#640829: Can drop text/plain message lines in message
    preview.
  - Other bugs fixed: bgo#614480, bgo#633156, bgo#639201,
    bgo#643095.
- Changes from version 2.91.90:
  + Miscellaneous Fixes:
  - Perform consistency check on local folders based on the
    parameter 'need-summary-check'.
  - Add a --keep-running option to e-calendar-factory.
  - Add a --keep-running option to e-addressbook-factory.
  - Improve libebook annotations.
  - Plug leaks.
  - Cleanups.
  + Bug Fixes:
  - bgo#639483: Category list includes weather information.
  - bgo#638089: Some mobile phone contacts are not shown in
    preview.
  - bgo#641250: Cannot add more than 2 recipients in To: or Cc:
    field.
  - bgo#640696: Hidden new messages in On This Computer/Inbox.
  - bgo#634743: Moving message on GMail with real Trash set
    deletes it.
  - Other bugs fixed: bgo#638563, bgo#638246, bgo#641757,
    bgo#601111, bgo#641110.
- Changes from version 2.91.6:
  + Miscellaneous Fixes:
  - Drop support for gtk+-2.0.
  - Add versioning to D-Bus service names.
  - Make contact removal asynchronous in the Google Contacts
    backend.
  - Add cancellation support to the Google Contacts backend.
  - Fix crashes.
  - Various other fixes.
  + Bug Fixes:
  - bgo#640529: Default size of category window is too small.
  - bgo#635339: 'Mark as read' from popup menu not working on
    Junk folder.
  - bgo#566441: The Google backend doesn't use the
    tags/categories/groups.
  - bgo#639469: WebDAV addressbook only uses https.
  - bgo#639165: maildir expunge not working as expected.
  - bgo#638948: NNTP folder doesn't implement Expunge
  - Other bugs fixed: bgo#640898, bgo#623933, bgo#636495,
    bgo#635519, bgo#635353, bgo#627788, bgo#525565.
- Changes from version 2.91.5:
  + Address book and calendar backend modules are now split into
    different installation directories so the D-Bus factory
    processes will only load relevant backend modules. This
    changes some pkg-config details for third-party backend
    modules.
  + Misc fixes.
  + Bug Fixes: bgo#637838, bgo#637916, bgo#638095.
- Changes from version 2.91.4:
  + Miscellaneous Fixes:
  - Do not store and generate locel:/system URIs.
  - Maildir: Hide folders which do not start with a dot.
  - Drop support for password key files.
  - Use less threads in CamelDB.
  + Bug Fixes:
  - bgo#420813: Unnecessarily slow update/reopen of webcal
    calendars.
  - bgo#633332: Preserve port number in WebDAV address book.
  - bgo#631568: Scheduling Meetings with CalDAV calendars.
  - bgo#530205: Use CalDAV calendar read-only when server
    unreachable.
  - bgo#625048: Fails to detect America/New York system
    timezone.
  - bnc#590476: Evolution corrupts PDF files.
  - bmc#6498: Filters are not applied to imapx Inboxes.
  - Other bugs fixed: bgo#636334, bgo#636850, bgo#633180,
    bgo#634385, bgo#616452, bgo#633557, bgo#573125, bgo#590245,
    bgo#628563.
- Changes from version 2.91.3
  + Miscellaneous Fixes:
  - Cannot delete maildir folder.
  - CamelStore: Place Inbox at the top while building folder
    info.
  - Maildir: Use Inbox instead of '.' while building folder info.
  - Maildir: Allow subfolders for Inbox.
  - Use '_' instead of '^' for renaming folders with dot symbol
    in it.
  - Do not unset the deleted flag while copying mails across
    folders.
  - Fix QRESYNC protocol violation (rh#648082).
  + Bug Fixes:
  - bgo#486553: Inline expansion of email lists are not separated
    by commas.
  - bgo#634658: Unread counts for vfolders never update.
  - bgo#602958: Right click over source in calendar view opens a
    calendar.
  - bgo#632692: Thread by In-Reply-To, then first found
    reference.
  - bgo#538716: Do not set expiration on POP3 message cache
  - bgo#632676: Only "Checking for new mail" in status bar and
    nothing else.
  - Other bugs fixed: bgo#635825, bgo#624420, bgo#635673,
    bgo#632962, bgo#635572, bgo#635550, bgo#633780, bgo#634573,
    bgo#633181, bgo#634593, bgo#633122, bgo#581288, bgo#631804,
    bgo#634084.
- Changes from version 2.91.2:
  + Other Changes:
  - Fix failure to RSET SMTP connection before re-use.
  - Change the maildir folder hierarchy as per maildir++ spec
  - Fix remove maildir folder.
  - Fix maildir rename and some memory leaks.
  - Misc fixes.
  + Bug Fixes:
  - bgo#623017: Add introspection support.
  - bgo#632771: Recurring calendar events set to recur forever do
    not display past first week.
  - bgo#445439: Delete mail from pop-server when deleted from
    Inbox/Trash.
  - Other bugs fixed: bgo#631073, bgo#631290, bgo#632687,
    bgo#597567, bgo#631953, bgo#632030, bgo#631842, bgo#632527,
    bgo#632177, bgo#633122, bgo#632532, bgo#633919, bgo#634167.
- Changes from version 2.91.1:
  + Miscellaneous Fixes:
  - Google contacts - do not drop all URLs/events on update.
  - Misc fixes.
  + Bug Fixes:
  - bgo#558478: Autocompletion inserts comma.
  - bgo#534369: New mail notifications for local Inbox don't
    work.
  - bgo#630358: Google contacts doesn't sync anniversary.
  - bgo#347520: Names containing a dot in address parsed
    incorrectly.
  - Other bugs fixed: bgo#632376, bgo#608557, bgo#630358,
    bgo#631594, bgo#630361, bgo#630889, bgo#631404.
- Changes from version 2.91.0:
  + Other Changes:
  - bmc#3667 - SOCKS5 failure doesn't fall back to SOCKS4
  - Update license to LGPLv2 for e-debug-log files.
  - Updated licenses for imapx to LGPLv2.
  - Many other  code updates.
  + Bug Fixes:
  - bgo#630135: No UI feedback when imapx connection fails
  - bgo#629752: ldap doesn't work in offline.
  - bgo#616598: AM/PM in Date header confuses parser.
  - Other bugs fixed: bgo#629714, bgo#630150, bgo#630152,
    bgo#615274, bgo#628655, bgo#615828, bgo#629916, bgo#616596,
    bgo#629726, bgo#629908, bgo#630321, bgo#630149, bgo#599741,
    bgo#630265, bgo#629507, bgo#616172, bgo#630222.
- Many sonames have changed with gtk3/gnome3 port.
- Add pkgconfig(gtk+-3.0) BuildRequires.
- Remove obsolete configure options (with-krb4, gnome-keyring,
  enable-nss, enable-nspr, enable-hula, enable-exchange)
- Rebase dice-eds-changes.patch.
* Tue Nov 16 2010 dimstar@opensuse.org
- Update to version 2.32.1:
  + Fix memory leaks
  + Fix QRESYNC protocol violation ()
  + Fix build failures and linking errors
  + [IMAPX] Crash on QRESYNC line formatting on 32bit platform
  + Opening default/system addressbook doesn't always work
  + Limit libgdata support to 0.6.
  + Avoid passing NULL to g_strstrip in e_contact_get calls
  + Don't link libebook to GTK+
  + Bugs fixed: rh#648082, bgo#634658, bgo#632692, bgo#538716,
    bgo#631804, bgo#634084, bgo#632532, bgo#631842, bgo#632030,
    bgo#631953, bgo#632771, bgo#597567, bgo#631290, bgo#631073,
    bgo#558478, bgo#632376, bgo#534369, bgo#608557, bgo#347520,
    bgo#630361, bgo#631122, bgo#616598, bgo#616596, bgo#615828,
    bgo#616172, bgo#629507, bgo#630321, bgo#628655, bgo#629752,
    bgo#629908, bgo#615274, bgo#599741, bgo#630265
  + Updated translations.
* Mon Oct 11 2010 vuntz@opensuse.org
- Update baselibs.conf after the shared library packaging change.
* Mon Oct  4 2010 dimstar@opensuse.org
- Apply Shared Library Packaging Policy, create sub-packages:
  + libcamel-1_2-19
  + libebackend-1_2-0
  + libebook-1_2-10
  + libecal-1_2-8
  + libedata-book-1_2-8
  + libedata-cal-1_2-10
  + libedataserver-1_2-14
  + libedataserverui-1_2-11
  + libegroupwise-1_2-13
* Mon Sep 27 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Various imapx fixes (bgo#629714, bgo#629726, bgo#629916,
    bgo#630135, bgo#630150, bgo#630152).
  + Update some files to be LGPLv2.
  + Updated translations.
- Change License tags to LGPLv2+, since this is the right license.
* Tue Sep 14 2010 dimstar@opensuse.org
- Update to version 2.31.92.1:
  + bgo#629255: e-d-s FTBFS
* Mon Sep 13 2010 dimstar@opensuse.org
- Update to version 2.31.92:
  + Use --disable-gtk3 in DISTCHECK_CONFIGURE_FLAGS.
  + Update API documentation.
  + Work around deprecation of gtk_dialog_set_has_separator()
  + Update the server utc time in the key file to avoid fetching
    duplicates items again and again. This had been broken when
    fetching modified items moved away from get_quick_messages to
    get_items_request.
  + Fix comma insertion while selecting auto-completed emails.
  + Fix issue that made it impossible to send mails using
    Evolution.
  + Don't use getline, implement a simple replacement. Some
    systems don't have getline in their C library, so use a private
    implementation released under LGPL v2+.
  + Ensure end date is generated for master recurrence event while
    inserting into the interval tree
  + Avoid having backslashes in uri on windows
  + Handle error from camel_imapx_stream_token()
  + Fix attachments retrieval issue in groupwise. Add the prefix
    file:// to the filename to form the uri
  + Find the timezone in libical first and then the backend or
    cache while resolving tzids
  + Optimize eds calendar memory usage and speed.
  + Remove fatal assertions from libecal.
  + Various misc bug fixes.
  + Bugs fixed: bgo#507290, bgo#471079, bgo#627336, bgo#628426,
    bgo#603044, bgo#611568, bgo#628977, bgo#628659, bgo#628658,
    bgo#628657, bgo#628651, bgo#628426, bgo#624135, bgo#624229,
    bgo#611539, bgo#627817, bgo#625110, bgo#624130, bgo#624228,
    bgo#624705, bgo#624702, bgo#624318, bgo#569329, bgo#628485,
    bgo#624027, bgo#628100, bgo#623912, bgo#627627, bgo#627871,
    bgo#627609
  + Updated translations.
- Rebase dice-eds-changes.patch.
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Mon Aug 30 2010 dimstar@opensuse.org
- Update to version 2.31.91:
  + bgo#623703: Reference counting error in Google backend
  + bgo#625115: Changes notified from backends aren't propagated to
    UI
  + bgo#625514: Client doesn't recognize server close/crash on
    GDBus
  + bgo#625579: Corruption of mbox file should be properly reported
  + bgo#627333: Cannot cancel password dialog for an addressbook
  + bgo#627937: Crash on email Add to a contact list
  + bgo#628196: Miscellaneous string fixes
  + bgo#627332: Do not unref EDataBook before done with it
  + Plug memory leaks (including bgo#627597, bgo#627599,
    bgo#627610, bgo#627616, bgo#627854, bgo#627855, bgo#627876)
  + Rewrite e_load_book_source_async().
  + Add e_source_list_peek_default_source().
  + Remove -DGDK_DISABLE_DEPRECATED
  + Fix SEGV when imapx_parse_list() fails
  + Updated translations.
* Tue Aug 17 2010 dimstar@opensuse.org
- Update to version 2.31.90:
  + Merge branch camel-socks-proxy-master for SOCKS5 / IPv6 support
  + Use cairo as gc is deprecated
  + Enable largefile support by default.
  + ENameSelectorEntry: Avoid IM confusion when inserting text
  + Deprecate CamelHttpStream.
  + bgo#622366: cleanup, and fix for substantial GWise / soap mail
    leak
  + bgo#624789: use ldapssl_init to initialize SSL connection for
    sunldap.
  + bgo#626505: ECategoriesDialog doesn't show new categories
  + bgo#626090: Only set -fno-strict-aliasing for GCC
* Thu Aug  5 2010 vuntz@opensuse.org
- Update to version 2.31.6:
  + Evolution-Data-Server now complies with the XDG Base Directory
    Specification. Data is now partitioned into three base
    directories controlled by environment variables:
  - $XDG_DATA_HOME/evolution
  - $XDG_CACHE_HOME/evolution
  - $XDG_CONFIG_HOME/evolution
    Data which is managed by the various address book and calendar
    backends will be migrated from $HOME/.evolution upon starting
    the corresponding D-Bus factory service.
  + IMAPX:
  - Add connection manager
  - server flags can be integers
  + Reset BASE_VERSION to 2.32.
  + libebook.pc.in missing camel-1.2 requirement.
  + Removed folders from connection when operations gets done -
    handles when jobs return back without executing
  + Avoid absolute paths in "On This Computer" source groups.
  + Remove deprecated ECalBackend::set_default_timezone
  + EDataCal: Add a getCacheDir() D-Bus method.
  + Fix error handling in CamelLocalFolder::sync()
  + Fix error handling in CamelImapFolder::get_message()
  + ebook & edataserverui: Use _async suffix rather than _ex suffix
  + Replace dbus-glib-1 with gio-2.0 in pkgconfig files.
  + Prefer gio-2.0 when requiring GLib libraries.
  + Fixed uudecode logic
  + Optimized camel_uuencode_step
  + Bug Fixes:
  - bgo#608299 - Cut/copy error when selection has trailing comma
  - bgo#625351 - Sending through sendmail reports error
  - bgo#602287, bgo#612082, bgo#622884, bgo#624029, bgo#624316,
    bgo#624325, bgo#624417, bgo#624891, bgo#625039, bgo#625083,
    bgo#625282, bgo#625482, bgo#625606
  + Updated translations.
- Drop evolution-data-server-shared-nss-db.patch: upstream fixed it
  another way, with the sqlite NSS database. Thanks to Wolfgang
  Rosenauer for checking this. Also drop nss-shared-helper-devel
  BuildRequires, and gnome-common BuildRequires as well as the call
  to gnome-autogen.sh.
- Remove unneeded krb5-devel, libcom_err, libgpg-error-devel,
  nss-shared-helper-devel Requires from devel package.
- Remove gconf2-devel, glib2-devel, gnome-vfs2-devel, gtk2-devel,
  libglade2-devel, libgnome-keyring-devel, libgweather-devel,
  libical-devel, libsoup-devel, libxml2-devel, sqlite3-devel
  Requires from devel package: they will be automatically added
  with pkgconfig()-like Requires.
- Drop unneeded libglade2-devel BuildRequires.
* Tue Jul 13 2010 dimstar@opensuse.org
- Update to version 2.31.5:
  + Lots of IMAPX improvements
  + Make NSS database initialisation more robust, handle errors
    better
  + Use text/vcard content type on WebDAV PUT request
  + Migrate from CamelException to GError.
  + Work around sudden disappearance of GdkRegion in GTK+ 2.90.5.
  + Add functions to get Evo/EDS base directories.
  + Improve error handling in CamelStreamBuffer::read().
  + Bug fixes:
  - bgo#618938: Crash when reading calendar acknowledgement
    message
  - bgo#623936: 75 second delay when creating new DAV entries in
    Zimbra
  - bgo#623919: Error while opening any newly received message
  - bgo#623795: URI at the end of text isn't clickable
  - bgo#624018, bgo#623204, bgo#621609, bgo#623431, bgo#623430
  + Updated translations.
* Mon Jul 12 2010 dimstar@opensuse.org
- Update to version 2.31.4:
  + Always enable QRESYNC where it's available.
  + Handle UIDNEXT and MODSEQ/HIGHESTMODSEQ information from server
  + Allow debugging to be enabled with CAMEL_DEBUG environment
    variable
  + Permit all characters but dir_sep in imapx folder names.
  + Simplify relationship between full and path names for imapx
  + Queue non-folder specific jobs while waiting for SELECT to
    complete
  + Propagate STATUS responses to folders directly from
    imapx_untagged()
  + Fix overzealous IDLE handling
  + Handle [CLOSED] status (RFC5162)
  + Cope with unsolicited FETCH having both FLAGS and UID.
  + Support VANISHED response (RFC5162)
  + Extract EXPUNGE handling into imapx_expunge_uid_from_summary()
    function.
  + Fix imapx_parse_flags to not just return the first UID
    repeatedly, export it.
  + Fix batch fetch to use UID FETCH in
    imapx_job_fetch_new_messages_start()
  + Add LITERALPLUS support
  + Encode folder names as literals when sending commands, where
    needed
  + Accept unsolicited CAPABILITY report as part of
    LOGIN/AUTHENTICATE response
  + Detect CONDSTORE and QRESYNC capabilities
  + Clarify documentation for e_destination_get_address().
  + Check EBook DBus error names without underscores too
  + Build with gtk3 and have backward compatibility
  + Bug fixes:
  - bgo#316783 - Broken dragging of email addresses
  - bgo#601535 - Categories not translated in menus
  - bgo#621842 - use 'UID FETCH' instead of 'FETCH' for
    scan_changes
  - bgo#206061 - Allow normal, non-vFolder, Trash and Junk folder
  - bgo#610919 - Remove superfluous space in flags in APPEND
    command
  - bgo#615239 - Fix GSSAPI (and other SASL) authentication for
    imapx
  - bgo#585301 - Use ~/.pki/nssdb for NSS SQL database, not
    Evolution directory.
  - bgo#585301 - Use correct NSS system database where
    appropriate.
  - bgo#621262 - Fix fetch of large mails from broken servers
    like Exchange
  - bgo#621237 - Add imap-over-custom-command support for imapx
  - bgo#622392, bgo#622799, bgo#622710, bgo#620815, bgo#622008,
    bgo#621851, bgo#621961, bgo#621877, bgo#621740, bgo#621740,
    bgo#617723, bgo#610919, bgo#599879, bgo#585353, bgo#550414,
    bgo#622350
- Changes from version 2.31.3:
  + Add support for SOCKS proxy support
  + Bug Fixes:
  - bgo#617439 - Fix translation of birthday and anniversary
    events
  - bgo#585301 - Use NSS SQLite database, if available
  - bgo#601535 - Fix translation domain for default categories
  - bgo##619347, bgo##620522, bgo##617261
- Changes from version 2.31.2:
  + Improve name selector dialog UI
  + Add ORG support to the Google Contacts backend
  + Add NOTE support to the Google Contacts backend
  + Remove Google Calendar backend
  + Various fixes in the webdav addressbook.
  + Bug Fixes:
  - bgo#240317 - Allow searching in subscribe dialog
  - bgo#304415 - Allow change of signature hash algorithm
  - bgo#337479 - Evolution forgets password on any error
  - bgo#556061 - EContact/EVCard can re-order phone and email
    attributes
  - bgo#531912, bgo#566330, bgo#566354, bgo#604650, bgo#612596,
    bgo#617168, bgo#617881, bgo#618474, bgo#618578
- Changes from version 2.31.1:
  + Many imapx improvements and fixes.
  + Don't abbreviate public symbols.
  + Clean up the Google Contacts addressbook backend
  + Show deleted mails from trash and fix a crash
  + Drop the "hula" Camel provider.
  + Drop the "imap4" Camel provider.
  + Remove deprecated API from libedataserver.
  + Remove ESourceOptionMenu from libedataserverui.
  + Bug Fixes:
  - bgo#615735 - Contacts are not displayed in GW Addressbook.
  - bgo#608620 - Use CRLF in signed & encrypted S/MIME messages
  - bgo#616821 - From field missing in mail
  - bgo#580021 - Port to external libgdata
  - bgo#501140 - IMAP provider missing mnemonics
  - bgo#562595 - POP3 Delete after X days should depend on Leave
    messages
  - bnc#507423 - Message list in Inbox doesn't get refreshed
  - bgo#611646 - Calendar shows recurring birthdays incorrectly
  - bgo#514041 - Add space between categories
  - bnc#583791 - User created contact list does not behave
    reliably
  - bgo#336776 - Learning junk feedback in status bar unclear
  - bgo#614388 - Broken Delete after X days behaviour
  - bgo#610353 - Search folder with label matches on substring
  - bgo#570508 - Google Contacts does not display business phone
  - bgo#567000 - [IMAP] Renaming folder generates errors
  - bgo#518876 - Does not display recent messages in nntp
  - bgo#418502 - Evolution causes gpg stale locks
  - bgo#549221 - Deleted E-Mails re-appear in Evolution client
  - bnc#549225 - Evlution client does not update status of
    messages in the GroupWise Post Office
  - bgo#617263, bgo#545505, bgo#616819, bgo#615246, bgo#616318,
    bgo#603773, bgo#615776, bgo#608766, bgo#615290, bgo#253510,
    bgo#593843, bgo#538793, bgo#325121, bgo#261087, bgo#611247,
    bgo#520233, bgo#614056
- Disable evolution-data-server-shared-nss-db.patch, needs rebase.
- Add libgdata-devel BuildRequires.
- Rebase dice-eds-changes.patch.
* Thu Apr 29 2010 lakhil@novell.com
- Update to version 2.30.1:
  + bgo#418502 - Evolution causes gpg stale locks
  + bgo#518876 - Does not display recent messages in nntp
  + bgo#520233 - Crash in imap_body_decode at
    camel-imap-utils.c:979
  + bgo#562595 - POP3 Delete after X days should depend on Leave
    messages
  + bgo#567000 - [IMAP] Renaming folder generates errors
  + bgo#570508 - Google Contacts does not display business phone
  + bgo#603773 - com_err.h doesn't exist on Solaris
  + bgo#610353 - Search folder with label matches on substring
  + bgo#611646 - Calendar shows recurring birthdays incorrectly
  + bgo#611775 - IMAPX : support for folder rename
  + bgo#614388 - Broken Delete after X days behaviour
  + bgo#615290 - Fails to build with Heimdal Kerberos
  + Compare the recurrence appointments using item id rather than
    rid while fetching deltas, Rid comparision may not be fool-
    proof as default_zone can change
  + Don't leave dangling stale pointers to ECal's in the backend
  + Updated translations.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + IMAPX:
  - bgo#612121 - No UTF7 folder name encoding applied
  - bgo#612260 - Moving a message to other folder marks it as
    unread
  - bgo#612116 - Problems with separator . and namespace INBOX.
  - bgo#612388 - can't move message from a folder to another
  - bgo#612401 - cann't create folder in top hierarchy
  - bgo#611879 - 'copy folder content locally for offline'
    doesn't get remembered
  - bgo#610774 - automatic filtering doesn't work
  - bgo#611861 - Folder list does not show up immediately.
  - bgo#612534 - cann't create sub folder
  - bgo#610909 - password failure isn't reported properly
    Implement query auth types.
  - bgo#612667 - Crash in imapx_connect_to_server at
    camel-imapx-server.c:2148
  - bgo#612383 - Error while filtering message
  - Implement create folder
  - Implement folder_delete
  - Ensure inbox is subscribed if lsub is used during initial setup.
  - Implement folder subscriptions
  + bgo#604047 - Use accessor functions instead of direct access
  + bgo#613169 - Weather calendar backend links against out-of-tree
    library
  + Delete folders while syncronizing
  + Strip whitespace off strings returned from e_contact_get().
  + Sync changes before expunge
  + Hide the un-implemented preference options.
  + Create the .gnome2_private directory if it does not exist
  + Use the surrounding code style
  + Clean some relocations (E_DATA_SERVER_UI_GLADEDIR ->
    E_DATA_SERVER_UI_UIDIR)
  + Support "givenName" LDAP attribute.
  + Avoid warning about linking with a loadable module
  + Improve API documentation.
  + Build fixes.
  + Updated translations.
* Mon Mar  8 2010 dimstar@opensuse.org
- Update to version 2.29.92:
  + bgo#529331: Be able to disallow selection of a certain ESource
  + bgo#600322: assertion failed: (reply == msg) in cs_waitinfo()
  + bgo#602723: Contact list name doesn't get displayed in 'To'
    dialog
  + bgo#611125: Duplicate definition of camel-iconv.h in install
    targets
  + bgo#611355: calendar/tests/ecal/test-ecal-create-object--2 test
  + bgo#611860: Pilot calendar, todo, memo do not sync when
    timezone is set to UTC (Matt McCutchen 2)
  + bgo#611873: Make triple-clicking a shortcut for "Show Only
    This ..."
  + Locking improvements in Camel
  + Steady progress on the new IMAPX backend
  + Various cleanups for Windows support
  + Updated translations.
- BuildRequire gperf.
* Tue Feb 23 2010 dimstar@opensuse.org
- Update to version 2.29.91:
  + Bug Fixes:
  - bgo#603506 - Use thread safe
    G_DEFINE_TYPE/G_DEFINE_TYPE_EXTENDED
  - bgo#609964 -  Crash in imapx_command_expunge_done
  - bgo#574940 - Always ref returned info from
    message_info_from_uid
  - bgo#609649 - Doesn't emit cal-opened on password prompt
    cancel
  - bgo#609646 - Unset global DBus variables on destroy or
    disconnect
  - bgo#609614 -  Folder -> expunge doesn't work in imapx
  - bgo#606811 - evolution crashed in match_content_type at
    camel-folder-summary.c:5066
  - bgo#609398 -  [IMAPX] Subscriptions are not respected.
  - bgo#609390 -  search folders don't work in imapx
  - bgo#609393 -  evolution crashed when clicked on search folder
  - bgo#609375 -  Duplicate mnemonic in imapx preference
  - bgo#609310 -  IMAPX - Crasher - imapx_job_done
  - bgo#609374 -  Missing mnemonic in imapx preference
  + Other Fixes:
  - Fix distcheck error
  - Remove libglade-2.0 from libedataserverui.pc.
  - More imapx fixes
  + Updated translations.
* Mon Feb  8 2010 captain.magnus@opensuse.org
- Update to version 2.29.90:
  + Bug Fixes:
  - bgo##581604 - Permissions on mail/local folders are too open
  - bgo##602820 - Test validity of a book_view before using it in
    LDAP
  - bgo##607812 - Properly encode CalDAV URL
  + Other Changes:
  - Disable strict aliasing optimization
  - Steady progress on the new IMAPX backend
  - Fix a misspelling of "calendar"
  - Use conditional locks in camel-folder
  - Level the differences with the alternative runtime/header set
  - Fix missing LDFLAGS for imapx
  - Add gthread-2.0 to E_DATA_SERVER.
  + Translation updates
* Mon Jan 25 2010 captain.magnus@opensuse.org
- Update to version 2.29.6:
  + Bug Fixes:
  - bgo#605232 - configure.ac quoting fixes and sync with
    evolution
  - bgo#607588 - Fix leak in camel_folder_info_build()
  - bgo#602983 - Unresponsive IMAP Inbox
  - bgo#345401 - Cannot include 2 emails from same contact in To:
    dialog
  - bgo#590762 - Reocurring google calendar items are not
    changeable
  - bgo#607191 - Do not install gtk-docs that claim lower-level
    functions
  - bnc#568822 - crash caused overly large window due to
    malicious POP3 server
  - bgo#607169 - Remove space and tab trailing backspace
  - bgo#606765 - e_cal_get_timezone() broken for sync backends
  - bgo#599879 - Dbus integration with krb5-auth-dialog for
    renewing ticket when it expires
  + Other Changes:
  - Fix distcheck errors
  - Coding style and whitespace cleanups
  - Fix possible access to already freed memory in
    camel-store-summary.c
  - Update the folder count in NOOP
  - A bit less 'camel_exception_get_id called with NULL
    parameter' on console
  - Change the conditional sentences for Solaris CC support.
  - Added tests for various modules
  + Translation updates
* Mon Jan 11 2010 captain.magnus@opensuse.org
- Update to version 2.29.5:
  + bgo#550622 - Always update attachment flag on IMAP message
    fetch
  + bgo#597816 - Do not crash on incorrect parameters used in sexp
    to SQL
  + bgo#604236 - Slow GPG processing
  + bgo#605125 - Crash while trying to access ldap address book
  + bgo#605432 - Renaming source allows entering same name
  + bgo#605682 - Do not scan url in invalid UTF8 strings
  + bgo#606316 - Mail with an attachment in a Junk folder crashes
    Evo
  + Do not show the passwd in the dialog while typing
  + Steady progress on the new IMAPX backend
  + Bump libedata-cal soname from 6 to 7
  + Translation updates
* Tue Jan  5 2010 jengelh@medozas.de
- Package baselibs.conf
* Sun Dec 27 2009 vuntz@opensuse.org
- Rework packaging to make it easy to switch between using evoldap
  and not using it, with a USE_EVOLDAP define.
- Do not use evoldap right now: the evoldap package doesn't seem to
  be well-maintained.
- Remove perl-XML-Parser, sgml-skel BuildRequires.
- Remove orbit2-devel Requires of devel package.
* Thu Dec 24 2009 vuntz@opensuse.org
- Update to version 2.29.4:
  + Mailer:
  - bgo#604865 - Message part description shouldn't be translated
  - bgo#553057 - Add information about signers to a validity
    structure
  - bgo#603342 - Memory leak fixes
  - bgo#592317 - Sign S/MIME with valid certificates only
  - bgo#604305 - Attachments not properly indicated in message
    summary
  - bgo#603689 - Improper escaping of folder name
  - bgo#487988 - Bad search filter for LDAP address book
  + Calendar:
  - bgo#603437 - Fixes for valgrind reports on e-calendar-factory
  - bgo#602945 - Avoid code duplication with timezone fetching
    from backends
  + Contacts:
  - bgo#601513 - Crashes when trying to add a new contact in MAPI
  + Misc:
  - bgo#604550 - e_passwords_shutdown is buggy password_cache is
    destroyed without properly acquiring the lock.
  - bgo#603770 - Replace __PRETY_FUNCTION__ with G_STRFUNC
  - bgo#603772 - Include e-data-server-ui-marshal.list in
    tarballs
  + Other Changes:
  - Get the prototype for strptime() when it's available  Instead
    of only getting it on Linux.
  - Also use nl_langinfo()
  - In the factories, don't double-free some memory (and crash)
    when the DBus service name owner changes.
  - Fixes a crash in select - imapx.
  - Sync up the store summary and rename labels for backward,
    thunderbird compatibility - imapx
  - Get rid of rest of the warnings.
  - Initialize the uidset before sync user flags.
  - Sync the changes - imapx.
  - Lock the search.
  - Create a new me-card in e_book_get_self() if one doesn't
    exist
  + Updated translations.
* Wed Dec 23 2009 vuntz@opensuse.org
- Change gnome-keyring-devel BuildRequires and Requires to
  libgnome-keyring-devel, following the module split upstream.
* Tue Dec  1 2009 dimstar@opensuse.org
- Update to version 2.29.3:
  + For the entire list of changes, see NEWS file.
- Rebase evolution-data-server-shared-nss-db.patch and
  dice-eds-changes.patch
- No longer carry a evolution-data-server wrapper script.
- Remove libbonobo-devel BuildRequires.
- Workaround en@shaw not being owned by filesystem, bnc#559206.
- Dropped evolution-data-server-1.11.5-cert-auth-complete.patch,
  bnc-304835-ex-crash-after-restart.patch and
  bnc-307861-calendar-auth.diff; they had no future upstream.
- Remove gnome-certauth-devel BuildRequires and Requires.
- Move libexecdir from libdir to libexecdir
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0
  + Notable changes:
  - Better Calendar cache
  - Improved Caldav support
  - Converstaion threading support for GroupWise
  + Calendar:
  - bgo#494394 - Check backends with their uri too forward compat
  + Mailer:
  - bgo#592310 - Adds an environment variable to skip summary
    check
  + Updated translations.
* Wed Sep  9 2009 dimstar@opensuse.org
- Update to version 2.27.92:
  + Mailer:
  - bgo#350007 - evolution busy-waits on GPG signing operations
  - bgo#578910 - Fixes problem of missing migration for left out
    folders
  + Other fixes:
  - Show filename in password file load/save warnings
  - Paste of e-mail always goes to the left most position
  - Expand <group> inline adds control codes
  - vee_rebuild_folder() code cleanup and adding comments
  + Updated translations.
* Fri Sep  4 2009 riggwelter@opensuse.org
- bnc#481001: Requires libical0 >= 0.43
* Mon Aug 24 2009 dimstar@opensuse.org
- Update to version 2.27.91:
  + Mailer:
  - bgo#350007 - evolution busy-waits on GPG signing operations
  - bgo#571206 - Index files on Maildir accounts are not updated
    on move
  - bgo#590044 - Drop index on all columns of sqlite database
  - bgo#592310 - Deadlock in maildir provider after doing expunge
  + Miscellaneous:
  - bgo#591324 - Cosmetic changes and fixes in configure.ac
  - bgo#591326 - Keep m4 macros in their own folder
  - bgo#591377 - Fails to detect krb5 in configure with
  - as-needed
  + Other fixes:
  - Updated the macros from latest gtk-doc.m4
  + Updated translations
- Drop evolution-data-server-krb5-as-needed.patch, upstreamed.
- Use gnome-autogen.sh to reconfigure instead of intltool, automake
  and autoconf.
* Mon Aug 10 2009 dominique-obs@leuenberger.net
- Update to version 2.27.90:
  + Calendar:
  - bgo#579965 - calendar file backend, update 'LAST-MODIFIED'
    when removing a recurring event instance
  - bgo#589985 - eds crash trying to create an event.
  + Mail:
  - bgo#511283 - Some imags do not display in Evolution mail
    reader
  + Miscellaneous:
  - bgo#590697 - Build regression detecting com_err.h
  - bgo#589388 - Build fixes / enhancements for EDS
  + Other Fixes:
  - Enforce including only top-level GLib and GTK+ headers
  + Updated translations.
- Added evolution-data-server-krb5-as-needed.patch
* Fri Jul 31 2009 vuntz@novell.com
- Correctly comment out patch that needs rebasing.
* Wed Jul 29 2009 dominique-obs@leuenberger.net
- Update to version 2.27.5:
  + Address Book:
  - bgo#587558 - Removing a picture of a contact in an LDAP
    addressbook crashes evolution
  - bgo#589325 - Evolution Contacts reports ambiguous error on
    Google Contacts authentication failure with bad password
  + Calendar:
  - bgo#572176 - Allow local iCal files to be selected as
    calendar source
  - bgo#586342 - CalDAV backend does not support attachments
  - bgo#588857 - CalDAV for Google calendars should allow email
    notifications
  + Mail:
  - bnc#524219 - Unable to read forward groupwise mails in other
    clients
  - bgo#588220 - Evolution crashed when starting with local
    account configured
  - bgo#588573 - NULL string comparison in
    camel-search-sql-sexp.c
  + Miscellaneous:
  - bgo#583374 - The broken Google calendar import should be
    replaced by the working CalDAV support
  - bgo#588277 - Unnecessary special-purpose configure flag
  + Other Fixes:
  - Handle quota error messages
  - Return the proper timezone to get the counts right in all
    timezones.
  - CamelVeeFolder - pass exceptions to functions instead of NULL
  - Migrate caldav, groupwise, http, weather backends to
    ECalBackendStore.
* Thu Jul 23 2009 dominique-obs@leuenberger.net
- Update to version 2.27.4:
  + Addressbook:
  - bgo#540779 - Do not call e_book_new in the main thread
  - bgo#563668 - Do not pop-down an empty completion list
  - bgo#586225 - Parse numeric name suffixes
  + Calendar:
  - bgo#548702 - google calendar source does not show all events
  - CalDav Fixes/improvements
  + Mail:
  - bgo#575701 - Message disappear from unread vfolder on reply
  - bgo#568302 - create camel summary table if not exists on load
  - bgo#586602 - folder messages are lost on folder rename
  - bgo#327285 - Word "Success" in error message for failed
    action
  - bgo#587699 - IMAP - Localize only Inbox folder name, no other
  - bgo#579065 - IMAP - Synchronize remote mail locally is not
    working
  - bgo#564388 - UI blocks for a long time when downloading mails
    with nntp
  + Misc:
  - bgo#586442 - Various build cleanups
  - bgo#586477 - Fix quoting in configure.ac
  - bgo#586811 - Require automake 1.9 and fix whitespace
  - bgo#586813 - Fix iconv cflags/libs in configure.ac
  - bgo#586809 - Enable "silent rules" automake 1.11 option
  - bgo#587165 - Double free in initialize_categories
  - bgo#587374 - iconv test broken on some gcc
  - Use G_BEGIN_DECLS / G_END_DECLS macros
  - Work around deprecation of g_mapped_file_free()
  - Silence some compiler warnings
  - Fixes for windows build
- Changes from version 2.27.3:
  + bgo#583507 - Fix for evolution hang while updating search
    folder.
  + bgo#585327 - Attaching a message via drag and drop doesn't work
    for GW provider
  + bgo#266678 - Renaming LDAP contacts CN breaks DN
  + bgo#580198 - IMAP offline mode improvement
  + bgo#584797 - Do not set internal SQLite3 structures on error
  + bgo#580212 - Report errors in CamelException when verifying
    signature
  + bgo#559345 - Support CalDAV free/busy extension
  + bgo#337082 - Do not return folders with empty names
  + bgo#584101 - Configure fails with kerberos and
    LDFLAGS="-Wl,--as-needed"
  + bgo#584030 - New API function for ESourceSelectorDialog
  + bgo#583344 - do not leak pipe handles
  + bgo#562015 - CalDAV - Store CTag in a cache
  + bnc#506265 - do not reset the meeting date to delivered date
  + bgo#583528 - Hints of missing mails in Gw
  + bgo#582643 - Deleted mails are not immediately synced
  + bgo#543069 - Support detached instances in CalDAV
  + bgo#559980 - Harden WebDAV contact backend by checking for etag
    being NULL
  + Other Fixes:
  - Support for header based threading in GroupWise provider
  - Compiler warnings and white space cleanup
  - Correctly dispose the source in EBookBackend. Code cleanup
  - Instead of duplicating libgnome function, use corresponding
    glib functions
  - Make the backend factory type const
  + Updated translations
- Upstreamed Patches:
  + eds-comp-percent.diff
- Rebased Patches:
  + dice-eds-changes.patch
- Patch needs rebase:
  + bnc-210959-eds-accept_ics.patch
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + bgo#549094 – provider_table might not be initialized in
    camel_provider_list
  + bgo#576413 – Cannot delete multiple categories at once
  + bgo#579176 – crashes when accepting meeting invitation
  + bgo#579360 – Problem with vfolders in latest svn trunk version
  + bgo#580154 – Use e_data_book_view_{ref,_unref} transition
    functions
  + bgo#580419 – Remove deprecated libgnome dependency
  + bgo#581420 – Cannot retrieve html images on Solaris
  + bgo#581424 – Personal folder tree appears besides Public folder
    when you go to Folder > Subscription
  + bgo#582110 – build: dolt has some link issues with library
    dependency
  + bnc#184554 – multiple groupwise open notices
  + bnc#494490 – Fixes a crash while moving messages twice
  + bnc#498712 – meetings are not deleted properly sometimes
  + bnc#498745 – Read/Unread count is not syncronized properly
  + bnc#499105 – do not update the server utc time when the
    calendar opens
  + bnc#500133 – show mails with same subject in a single thread
- Respin bnc-210959-eds-accept_ics.patch and
  evolution-data-server-shared-nss-db.patch.
- Remove libgnome-devel BuildRequires and from Requires of devel
  package.
- Add libbonobo-devel BuildRequires.
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.27.1:
  + bnc#480091 - Crash From Filters Moving To Sub-Folders
  + bnc#477697 - Evolution GroupWise Sender column is blank
  + bgo#576424 - Do not unref object twice and treat icalcomponent
    as it, not as icaltimezone.
  + bgo#573187 - Do not leak unchanged components.
  + bgo#569700 - Disconnect properly on a failure
  + bgo#564465 - Pass correct body for signature verification
  + bgo#573880 - Properly encode given uri before using it
  + bgo#571677 - Do not duplicate timezones in a file on open
  + bgo#575084 - Check for actual SQLite3 version in runtime
  + bgo#577002 - Do not leak ".ev-journal" file handles
  + bgo#574522 - Free list's members of e-proxy properly
  + bnc#241604 - Fixes monthly recurring appointments to be created
    on correct dates
  + bnc#471083 - Do not allow deletion of system folders
  + bnc#488632 - Fixes the number of instances created on server
  + bgo#561312 - Need not merge master event dates as evo handles
    it now
  + bgo#573205 - Use the util function to load the system timezone
    if its not
  + bgo#556116 - support for unmatched search folder
  + bgo#578823 - fixed a wrong condition
  + bgo#578210 - fix the code to handle re-entrant problem
  + bgo#578817 - fixed potential invalid dereference
  + bgo#578822 - fixed potential invalid dereference
  + bgo#578818 - only do closedir() if directory is not NULL
  + bgo#343505 - Make Search ignore accents for address book
    summary searches
  + bgo#381132 - Allow getting system timezone information in
    libecal
  + bgo#552583 - Compare URLs only on protocol, user, host and port
    for smtp and pop3
  + bgo#569652 - Deprecate e_source_list_peek_group_by_name
  + bgo#571206 - Index files on Maildir accounts are not updated
  + bgo#563954 - Define camel_folder_cmp_uids to compare UIDs
    properly
  + bgo#478239 - Unset attachment icon if no attachment found
  + bgo#575773 - Set new object properly on object modify in a file
    calendar backend
  + bgo#553932 - Ask calendar on a readonly state after changing
    its mode
  + bgo#567731 - Redundant declarations in camel-folder-summary.h
  + bgo#577485 - CRL strings suck: explain the abbrevation
  + bgo#572977 - Use g_strerror() instead of strerror()
  + bgo#577491 - "mailbox:%%s (%%s)" typo
  + bgo#573170 - Add back support for vfolder of vfolders
  + Updated translations.
* Wed Apr 15 2009 vuntz@novell.com
- Update to version 2.26.1.1:
  + bgo#556116 – unmatched search folder missing
- Do not ship empty README and AUTHORS.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + bnc#477697: Evolution GroupWise Sender column is blank
  + bnc#480091: Crash From Filters Moving To Sub-Folders
  + bgo#564465: Pass correct body for signature verification
  + bgo#569700: Disconnect properly on a failure
  + bgo#571677: Do not duplicate timezones in a file on open
  + bgo#573187: Do not leak unchanged components
  + bgo#573880: Encode only path and use SoupURI to do this
  + bgo#574522: Crash while authenticating to the exchange server
  + bgo#575084: Check for actual SQLite3 version in runtime to call
    xCheckReservedLock with correct number parameters
  + bgo#576424: Do not unref object twice and treat icalcomponent as it is
  + bgo#577002: Do not leak ".ev-journal" file handles
- Remove AutoReqProv: it's default now.
* Mon Mar 16 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Bugs Fixed: bgo#569108, bgo#574282, bgo#573870, bgo#574282,
    bgo#465364, bgo#479908, bgo#573198, bgo#564465, bgo#572179,
    bgo#534938
  + Updated translations
- Drop bnc-463653-msg-list-meeting-time.patch: fixed upstream.
* Fri Mar  6 2009 vuntz@novell.com
- Update to version 2.25.92:
  + Bugs Fixed: bgo#266147, bgo#273233, bgo#477535, bgo#534938,
    bgo#555888, bgo#563212, bgo#567008, bgo#567861, bgo#569459,
    bgo#570653, bgo#570696, bgo#570765, bgo#571046, bgo#571726,
    bgo#571761, bgo#572268, bgo#572566, bgo#572950, bgo#573175,
    bgo#573240, bgo#573497, bgo#566984, bgo#573183, bgo#573494,
    bgo#549838
  + Other contributions:
  - AC_HELP_STRING instead of AS_HELP_STRING
  - Add a "no space" error
  - Add e_contact_field_id_from_vcard()
  - Add EVC_X_SIP and E_CONTACT_SIP
  - Comment too recent error codes
  - Fix -Wold-style-definition warnings
  - Handle EContactName structures containing NULLs
  - Move e_book_view_set_book to -private
  - Recompute digests from the signed message content
  - Some help comments for the future maintainers
  - Include <libical/ical*.h>
  - Use correct server parameter for getting folder information
  + Updated translations.
- Remove -fno-strict-aliasing from compilation flags.
* Wed Feb 18 2009 msuman@suse.de
- Update to version 2.25.91:
  + Bugs fixed: bgo#266147, bgo#534938, bgo#555888, bgo#567861,
    bgo#569459, bgo#570653, bgo#571726, bgo#571761
  + Updated translations
- Remove option -DLDAP_DEPRECATED to CFLAGS, it is already
  specified internally upstream.
- Remove the MONO_PATH from the script.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Tue Feb 10 2009 vuntz@novell.com
- Remove non-upstream translations: they'll get out-of-date.
* Thu Feb  5 2009 vuntz@novell.com
- Remove compilation flags that were added: those should really
  used upstream, and not in a distribution.
* Wed Feb  4 2009 msuman@suse.de
- Update to version 2.25.90:
  + Libical fork in evolution-data-server is dropped. Upstream
    libical is an external dependency now.
  + Bugs fixed: bgo#303738, bgo#360813, bgo#501298, bgo#518920,
    bgo#554182, bgo#557348, bgo#562200, bgo#564339, bgo#564543,
    bgo#564954, bgo#566279, bgo#565376, bgo#567384, bgo#390198,
    bgo#557348, bgo#568332, bgo#568561, bgo#569405, bgo#569742,
    bgo#569874, bgo#347287, bgo#550414, bnc#435599, bnc#439986,
    bnc#443296, bnc#443544, bnc#463095, bnc#464758, bnc#464878,
    bnc#467075, bnc#467638, bnc#470143
  + Updated translations
- Dropped these patches already fixed upstream:
  + bnc-435599-junk-contacts-created.patch
  + bnc-439986-show-time-free.patch
  + bnc-442507-imap-parts-sync.patch
  + bnc-443544-eds-free-busy.patch
  + bnc-458127-keyboard-shortcut-port.patch
  + bnc-463095-content-info-from-db.patch
* Mon Jan 12 2009 mauro@suse.de
- Translations update.
* Sat Jan 10 2009 msuman@suse.de
- Pruning changes from the factory submission:
  + Dropped these patches already fixed upstream:
    + bgo-559153-eds-migration.patch
    + bnc-440265-gw-contacts.patch
    + bnc-455939-eds-deadlock.patch
    + bnc-209514-gw-missing-mails.patch
    + bnc-446290-gw-counts-issues.patch
    + bnc-462575-gw-refresh-folders.patch
    + bnc-448079-gw-memory-issues.patch
* Wed Jan  7 2009 abharath@suse.de
- Patches added
  + bgo#559153 - bgo-559153-eds-migration.patch - Migration patches
  in EDS.
  + bnc#440265 - bnc-440265-gw-contacts.patch - Groupwise Address
  Book Contact Lists Are Not Saved.
  + bnc#442507 - bnc-442507-imap-parts-sync.patch - Folder index
  creation after crash takes ages.
  + bnc#455939 - bnc-455939-eds-deadlock.patch - Disconnecting from
  the network caused e-d-s deadlock ...
  + bnc#443544 - bnc-443544-eds-free-busy.patch - Evolution busy
  search on GW resource object does not display
  unavailable times.
  + bnc#209514 - bnc-209514-gw-missing-mails.patch - Evolution
  Groupwise missing mails.
  + bnc#446290 - bnc-446290-gw-counts-issues.patch - GW Parallel
  clients & (un)read counts problems.
  + bnc#458127 - bnc-458127-keyboard-shortcut-port.patch - No
  keyboard short cut for SOAP port in Evolution.
  + bnc#462575 - bnc-462575-gw-refresh-folders.patch - "Check for
  new messages in all folders" setting for GW SOAP.
  + bnc#448079 - bnc-448079-gw-memory-issues.patch - evolution
  2.24.1.1 is very unstable
  + bnc#463095 - bnc-463095-content-info-from-db.patch - Evolution
  hangs on "Generating message list..."
  + bnc#439986 - bnc-439986-show-time-free.patch - Show Time As Free
  Option Doesn't Immediately Refresh Calendar.
  + bnc#463653 - bnc-463653-msg-list-meeting-time.patch - Evolution
  displays the wrong time for an appointment in the
  message list.
* Tue Jan  6 2009 msuman@suse.de
- Update to version 2.25.4:
  + Bugs fixed: bgo#446290, bgo#559153, bgo#564652, bnc#209514,
  bnc#448079, bnc#449916, bnc#462575
  + Updated translations
- Dropped this patch fixed upstream:
  + bnc-449916-task-memo-description.patch
* Tue Dec 23 2008 msuman@suse.de
- Update to version 2.25.3
  + Bugs fixed: bgo#359745, bgo#524377, bgo#527692, bgo#531090,
    bgo#546637, bgo#555979, bgo#556119, bgo#557348, bgo#557818,
    bgo#558322, bgo#558737, bgo#558883, bgo#559272, bgo#560076,
    bgo#560185, bgo#560681, bgo#560981, bgo#561069, bgo#561466,
    bnc#435964, bgo#270376, bgo#348299, bgo#352287, bgo#357948,
    bnc#435632, bnc#440265, bnc#447121, bgo#451734, bgo#503662,
    bgo#545834, bgo#552986, bgo#558883, bgo#561081, bgo#561561,
    bgo#562228, bgo#562567
  + Updated translations
- Dropped these patches fixed upstream:
  + bgo-562228-eds-mailbox-field.patch
  + bnc-431133-unread-mail-empty.patch
  + bnc-435632-moving-contacts-crash.patch
  + bnc-438730-loosing-more-state.patch
  + bnc-440265-list-not-saved.patch
  + bnc-441347-imap-performance-fix.patch
  + bnc-441542-fix-translock.patch
  + bnc-441763-show-meeting-icon.patch
  + bnc-446269-moving-emails-broken.patch
  + bnc-446371-fix-completed-on.patch
  + bnc-446372-fix-empty-trash.patch
  + bnc-446373-fix-refresh-vfolderquery.patch
  + bnc-447121-gw-memory-crasher.patch
  + eds-core-mapi-changes.diff
- Added libgweather-devel to the list of BuildRequires
* Thu Dec  4 2008 abharath@suse.de
- Patches added
  + bnc#440265 - bnc-440265-list-not-saved.patch - Groupwise
  Address Book Contact Lists Are Not Saved.
  + bnc#447121 - bnc-447121-gw-memory-crasher.patch - gwise:
  memory corruption crasher.
  + bnc#449916 - bnc-449916-task-memo-description.patch - Loss of
  data in Messages related to shared memos and
  Assigned tasks.
  + bgo#562228 - bgo-562228-eds-mailbox-field.patch - Login to
  exchange fails if "mailbox" is filled manually in
  the config wizard.
  + bnc#435632 - bnc-435632-moving-contacts-crash.patch - Evo
  crashed moving contacts to a different addressbook
* Fri Nov 21 2008 pchenthill@suse.de
- eds-comp-percent.diff : Adds wrapper function to get percentage
  complete for tasks. Required for sharepoint connector.
* Thu Nov 20 2008 abharath@suse.de
- Patches added
  + bnc#431133 - bnc-431133-unread-mail-empty.patch - Mail opened
  from the "Unread mails" displays empty.
  + bnc#435599 - bnc-435599-junk-contacts-created.patch - Junk
  contacts getting created.
  + bnc#441347 - bnc-441347-imap-performance-fix.patch - Evolution
  2.24 is terribly slow with large IMAP folders.
  + bnc#441542 - bnc-441542-fix-translock.patch - Evolution Hang.
  + bnc#446269 - bnc-446269-moving-emails-broken.patch - moving
  emails is broken.
  + bnc#446371 - bnc-446371-fix-completed-on.patch - Follow-Ups
  doesn't work.
  + bnc#446372 - bnc-446372-fix-empty-trash.patch - Evolution
  crashed while expunging junk messages.
  + bnc#446373 - bnc-446373-fix-refresh-vfolderquery.patch - Search
  folder "Include threads" setting is unreliable.
  + bnc#210959 - bnc-210959-eds-accept_ics.patch - Receving meeting
  request from the Personal source should work in
  groupwise connector.
  + bnc#438730 - bnc-438730-loosing-more-state.patch - mailer:
  loosing more state
* Mon Nov 17 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Fri Nov  7 2008 psankar@suse.de
- Push 2.24.1.1 tarball
  + Bugs fixed:
    bgo#532136, bgo#555979, bgo#556119, bgo#558727, bgo#558737, bgo#558883,
    bnc#209514, bnc#372382, bnc#434946, bnc#434950, bnc#434958,
    bnc#435725, bnc#435727, bnc#435964, bnc#440502
  + Updated Translations
- bnc-441763-show-meeting-icon.patch (Sankar) - Show different
  icons for meetings in message list
- dice-eds-changes.patch (Chenthill) - EDS changes for DICE integration
* Fri Oct 31 2008 msuman@suse.de
- Invoke the binaries from a script which sets the library path
  for picking the LDAP libraries.
* Wed Oct 29 2008 maw@suse.de
- Make the -devel subpackage require nss-shared-helper-devel.
* Tue Oct 28 2008 maw@suse.de
- Reorder the list of build requirements
- Tag eds-core-mapi-changes.diff
- Run autotools before running configure.
* Mon Oct 27 2008 aj@suse.de
- The package is called libevoldap-2_4-2.
* Mon Oct 27 2008 kukuk@suse.de
- Requires to evoldap2-devel should be libevoldap2 for main package
  [bnc#439152].
* Mon Oct 27 2008 hpj@novell.com
- Add evolution-data-server-shared-nss-db.patch, which lets us
  migrate to new, shared NSS database and location.
* Sat Oct 25 2008 msuman@suse.de
- Use evoldap2-client only for SUSE versions above 11.0, fallback to
  openldap2-client for the older versions.
- Use proper RPM macros in the spec file, clean up spec file to reduce the
  number of warnings generated by rpmlint.
- Dropped the following patches:
  + evolution-data-server-configure.patch - not required anymore.
  + bnc-164367-gw-attachments-appts-throw-error.patch. Fixed upstream.
  + bgo-530514-check-to-handle-specific-server-response.diff. Fixed upstream.
  + libgnomeui-dep.patch - not required anymore, SUSE has moved away from
    /opt/gnome
* Fri Oct 24 2008 msuman@suse.de
- Update to version 2.24.1
  + Bugs fixed: bgo#337479, bgo#364542, bgo#497928, bgo#511947,
    bgo#514670, bgo#537718, bgo#544141, bgo#546406, bgo#546637,
    bgo#547243, bgo#550466, bgo#550998, bgo#552261, bgo#552631,
    bgo#553266, bgo#553298, bgo#553301, bgo#553944, bgo#554455,
    bgo#554540, bgo#556372, bgo#556495, bgo#556688
  + Updated translations.
- Fix the prefix for NTLM patched OpenLDAP, also specify explicit
  dependency on evoldap2-devel.
- Remove evolution-data-server-gw-no-network.patch. Fixed upstream.
- Remove evolution-data-server-thread-search.patch. Fixed upstream.
- Add eds-core-mapi-changes.diff: This contains changes in the core
  code base for the MAPI provider.
* Wed Oct  8 2008 sbrabec@suse.cz
- Fixed broken Advanced search->Include threads (bgo#554455).
* Fri Oct  3 2008 mboman@suse.de
- Update to version 2.24.0:
  + Google Contacts Backend
  + WebDAV Contacts Backend
  + Sqlite based on-disk summary for Camel
  + Quota support for IMAP
  + bnc#418080: Match contains using %%like%%
  + bgo#551805: Honour return data type
  + bgo#552724: Remove a while space following trailing backslash.
  + bgo#552729: Adds support for x-camel-mlist & Answered flag to
    search/vfolders.
  + Translation updates
- Remove evolution-data-server-updates.patch. Fixed upstream
- Remove evolution-data-server-db-fixes.patch. Fixed upstream
* Fri Oct  3 2008 sragavan@suse.de
- Make sure that Evolution/friends use evoldap2-client
* Wed Sep 24 2008 sbrabec@suse.cz
- Fixed GroupWise crash if network is down (bgo#337479).
* Wed Sep 17 2008 maw@suse.de
- Add evolution-data-server-db-fixes.patch.
* Tue Sep 16 2008 maw@suse.de
- Add evolution-data-server-updates.patch, which comprises the
  diff between r9505 and r9557 in GNOME SVN
- Drop evolution-data-server-show-sexp.patch and
  evolution-data-server-sql-percents.patch.
* Tue Sep  9 2008 maw@suse.de
- Add evolution-data-server-sql-percents.patch (even more work on
  bnc#418080).
* Tue Sep  9 2008 maw@suse.de
- Build with evolution-data-server-show-sexp.patch.
* Mon Sep  8 2008 maw@suse.de
- Update to version 2.23.92:
  + More work on bnc#418080, improvements in the sexp/sql machinery
  + Bugs fixed: bgo#547884, bgo#548343, and bgo#550412
  + Updated translations
- Drop evolution-data-server-sexp-to-sql-fixes.patch, which has
  been upstreamed.
* Wed Sep  3 2008 maw@suse.de
- Add evolution-data-server-sexp-to-sql-fixes.patch (more work
  on bnc#418080).
* Tue Sep  2 2008 maw@suse.de
- Update to version 2.23.91:
  + Bugs fixed: bgo#213072, bnc#391936, bnc#418080 (more work),
    bgo#466754, bgo#518728, bgo#546926, bgo#548331, bgo#548565,
    bgo#548865, and bgo#550072
  + Updated translations.
* Thu Aug 21 2008 maw@suse.de
- Update to version 2.23.90.1:
  + Bugs fixed: bgo#548331 and possibly bnc#418080.
* Mon Aug 18 2008 maw@suse.de
- Update to version 2.23.90:
  + Bugs fixed, bgo#207728, bgo#324203, bgo#327851, bgo#337503,
    bgo#510949, bgo#510949, bgo#523103, bgo#531930, bgo#535745,
    bgo#538074, bgo#545021, bgo#545877, bgo#546397, bgo#546444,
    bgo#546544, bgo#546613, bgo#547256, bgo#547308, bgo#547389,
    bgo#547469, bgo#547786, bgo#547952, and bgo#548059
  + Updated translations.
* Tue Aug  5 2008 maw@suse.de
- Update to version 2.23.6:
  + Camel DB Summary support; rewrite camel search by converting
    sexp to sql (Srinivasa Ragavan)
  + Google Contacts support
  + WebDAV Contacts backend
  + Improvements in the Camel reference manual
  + Bugs fixed: bgo#236010, bgo#543066, bgo#200147, bgo#213072,
    bgo#253509, bgo#329571, bgo#330838, bgo#334160, bgo#340838,
    bgo#476640, bgo#503922, bgo#515998, bgo#528902, bgo#531712,
    bgo#532472, bgo#534080, bgo#537415, bgo#539758, bgo#540127,
    bgo#540152, bgo#541347, bgo#543656, bgo#336074, bgo#349870,
    bnc#388966, bgo#468671, bgo#500389, bgo#538620, bgo#540295,
    bgo#543569, bgo#543943, bgo#544031, bgo#544049, bgo#544114,
    bgo#544284, bgo#544491, bgo#544501, bgo#544528, bgo#544651,
    bgo#544825, bgo#544963, bgo#545022, bgo#545081, bgo#545082,
    bgo#545099, bgo#545103, and bgo#545558
  + Updated translations.
* Fri Jun 20 2008 maw@suse.de
- Update to version 2.23.4:
  + Configurable proxy settings
  + Quota support for IMAP
  + Google contact API support in libgdata-google
  + A lot of IMAP4 improvements
  + Use new paths for header files that have been moved to
    libebackend
  + Use "dialog-password" icon instead of "dialog-question" in the
    password dialog (HIG compliance)
  + Bugs fixed: bnc#394654, bgo#304029, bgo#509721, bgo#521921,
    bgo#527544, bgo#530241, bgo#534080, bgo#534111, bgo#536154,
    bgo#536636, bgo#318803, bgo#326149, bgo#354923, bgo#374616,
    bnc#388579, bgo#473658, bgo#518312, bgo#530514, bgo#530543,
    bgo#530763, bgo#531009, bgo#531439, bgo#531591, bgo#531713,
    bgo#532286, bgo#533058, bgo#533780, bgo#534077, bgo#534294,
    bgo#534312, bnc#182380, bgo#274316, bgo#301980, bgo#316390,
    bgo#325882, bgo#330990, bnc#338330, bgo#347061, bnc#350143,
    bnc#358584, bnc#358644, bnc#358650, bnc#381307, bnc#382736,
    bgo#424744, bgo#502899, bgo#517244, bgo#520532, bgo#530139,
    bgo#530323, bgo#530688, bgo#532284, bgo#235681, bgo#257361,
    bgo#270406, bgo#271863, bgo#274316, bgo#303067, bgo#341004,
    bgo#369512, bnc#372383, bgo#417000, bgo#453109, bgo#473880,
    bgo#475616, bgo#494311, bgo#500389, bgo#514300, bgo#514827,
    bgo#516608, bgo#518710, bgo#518886, bgo#520526, bgo#521015,
    bgo#522389, bgo#522433, bgo#523023, bgo#523126, bgo#523528,
    bgo#523533, bgo#523541, bgo#523630, bgo#518656, bgo#524324,
    bgo#524704, bgo#525242, bgo#525485, bgo#526138, and bgo#526741
  + Updated translations
- Drop obsolete patches: bnc-188523-eds-fix-authenticated-proxy-support.diff,
  bnc-388579-ical-fix-for-exch.patch, bgo-532284-gw-double-free.patch,
  bgo-533058-gw-debug-logs.patch, bgo-530543-leak-while-syncing-mails-for-offline.diff,
  bgo-531009-right-iterator-to-prevent-crash-in-offline-mail.diff,
  and bnc-394654-eds-crasher.patch
- Respin following patch:
  bgo-530514-check-to-handle-specific-server-response.diff.
* Mon Jun  2 2008 abharath@suse.de
- Added
  + bnc#394654 - bnc-394654-eds-crasher.patch: EDS crasher (Chenthill)
* Wed May 21 2008 msuman@suse.de
- Added
  + bgo-530514-check-to-handle-specific-server-response.diff (Sankar P)
  + bgo-530543-leak-while-syncing-mails-for-offline.diff (Sankar P)
  + bgo-531009-right-iterator-to-prevent-crash-in-offline-mail.diff (Sankar P)
* Wed May 14 2008 psankar@suse.de
- Removed: bnc-152070-eds-crash.patch
- Removed: eds-compiler-warning.patch
- Removed: evolution-data-server-abuild.patch
- Removed: bnc-163982-system-hang-with-126-error-popups.patch
- Removed: ical-fix-for-exchange-crasher.diff
- The above patches are no longer needed
  as the tarball has these patches within.
- Added: bgo-533058-gw-debug-logs.patch - Enable Debug logs for GroupWise (Sankar)
- Added: bnc-388579-ical-fix-for-exch.patch - ical fixes for exchange (Chenthill)
- Enabled Kerberos 4: FATE id: 301476
* Thu May  8 2008 psankar@suse.de
- Push 2.22.1.1 tarball
- No crypto changes
- ical-fix-for-exchange-crasher.diff: Contains fixes for a crasher in ical (Chen)
- bgo-532284-gw-double-free.patch: Fixes a double free in GroupWise
- Tarball contains fixes for the bgo bugs as follows:
  [#274316]: Also copy user tags when copying messages between folders (Milan Crha)
  [#338330]: (Novell Bugzilla) Internet Based Calendar Events Are Declined By Evolution/GroupWise (Chenthill Palanisamy)
  [#350143]: (Novell Bugzilla) Fix a severe memory leak in evolution-data-server (Chenthill Palanisamy)
  [#358584]: (Novell Bugzilla) Display of web calendars ignores timezones (Chenthill Palanisamy)
  [#358644]: (Novell Bugzilla) Retracted groupwise appointments should disappear as soon as they are retracted. (Chenthill Palanisamy)
  [#358650]: (Novell Bugzilla) International clock applet is crashing (Chenthill Palanisamy)
  [#381307]: Run a single delta-thread to fetch changes from the server, instead of spawning multiple threads (Ashish Shrivastava)
  [#473880]: Fixed a few compiler warnings (Suman Manjunath)
  [#475616]: Use recursive mutex (Milan Crha)
  [#502899]: Fix a crash (Milan Crha)
  [#514300]: Make sure we do the Inbox -> INBOX translation at the right place (Christian Kellner)
  [#520532]: Support migration from password file to keyring (Matthew Barnes)
  [#529339]: Fixed a crash when searching with an expression (Milan Crha)
  [#530139]: Do not ship .svn files (Matthew Barnes)
  [#530323]: Don't free the same variable twice (Sebastien Bacher)
  Load addressbook conditionally (Srinivasa Ragavan)
* Wed May  7 2008 schwab@suse.de
- Use autoreconf.
* Thu Apr 10 2008 maw@suse.de
- Update to version 2.22.1:
  + Bugs fixed: bgo#524704, bgo#521015, bgo#520526, bgo#522433,
    bgo#525485, bgo#523528, bgo#372383, bgo#522389, bgo#500389,
    bgo#523023, bgo#494311, bgo#523126, and bgo#303067
  + Updated translations
- Drop bgo-522389-e-gw-connection-get-attachment-corruption.patch
- Annotate bnc-188523-eds-fix-authenticated-proxy-support.diff,
  and fix other annotations' formatting.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Apr  9 2008 msuman@suse.de
- Configurable proxy settings for Evolution (Varadhan)
  + Added patch bnc-188523-eds-fix-authenticated-proxy-support.diff (bnc#188523)
  + Removed patch bnc-174255-honour-system-proxy-settings.patch since
    added patch includes those changes as well.
* Wed Mar 26 2008 sbrabec@suse.cz
- Fixed GroupWise attachment crash on x86_64 (bgo#522389).
* Fri Mar 14 2008 maw@suse.de
- Update to versoin 2.22.0:
  + Bugs fixed: bgo#327851, bgo#518728, and bgo#520362
  + Minor API doc updates
  + Updated translations.
* Wed Mar 12 2008 pchenthill@suse.de
- Updated the tags in the spec file.
* Tue Mar  4 2008 maw@suse.de
- Update to version 2.21.92:
  + Bugs fixed: bnc#163982, bnc#164140, bgo#167638, bnc#183819,
    bgo#445489, bgo#459468, bgo#469119, bgo#489043, bgo#489810,
    bgo#510949, bgo#514836, bgo#516074, bgo#516408, bgo#516474,
    bgo#517190, and bgo#517885
  + Fix some compilation warnings
  + Updated translations
- Drop evolution-data-server-decl.patch, eds-warnings.patch,
  bnc-164140-eds-crash-evolution--offline.patch, bnc-167638.patch,
  and bnc-183819-evo-crashed-closing-offline.patch.
* Tue Feb 19 2008 maw@suse.de
- Update to version 2.21.91:
  + Bugs fixed: bnc#211353, bnc#324804, bnc#395939, bnc#505806,
    bnc#509776, bnc#510949, bnc#511208, bnc#513389, bnc#513646,
    bnc#514407, bnc#514487, bnc#514555, bnc#514682, and bnc#515054
  + Updated translations.
* Thu Jan 31 2008 maw@suse.de
- Update to version 2.21.90:
  + Speed up spam filtering and spam whitelist implementation
  + Bugs fixed: bgo#213072, bgo#213072, bgo#300098, bgo#324168,
    bgo#335217, bgo#386157, bgo#445309, bgo#450840, bgo#456019,
    bgo#475781, bgo#481699, bgo#482940, bgo#496081, bgo#498977,
    bgo#506250, bgo#509124, bgo#509644, bgo#509985, bgo#510168,
    bgo#510303, bgo#510409, bgo#511235, bgo#511301, and
    bgo#511717
  + Camel mime fixes
  + Implement byte order for win32
  + Changed error message to a better string
  + Remove unused libsoup includes and update for libsoup 2.4
  + Adapt to newer libsoup
- Remove libtool archives and static libraries
- Remove evolution-password-dialogs.patch which is no longer
  necessary.
* Wed Jan 16 2008 maw@suse.de
- Add evolution-password-dialogs.patch (bgo #509644).
* Mon Jan 14 2008 maw@suse.de
- Update to version 2.21.5:
  + Improved MIME header decoding
  + Bugs (bugzilla.gnome.org) fixed: #224026, #327965, #329692,
    [#339813], #341579, #348149, #361972, #379896, #405497, #474118,
    [#500233], #503400, #504837, #506457, and #508438.
  + Updated translations.
* Tue Dec 18 2007 maw@suse.de
- Update to version 2.21.4:
  + The large version bump is due to evolution and related packages
    synchronizing their version numbers with those of GNOME
  + Bugs (bugzilla.gnome.org, except where otherwise indicated)
    fixed: #322917, #336074, #339510, #462593, #466499, #486126,
    [#487687], #501548, #501622, #501969, #502866, #308815, #376425,
    [#415817], #461979, #492426, #494314, #318842, #345135, #359267,
    [#430420], #460649, #487229, #488156, #492130, #494304,
    bnc#203480, #231178, #271777, #417999, #420167, #469657,
    [#474000], #475487, #475493, #475494, #478404, #483301, #487270,
    [#488173], and #488351
  + Support for Google Calendar
  + Updated translations
  + Protect against a NULL subject string
- Remove old patches, and refresh and renumber the remaining ones.
* Wed Dec  5 2007 maw@suse.de
- Don't require openldap2 to build.
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Mon Sep 17 2007 maw@suse.de
- Update to version 1.12.0:
  + Bugs (bugzilla.gnome.org) fixed: #348149, #402506, #426421,
    [#469007], and #473880
  + Bug (bugzilla.novell.com) fixed: #275990
  + Updated timezone info
  + Updated translations.
* Fri Sep 14 2007 maw@suse.de
- Fix bnc-307861-calendar-auth.diff.
* Fri Sep 14 2007 pchenthill@novell.com
- evolution-data-server-1.11.5-cert-auth-complete.patch: Updated the
  patch to fix bug 307861.
- bnc-307861-calendar-auth.diff: Prompt for password for all providers
  excluding the providers which support smart card.
* Mon Sep 10 2007 maw@suse.de
- Update to version 1.11.92:
  + Bugs (bugzilla.gnoem.org) fixedL #271841, #290330, #298095,
    [#298788], #301263, #302038, #330185, #378759, and #470445
  + Updated translations.
* Mon Sep  3 2007 vvaradhan@novell.com
- Fixes (BNC)
  [#304835] - Exchange crashes when restart
  (Fix introduces a bug when user is running in smart-card
  environment that will popup a password dialog for accessing GAL.
  Without this fix, exchange is un-usable for all users (including
  smart-card and non-smart-card users).  Fix is being worked out
  for this regression.
* Wed Aug 29 2007 maw@suse.de
- Update to version 1.11.91:
  + New debugging framework which can be controlled during runtime
    with the CALDAV_DEBUG environment variable
  + Bugs (bugzilla.gnome.org) fixed: #261084, #256878, #332979,
    [#337454], #350539, #356176, #365213, #367760, #381548, #394571,
    [#437331], #458715, #464569, #464636, #466309, #466987, #467883,
    [#469870], #261084, #313221, #314709, #327977, #352346, #355640,
    [#387806], #415891, #420462, #427469, #439147, #451003, #455799,
    [#458670], #460999, #461989, #464252,  and #465419
  + Updated translations
- Remove upstreamed abuild.patch.
* Fri Aug 17 2007 jberkman@novell.com
- add auth support for smartcards (bug #273869)
* Mon Aug  6 2007 maw@suse.de
- Split out a -lang subpackage
- Don't package INSTALL.
* Wed Aug  1 2007 maw@suse.de
- Use %%fdupes.
* Wed Aug  1 2007 mauro@suse.de
- Update to version 1.11.6.1
- bugzilla.gnome.org bugs #380534, #457523.
* Fri Jul 20 2007 maw@suse.de
- Update to version 1.11.5
- bugzilla.gnome.org bugs:
  [#307410], #311098, #352284, #364731, #394572, #410823, #412735, #434356,
  [#448947], #449531, #452996, #454570, #312854, #331099, #344728, #352284,
  [#437751], #443705, #443958, #447414, #447753, #447749, #448589, #360114,
  [#409542], #425129, #438577, #438577, #438727, #438928, #440524, #442187,
  [#438928], #420496, #339160, #414191, #433782, #336574, #431135, #274035,
  [#361138], #383686, #322105, #418971, #360240, #360619, #405495, #360807,
  [#400970], #413173, #420933, #426893, #422883, #424837, #422932, #428183,
  [#425512], #426564, #385078, #425464, #422652, #421445, #421683, #359806,
  [#73117], #425535, #423382, #415891, #388789, #388788
- Updated translations
- Remove evolution-data-server-retval.patch (redundant),
  evolution-camel-imap-CVE-2007-3257.patch (upstreamed)
- Add abuild.patch.
* Fri Jun 22 2007 sbrabec@suse.cz
- Fixed IMAP UID format string vulnerability (#284828,
  GNOME#447414, CVE-2007-3257).
* Wed May 23 2007 ro@suse.de
- added ldconfig to post scripts
* Wed Apr 11 2007 maw@suse.de
- Update to version 1.10.1
- Correct the URL listed in Source:
- Fixes for bugzilla.gnome.org #425512, #388788, and #362726
- Updated translations for the eu and gl locales.
* Fri Mar 30 2007 aj@suse.de
- Add bison to BuildRequires.
* Thu Mar 22 2007 maw@suse.de
- Update to version 1.10.0
- Bug fixes, including bugzilla.gnome.org 413173, 400169,
  and 356177
- Remove evolution-fix-function-declarations.patch and
  implicit-declaration.diff
- Fix bnc-183819-evo-crashed-closing-offline.patch.
* Mon Mar 12 2007 maw@suse.de
- Update to version 1.9.91
- Refresh serveral patches
- Bug fixes, including bugzilla.gnome.org #359979, #384183,
  [#362638], #351930, #356828, #336453, #340039.
* Fri Dec 29 2006 sbrabec@suse.cz
- Use better libexecdir path.
- File list cleanup.
- Splitted evolution-data-server-doc from
  evolution-data-server-devel.
* Fri Dec 29 2006 james@usr-local-bin.org
- Re-enable custom configure options.
* Wed Dec 13 2006 maw@suse.de
- Move to /usr
- Do some specfile cleanup.
* Tue Nov 21 2006 sbrabec@suse.cz
- Do not explicitly require mDNSResponder-lib blocking avahi compat
  package.
* Mon Nov 20 2006 vvaradhan@novell.com
- update to version 1.8.2
- translation updates
- Bug fixes: (bgo)
    330157, 369259, 369168, 350576,350885, 358010, 350880, 347811,
    312348, 328836, 365000, 353924
- Bug fixes: (bnc)
    268412, 208395, 208318, 207960
- Removed upstreamed bgo-369168-buffer-overrun.patch
* Mon Nov  6 2006 kharish@novell.com
- Fix for (bnc) Bug 217142. Patch submitted by Hans Petter Jansson.
* Fri Oct 27 2006 vvaradhan@novell.com
- Fixes (bnc)
  Bug 208519 - evolution groupwise crashes on start
  - Commented "bnc-164323-random-mark-unread.patch" (patch46)
  as it is a "to-be" reverted patch.
* Wed Oct 18 2006 schwab@suse.de
- Fix missing declaration.
* Mon Oct  2 2006 jhargadon@suse.de
- update to version 1.8.1
- translation updates
- Bug fixes:
    350907, 350617, 347811, 357666, 351330, 352596, 352872, 356051
* Sat Sep 30 2006 aj@suse.de
- Do not require libgnomeui-devel for building.
* Tue Sep 12 2006 ro@suse.de
- fix two cases of missing return values (retval.patch)
* Mon Sep  4 2006 aj@suse.de
- update to 1.8.0:
  * updated translation
  * bugfixes
* Fri Aug 18 2006 jhargadon@suse.de
- update to version 1.7.91
- Add filters to Groupwise SOAP calls so that each component
  fetches items of its own type and none other
- Memory fixes in Addressbook
- Updated Translations
- Support for GW Reminder Notes
- Split cache for less memory, better performance
- Support for security-classifications in GW send options
- Support for default alarms in GW
- Support for Gadu Gadu IM in Contact Entries
- Memory reduction and Performance improvements in Contacts
- Removed patches that were incorporated upstream.
* Thu Jul 20 2006 kharish@novell.com
- Patch to add alarms to GW meetings by default based on customer
  preference. Fixes bnc 167330.
* Wed Jul 19 2006 kharish@novell.com
- Patch to correctly handle calendar attachment filenames that do
  not require special characters handling. They were being parsed
  incorrectly and ignored by clients.
* Wed Jul  5 2006 aj@suse.de
- Handle datarootdir in pkgconfig files.
* Wed Jul  5 2006 psankar@novell.com
- Enables forwarding of mails
  Fixes bnc 167517
* Tue Jul  4 2006 vvaradhan@novell.com
- Fixes a build break - Added e-d-s-configure-break-fix.patch
* Mon Jun 26 2006 kharish@novell.com
- Fixes (bnc)
  187529 - Sequence cache population requests for better
  performance.
* Fri Jun 16 2006 vvaradhan@novell.com
- Fixes (bnc)
  183819 - Evolution crashed while closing in offline mode
  182310 - Evolution crashed when going offline
  183816 - Evolution crashed when swtiched from online to offline...
* Thu Jun 15 2006 psankar@novell.com
- Added the fix to display the email address
  only once for the gw accounts
  Fixes bnc #168013, #179622
* Fri Jun  9 2006 sdevashish@novell.com
- Added bnc-170052-eds-crash.patch.
* Thu Jun  8 2006 fejj@suse.de
- Added bnc-179350.patch which fixes a critical deadlock bug in the
  GroupWise provider.
* Thu Jun  8 2006 sragavan@novell.com
- Updated some translation fixes
- Committed patch for bug 181906, which solves a exchange crash.
* Fri Jun  2 2006 sragavan@novell.com
- Updated German Translations.
* Wed May 31 2006 fejj@suse.de
- Added bnc-176277-2.patch which fixes a deadlock condition
* Mon May 29 2006 vvaradhan@novell.com
- Fixes (bnc)
  174255 - Honour desktop proxy setting.
* Mon May 29 2006 sragavan@novell.com
- Added reworked patch for bug 176615 as per fejj's comment.
* Thu May 25 2006 sragavan@novell.com
- Fixes (bnc)
  176615 - Added a new camel stream vfs for saving to remote shares.
* Tue May 23 2006 sragavan@novell.com
- Updated translations (Srini)
* Mon May 22 2006 fejj@suse.de
- Added bnc-177394.patch to fix a crasher when an IMAP server replies
  that the size of a literal is negative.
* Fri May 19 2006 fejj@suse.de
- Added imap-locking.patch which fixes bug #171502 and bug #176277
  which are both deadlock conditions in the imap code.
* Thu May 18 2006 sragavan@novell.com
- gw-trash-fix.diff: Show trash folder contents to user. (Sankar)
* Tue May 16 2006 fejj@suse.de
- Added bnc-173454.patch: Fixes double-base64 encoding of non-7bit MIME
  part data.
* Thu May 11 2006 sragavan@novell.com
- Fixes (bnc)
  169997 - Fixes a issue where the groupwise server crashes due to infinite loop.
* Fri May  5 2006 sragavan@novell.com
- Added empty-trash-notify.patch: Fixes missing trash folder.
- Fixes (bnc)
  169034 - Fixed the failure to download exchange public folder.
- Removed gw-force-use-imap.patch as it was decided to default to soap.
* Tue May  2 2006 fejj@suse.de
- Added bnc-167638.patch: Fixes long shutdown times due to the imap/gw providers trying to sync data at exit time.
* Mon May  1 2006 fejj@suse.de
- Added bgo-315976-INBOX-not-shown-when-override-namespace.patch
* Tue Apr 25 2006 sragavan@novell.com
- Fixes  (bnc)
  169228 - Retract GNOME Keyring Integration from the build (Srini)
* Mon Apr 24 2006 fejj@suse.de
- bgo-321797: Fix SSL/TLS options to not be able to fallback to
  cleartext connections on failure to connect via encrypted channels.
* Mon Apr 24 2006 sragavan@novell.com
- bulk-delete.patch: Uses new SOAP API for removing bulk items (Sankar)
- imap-perf.patch: Get onloy the used headers and not all (Sankar)
- nameselectorlist-keychange.diff: Change the keybinding for list (Srini)
- imap4-removal.diff: Remove IMAP4 from the build (harish)
* Fri Apr 21 2006 sragavan@novell.com
- Fixes (bgo)
    310433 - Should not allow renaming standard folders. - Sushma
    329371 - Use name in email format doesnot work.
- Fixes (bnc)
    164323 - Updated the previous patch for randomly marking messages unread.
* Fri Apr 21 2006 sragavan@novell.com
- Fixes (bnc)
  159934 - Fix for eds CPU high usage (Devashish)
  165714 - Send item id while delegating multiple events. (Harish)
- eds-kerb-check.diff -  Ensure checks for expiry take effect while
  trying for nt domain. (Harish)
* Thu Apr 20 2006 psankar@novell.com
- Fixes (bnc)
  167566 - Crash on disable account - Sankar
  167640 - Syntax error missing space - Partha
* Tue Apr 18 2006 sragavan@novell.com
- Fixes (bnc)
  1643232 - Randomly marking read messages as unread - Sankar
- Fix to make groupwise use IMAP as default for mails (Harish)
* Sun Apr 16 2006 vvaradhan@novell.com
- Fixes (bnc)
  152070 evolution-data-server-1.6 crash - Devashish
  160915 Evolution crashed when clicked on 'Goto' date in
  calendar view - Chenthill
  163982 While saving appointment system hanged with 126
  error popups - Chenthill
  164140 EDS Crashed when starting 'evolution --offline' - Devashish
  164367 GW: Attachment to appointments/meetings throws 'Unknown Error'
  - Chenthill
  164676 evolution-data-server stuck in tight loop - Devashish
* Fri Apr  7 2006 vvaradhan@novell.com
- Fixes (bnc)
  163664 E-D-S crashes if a contact has invalid UTF-8 - Federico
* Wed Apr  5 2006 vvaradhan@novell.com
- Fixes (bnc)
    161290 EDS crashed while forwarding a mail - Devashish
    162005 evolution-data-server crashed when deleting a recurring
    appointment in my groupwise calendar - Chenthill
- Disable beagle-meta-summary patch
* Tue Apr  4 2006 vvaradhan@novell.com
- Updated bnc-158107-no-notification-canceled-mtgs.patch - Fixes
  sending user specified comments during cancellation of meetings.
- Fixes (bnc)
  161000 Junk mail features in evolution cannot be shut off. - Sankar
  158617 Evolution crashed after few minutes after marking few
  mails junk - Sankar - (single patch)
- GW Proxy optimizations - Do not do GetQM while refreshing on proxy.
* Mon Apr  3 2006 vvaradhan@novell.com
- Fixes (bnc)
  160889 Evolution shows summary folders in tree
* Tue Mar 28 2006 ro@suse.de
- replace mDNSResponder by mDNSResponder-devel in BuildReq
* Mon Mar 27 2006 vvaradhan@novell.com
- Fixes (bnc)
  160147 Can't delete calendar accounts once they are created
  158107 No notification of cancelled meetings
* Mon Mar 27 2006 vvaradhan@novell.com
- Fixes (bgo)
  334416 Evolution crashed while traversing mails
  (crash-while-browsing-through-mails.patch)
* Thu Mar 23 2006 vvaradhan@novell.com
- Fixes (bgo)
  334807 EDS Crasher
  323275 EDS Crash @ Startup Of Evolution
  334000 Unexpected dialog while creating appointment/meeting
  272307 groupwise: mail headers are all screwed up with mailing lists
- Fixes (bnc)
  152070 evolution-data-server-1.6 crash (collection of random crashes)
  158112 Send/Receive Dialog can take several minutes to go away
- GW specific SOAP mailer improvements
* Mon Mar 20 2006 vvaradhan@novell.com
- Fixes (bnc)
  138047 Evolution: Message Inconsistency with Passphrase/Password
  153522 Evolution doesn't update message status if two clients
  are running against the same account
  152062 Evolution won't show an attachment
  158093 Evolution: Groupwise "Sent Items" folder should have a
  "To:" column instead of a "From:" column
* Wed Mar 15 2006 vvaradhan@novell.com
- Fixes (bnc)
  157323 Messages deleted from Groupwise folder remain in Evo.
  156559 Evolution won't show me 827 messages
  153522 Evolution doesn't update message status if two clients
  are running against the same account
* Mon Mar 13 2006 vvaradhan@novell.com
- Fixes (bnc)
  137357 Configur groupwise account 'You must be working in
  online ...' message displayed
  152355 Mails in mailbox was not displayed unless .evolution
  folder contents where deleted
  156584 Evolution won't shut down
  156823 Newly configured groupwise accounts don't work
  115042 Evolution crashes when accessing my cabinet folder
- Feature - Meta summary support for beagle
- Keyring support enabled
- Update to version 1.6.0 - Fixes (bgo)
  329244  Crash when editing To/CC/BCC fields of a mail
  331870 	Crashes on addition of two or more email addresses of
  same person in name-selector-dialog
  327592 	[PATCH] Evolution crashes on exit
  332726 	Crash when saving event with recurrence rule
  273060 	Recu Meeting: updates accepted for one instance gets deleted
  331633 	Evolution crashes upon starting up on Solaris
  329669 	Recurring events go crazy
  260346 	Evolution is not storing the email ids with the respective
  fields for exchange
* Mon Mar  6 2006 vvaradhan@novell.com
- Fixes #155362 - No symbol table information in the generated
  debuginfo packages.
  Remove '-g0' from CFLAGS in evolution-data-server.spec
* Mon Feb 27 2006 vvaradhan@novell.com
- Update to version 1.5.92
- Fixes: (in bgo)
  327413: Crash when evolution shuts down
  329306: Crash when entering password multiple times
  331680: Crashes on opening New message compose window
  323384: Email ids from bugzilla mails gets added with a "|"
  260889: Evolution is crashing when clicked clear botton in
  search bar in contacts view
  331127: weather calendar crashes e-d-s, use g_free instead
  of g_object_unref
  326428: EDS crashed after changing 'Anniversary' field in
  contacts UI
  301116: libedataserverui needs to specify the translation
  domain explicitly
- Fixes: (in bnc)
  150427: evo 2.6 - hang on calendar
- Add a patch to integrate with gnome-keyring
* Sun Feb 12 2006 aj@suse.de
- Reduce BuildRequires.
* Fri Feb 10 2006 vvaradhan@novell.com
- Update to version 1.5.90
* Tue Jan 31 2006 ro@suse.de
- reduced BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 sbrabec@suse.cz
- Fixed devel dependencies for older products.
* Tue Dec  6 2005 sbrabec@suse.cz
- Degrade to version 1.4.1.1.
  http://bugzilla.gnome.org/show_bug.cgi?id=323106
- Fixed devel dependencies.
* Thu Dec  1 2005 gekker@suse.de
- Update to version 1.4.2.1
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Thu Oct 13 2005 gekker@suse.de
- Update to version 1.4.1
- Fix more warnings
* Sun Sep 25 2005 ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Fri Sep  9 2005 aj@suse.de
- Change last patch.
* Wed Sep  7 2005 schwab@suse.de
- Fix missing declarations.
* Mon Sep  5 2005 rodrigo@suse.de
- Update to version 1.4.0
- Removed upstreamed patches
* Wed Aug 24 2005 gekker@suse.de
- Update to version 1.3.8
- Fix brokeness inlibical
* Sat Aug 13 2005 aj@suse.de
- Add lzo and lzo-devel to nfb.
* Thu Aug 11 2005 gekker@suse.de
- Update to version 1.3.7
* Mon Aug  1 2005 gekker@suse.de
- Update to version 1.3.6.1
* Fri Jul 29 2005 sbrabec@suse.cz
- Require mozilla-nss (#98002).
* Tue Jul 26 2005 ro@suse.de
- fix typo in specfile
* Mon Jul 25 2005 gekker@suse.de
- Update to version 1.3.5
* Thu Jul 14 2005 schwab@suse.de
- Fix missing declarations again.
* Fri Jul  1 2005 gekker@suse.de
- Update to version 1.3.3
- Remove upstreamed patches
- Fix compiler warnings
* Tue Jun 21 2005 schwab@suse.de
- Fix missing declarations.
* Fri Jun 10 2005 sbrabec@suse.cz
- Build with system nspr and nss libraries.
- Build with Kerberos 5 support.
- Build documentation.
* Fri Jun 10 2005 sbrabec@suse.cz
- Build with mozilla-nss.
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Wed May 18 2005 ro@suse.de
- fix build with current pkgconfig
* Fri Apr 29 2005 sbrabec@suse.cz
- Yet another mail crasher fix (#66996).
  http://bugzilla.gnome.org/show_bug.cgi?id=273945
* Thu Apr 14 2005 sbrabec@suse.cz
- Fixed serious GCC 4 warnings.
* Sat Mar 19 2005 clahey@suse.de
- Fixes 72916.
* Fri Mar 18 2005 gekker@suse.de
- Fix x-evolution-header (x73401).
* Wed Mar 16 2005 gekker@suse.de
- Update to version 1.2.1
- Add 64bit-warn.patch
* Tue Mar  8 2005 gekker@suse.de
- Update to version 1.2.0 (GNOME 2.10)
- remove upstreamed dest.patch
* Wed Mar  2 2005 gekker@suse.de
- add dest.patch
* Wed Mar  2 2005 gekker@suse.de
- update to version 1.1.6
* Sun Feb 27 2005 ro@suse.de
- fix build on lib64
* Fri Feb 25 2005 gekker@suse.de
- fix libexecdir, so that e-d-s will actually get launched
- enable ssl support now that camel has been moved to e-d-s
* Wed Feb  9 2005 gekker@suse.de
- Update to version 1.1.5
- Remove upstreamed patch.
* Sat Feb  5 2005 gekker@suse.de
- Update to version 1.1.4.2
- Remove upsteamed patches, including security fix mentioned below.
* Mon Jan 24 2005 sbrabec@suse.cz
- Fixed integer overflow (arbitrary code execution with elevated
  privileges) in lock helper (CAN-2005-0102, #50116).
* Mon Jan 24 2005 meissner@suse.de
- Fixed some gcc 4 warnings/error that show code problems.
* Fri Jan 14 2005 clahey@suse.de
- Update to version 1.1.3.
* Thu Jan  6 2005 gekker@suse.de
- Update to version 1.1.2
* Tue Dec  7 2004 gekker@suse.de
- Update to version 1.0.3 (Ximian 70057)
* Tue Nov 30 2004 ro@suse.de
- re-diffed libdb.patch
* Mon Nov 29 2004 gekker@suse.de
- Update to version 1.0.2
- Removed patches included in this update
* Fri Nov 12 2004 sbrabec@suse.cz
- Fixed libdb on x86_64 (broken local contacts in Evolution, #46845).
  http://bugzilla.ximian.com/show_bug.cgi?id=67600
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Thu Sep 30 2004 dobey@suse.de
- Add patch to fix bug 66368 in bugzilla.ximian.com
* Wed Sep 29 2004 dobey@suse.de
- Add patch to fix bug 66230 in bugzilla.ximian.com
* Fri Sep 24 2004 dobey@suse.de
- Updated to version 1.0.1
- Removed evolution-data-server-0.0.99.dif which is in upstream source
* Fri Sep 17 2004 ro@suse.de
- readd evolution-data-server-0.0.99.dif to fix parallel build
* Mon Sep 13 2004 dobey@suse.de
- Updated to version 1.0.0
- Removed evolution-data-server-0.0.99.dif which was not changelogged,
  and seems to not actually change anything
* Sat Sep  4 2004 coolo@suse.de
- use %%jobs (OOo is waiting on it)
* Fri Aug 27 2004 dobey@suse.de
- Update to version 0.0.99
* Wed Aug 18 2004 dobey@suse.de
- Fix LDAP support and remove unused configure options
* Fri Aug 13 2004 dobey@suse.de
- Update to version 0.0.98
- Add dependencies to the evolution-data-server-devel package
* Thu Aug  5 2004 dobey@suse.de
- Add build deps for gnutls libs from libsoup
* Tue Aug  3 2004 dobey@suse.de
- Don't run any autotools when building with no patches
* Tue Aug  3 2004 dobey@suse.de
- Patch is in tarball for gnome_segv2 now
- Updated to version 0.0.97
* Thu Jul 29 2004 dobey@suse.de
- Add patch from CVS to detect path to gnome_segv2 better
* Wed Jul 28 2004 dobey@suse.de
- Updated to version 0.0.96
* Tue Jul 13 2004 clahey@suse.de
- Updated to version 0.0.95.
* Mon Jun 21 2004 clahey@suse.de
- Updated to version 0.0.94.1.
* Fri Jun  4 2004 mibarra@suse.de
-  Updated to version 0.0.94.
* Mon May 24 2004 ro@suse.de
- fix lib64 issue
* Sat May 22 2004 mibarra@suse.de
- Updated to 0.0.93.
* Tue May 18 2004 clahey@suse.de
- Don't install to /opt/gnome/libexec
* Tue May 18 2004 clahey@suse.de
- Initial import of evolution-data-server.
